#include <qtsql_includes.h>

#include <smoke.h>
#include <qtsql_smoke.h>

namespace __smokeqtsql {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractItemModel
      switch(to) {
        case 43: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QAbstractItemModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QAbstractItemModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractTableModel
      switch(to) {
        case 1: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 43: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QAbstractTableModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QAbstractTableModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 3:   //QAccessible2Interface
      switch(to) {
        case 3: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QBrush
      switch(to) {
        case 6: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 7:   //QByteArray
      switch(to) {
        case 7: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 8:   //QChar
      switch(to) {
        case 8: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 9:   //QChildEvent
      switch(to) {
        case 18: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 9: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QCursor
      switch(to) {
        case 11: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 12:   //QDataStream
      switch(to) {
        case 12: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 13:   //QDate
      switch(to) {
        case 13: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 14:   //QDateTime
      switch(to) {
        case 14: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 15:   //QDebug
      switch(to) {
        case 15: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 16:   //QDir
      switch(to) {
        case 16: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 17:   //QEasingCurve
      switch(to) {
        case 17: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 18:   //QEvent
      switch(to) {
        case 18: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QFactoryInterface
      switch(to) {
        case 19: return (void*)(QFactoryInterface*)xptr;
        case 68: return (void*)(QSqlDriverFactoryInterface*)(QFactoryInterface*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)(QFactoryInterface*)xptr;
        default: return xptr;
      }
    case 20:   //QFont
      switch(to) {
        case 20: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 22:   //QGraphicsItem
      switch(to) {
        case 22: return (void*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 23:   //QGraphicsObject
      switch(to) {
        case 43: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 22: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 23: return (void*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 24:   //QHashDummyValue
      switch(to) {
        case 24: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 25:   //QIcon
      switch(to) {
        case 25: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 26:   //QImage
      switch(to) {
        case 26: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 27:   //QIncompatibleFlag
      switch(to) {
        case 27: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 28:   //QItemDelegate
      switch(to) {
        case 43: return (void*)(QObject*)(QItemDelegate*)xptr;
        case 28: return (void*)(QItemDelegate*)xptr;
        case 77: return (void*)(QSqlRelationalDelegate*)(QItemDelegate*)xptr;
        default: return xptr;
      }
    case 29:   //QItemSelectionRange
      switch(to) {
        case 29: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 30:   //QKeyEvent
      switch(to) {
        case 18: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 30: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QKeySequence
      switch(to) {
        case 31: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 32:   //QLatin1String
      switch(to) {
        case 32: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 33:   //QLine
      switch(to) {
        case 33: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 34:   //QLineF
      switch(to) {
        case 34: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 35:   //QListWidgetItem
      switch(to) {
        case 35: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 36:   //QLocale
      switch(to) {
        case 36: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 37:   //QMargins
      switch(to) {
        case 37: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 38:   //QMatrix
      switch(to) {
        case 38: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 39:   //QMatrix4x4
      switch(to) {
        case 39: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 40:   //QMetaObject
      switch(to) {
        case 40: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 41:   //QMimeData
      switch(to) {
        case 43: return (void*)(QObject*)(QMimeData*)xptr;
        case 41: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 42:   //QModelIndex
      switch(to) {
        case 42: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 43:   //QObject
      switch(to) {
        case 43: return (void*)(QObject*)xptr;
        case 77: return (void*)(QSqlRelationalDelegate*)(QObject*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QObject*)xptr;
        case 66: return (void*)(QSqlDriver*)(QObject*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)(QObject*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QObject*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 44:   //QPainter
      switch(to) {
        case 44: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 45:   //QPainterPath
      switch(to) {
        case 45: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 46:   //QPalette
      switch(to) {
        case 46: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 47:   //QPen
      switch(to) {
        case 47: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 48:   //QPersistentModelIndex
      switch(to) {
        case 48: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 49:   //QPicture
      switch(to) {
        case 49: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 50:   //QPixmap
      switch(to) {
        case 50: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 51:   //QPoint
      switch(to) {
        case 51: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 52:   //QPointF
      switch(to) {
        case 52: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 53:   //QPolygon
      switch(to) {
        case 53: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 54:   //QPolygonF
      switch(to) {
        case 54: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 55:   //QQuaternion
      switch(to) {
        case 55: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 56:   //QRect
      switch(to) {
        case 56: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 57:   //QRectF
      switch(to) {
        case 57: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 58:   //QRegExp
      switch(to) {
        case 58: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 59:   //QRegion
      switch(to) {
        case 59: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 60:   //QSize
      switch(to) {
        case 60: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 61:   //QSizeF
      switch(to) {
        case 61: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 62:   //QSizePolicy
      switch(to) {
        case 62: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 63:   //QSplitter
      switch(to) {
        case 104: return (void*)(QWidget*)(QSplitter*)xptr;
        case 43: return (void*)(QObject*)(QSplitter*)xptr;
        case 63: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 65:   //QSqlDatabase
      switch(to) {
        case 65: return (void*)(QSqlDatabase*)xptr;
        default: return xptr;
      }
    case 66:   //QSqlDriver
      switch(to) {
        case 43: return (void*)(QObject*)(QSqlDriver*)xptr;
        case 66: return (void*)(QSqlDriver*)xptr;
        default: return xptr;
      }
    case 67:   //QSqlDriverCreatorBase
      switch(to) {
        case 67: return (void*)(QSqlDriverCreatorBase*)xptr;
        default: return xptr;
      }
    case 68:   //QSqlDriverFactoryInterface
      switch(to) {
        case 19: return (void*)(QFactoryInterface*)(QSqlDriverFactoryInterface*)xptr;
        case 68: return (void*)(QSqlDriverFactoryInterface*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)(QSqlDriverFactoryInterface*)xptr;
        default: return xptr;
      }
    case 69:   //QSqlDriverPlugin
      switch(to) {
        case 43: return (void*)(QObject*)(QSqlDriverPlugin*)xptr;
        case 68: return (void*)(QSqlDriverFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 19: return (void*)(QFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)xptr;
        default: return xptr;
      }
    case 70:   //QSqlError
      switch(to) {
        case 70: return (void*)(QSqlError*)xptr;
        default: return xptr;
      }
    case 71:   //QSqlField
      switch(to) {
        case 71: return (void*)(QSqlField*)xptr;
        default: return xptr;
      }
    case 72:   //QSqlIndex
      switch(to) {
        case 75: return (void*)(QSqlRecord*)(QSqlIndex*)xptr;
        case 72: return (void*)(QSqlIndex*)xptr;
        default: return xptr;
      }
    case 73:   //QSqlQuery
      switch(to) {
        case 73: return (void*)(QSqlQuery*)xptr;
        default: return xptr;
      }
    case 74:   //QSqlQueryModel
      switch(to) {
        case 2: return (void*)(QAbstractTableModel*)(QSqlQueryModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlQueryModel*)xptr;
        case 43: return (void*)(QObject*)(QSqlQueryModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QSqlQueryModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QSqlQueryModel*)xptr;
        default: return xptr;
      }
    case 75:   //QSqlRecord
      switch(to) {
        case 75: return (void*)(QSqlRecord*)xptr;
        case 72: return (void*)(QSqlIndex*)(QSqlRecord*)xptr;
        default: return xptr;
      }
    case 76:   //QSqlRelation
      switch(to) {
        case 76: return (void*)(QSqlRelation*)xptr;
        default: return xptr;
      }
    case 77:   //QSqlRelationalDelegate
      switch(to) {
        case 28: return (void*)(QItemDelegate*)(QSqlRelationalDelegate*)xptr;
        case 43: return (void*)(QObject*)(QSqlRelationalDelegate*)xptr;
        case 77: return (void*)(QSqlRelationalDelegate*)xptr;
        default: return xptr;
      }
    case 78:   //QSqlRelationalTableModel
      switch(to) {
        case 80: return (void*)(QSqlTableModel*)(QSqlRelationalTableModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QSqlRelationalTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlRelationalTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlRelationalTableModel*)xptr;
        case 43: return (void*)(QObject*)(QSqlRelationalTableModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)xptr;
        default: return xptr;
      }
    case 79:   //QSqlResult
      switch(to) {
        case 79: return (void*)(QSqlResult*)xptr;
        default: return xptr;
      }
    case 80:   //QSqlTableModel
      switch(to) {
        case 74: return (void*)(QSqlQueryModel*)(QSqlTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlTableModel*)xptr;
        case 43: return (void*)(QObject*)(QSqlTableModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QSqlTableModel*)xptr;
        default: return xptr;
      }
    case 81:   //QStandardItem
      switch(to) {
        case 81: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 82:   //QString::Null
      switch(to) {
        case 82: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 83:   //QStringRef
      switch(to) {
        case 83: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 84:   //QStyleOption
      switch(to) {
        case 84: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 85:   //QStyleOptionViewItem
      switch(to) {
        case 84: return (void*)(QStyleOption*)(QStyleOptionViewItem*)xptr;
        case 85: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 86:   //QTableWidgetItem
      switch(to) {
        case 86: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 87:   //QTextCodec
      switch(to) {
        case 87: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 88:   //QTextFormat
      switch(to) {
        case 88: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 89:   //QTextLength
      switch(to) {
        case 89: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 90:   //QTextStream
      switch(to) {
        case 90: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 91:   //QTextStreamManipulator
      switch(to) {
        case 91: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 92:   //QTileRules
      switch(to) {
        case 92: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 93:   //QTime
      switch(to) {
        case 93: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 94:   //QTimerEvent
      switch(to) {
        case 18: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 94: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 95:   //QTransform
      switch(to) {
        case 95: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 96:   //QTreeWidgetItem
      switch(to) {
        case 96: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 97:   //QUrl
      switch(to) {
        case 97: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 98:   //QUuid
      switch(to) {
        case 98: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 99:   //QVariant
      switch(to) {
        case 99: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 100:   //QVariantComparisonHelper
      switch(to) {
        case 100: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 101:   //QVector2D
      switch(to) {
        case 101: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 102:   //QVector3D
      switch(to) {
        case 102: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 103:   //QVector4D
      switch(to) {
        case 103: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 104:   //QWidget
      switch(to) {
        case 43: return (void*)(QObject*)(QWidget*)xptr;
        case 104: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    43, 0,	// 1: QObject
    19, 0,	// 3: QFactoryInterface
    43, 68, 0,	// 5: QObject, QSqlDriverFactoryInterface
    75, 0,	// 8: QSqlRecord
    2, 0,	// 10: QAbstractTableModel
    28, 0,	// 12: QItemDelegate
    80, 0,	// 14: QSqlTableModel
    74, 0,	// 16: QSqlQueryModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlResult(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlDriver(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlRelationalTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSql(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSql(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverCreatorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverFactoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlField(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlIndex(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQueryModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRecord(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelation(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalTableModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlTableModel(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//1
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//2
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QBrush", true, 0, 0, 0, 0, 0 },	//6
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//7
    { "QChar", true, 0, 0, 0, 0, 0 },	//8
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QCursor", true, 0, 0, 0, 0, 0 },	//11
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//12
    { "QDate", true, 0, 0, 0, 0, 0 },	//13
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//14
    { "QDebug", true, 0, 0, 0, 0, 0 },	//15
    { "QDir", true, 0, 0, 0, 0, 0 },	//16
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//17
    { "QEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QFactoryInterface", true, 0, 0, 0, 0, 0 },	//19
    { "QFont", true, 0, 0, 0, 0, 0 },	//20
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//21
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//22
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//23
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//24
    { "QIcon", true, 0, 0, 0, 0, 0 },	//25
    { "QImage", true, 0, 0, 0, 0, 0 },	//26
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//27
    { "QItemDelegate", true, 0, 0, 0, 0, 0 },	//28
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//29
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//31
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//32
    { "QLine", true, 0, 0, 0, 0, 0 },	//33
    { "QLineF", true, 0, 0, 0, 0, 0 },	//34
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//35
    { "QLocale", true, 0, 0, 0, 0, 0 },	//36
    { "QMargins", true, 0, 0, 0, 0, 0 },	//37
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//38
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//39
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//40
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//41
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//42
    { "QObject", true, 0, 0, 0, 0, 0 },	//43
    { "QPainter", true, 0, 0, 0, 0, 0 },	//44
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//45
    { "QPalette", true, 0, 0, 0, 0, 0 },	//46
    { "QPen", true, 0, 0, 0, 0, 0 },	//47
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//48
    { "QPicture", true, 0, 0, 0, 0, 0 },	//49
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//50
    { "QPoint", true, 0, 0, 0, 0, 0 },	//51
    { "QPointF", true, 0, 0, 0, 0, 0 },	//52
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//53
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//54
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//55
    { "QRect", true, 0, 0, 0, 0, 0 },	//56
    { "QRectF", true, 0, 0, 0, 0, 0 },	//57
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//58
    { "QRegion", true, 0, 0, 0, 0, 0 },	//59
    { "QSize", true, 0, 0, 0, 0, 0 },	//60
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//61
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//62
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//63
    { "QSql", false, 0, xcall_QSql, xenum_QSql, Smoke::cf_namespace, 0 },	//64
    { "QSqlDatabase", false, 0, xcall_QSqlDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlDatabase) },	//65
    { "QSqlDriver", false, 1, xcall_QSqlDriver, xenum_QSqlDriver, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriver) },	//66
    { "QSqlDriverCreatorBase", false, 0, xcall_QSqlDriverCreatorBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverCreatorBase) },	//67
    { "QSqlDriverFactoryInterface", false, 3, xcall_QSqlDriverFactoryInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverFactoryInterface) },	//68
    { "QSqlDriverPlugin", false, 5, xcall_QSqlDriverPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriverPlugin) },	//69
    { "QSqlError", false, 0, xcall_QSqlError, xenum_QSqlError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlError) },	//70
    { "QSqlField", false, 0, xcall_QSqlField, xenum_QSqlField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlField) },	//71
    { "QSqlIndex", false, 8, xcall_QSqlIndex, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlIndex) },	//72
    { "QSqlQuery", false, 0, xcall_QSqlQuery, xenum_QSqlQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlQuery) },	//73
    { "QSqlQueryModel", false, 10, xcall_QSqlQueryModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlQueryModel) },	//74
    { "QSqlRecord", false, 0, xcall_QSqlRecord, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRecord) },	//75
    { "QSqlRelation", false, 0, xcall_QSqlRelation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRelation) },	//76
    { "QSqlRelationalDelegate", false, 12, xcall_QSqlRelationalDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalDelegate) },	//77
    { "QSqlRelationalTableModel", false, 14, xcall_QSqlRelationalTableModel, xenum_QSqlRelationalTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalTableModel) },	//78
    { "QSqlResult", false, 0, xcall_QSqlResult, xenum_QSqlResult, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlResult) },	//79
    { "QSqlTableModel", false, 16, xcall_QSqlTableModel, xenum_QSqlTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlTableModel) },	//80
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//81
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//82
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//83
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//84
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//85
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//86
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//87
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//88
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//89
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//90
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//91
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//92
    { "QTime", true, 0, 0, 0, 0, 0 },	//93
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//94
    { "QTransform", true, 0, 0, 0, 0, 0 },	//95
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//96
    { "QUrl", true, 0, 0, 0, 0, 0 },	//97
    { "QUuid", true, 0, 0, 0, 0, 0 },	//98
    { "QVariant", true, 0, 0, 0, 0, 0 },	//99
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//100
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//101
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//102
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//103
    { "QWidget", true, 0, 0, 0, 0, 0 },	//104
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemModel*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAccessible2::TableModelChangeType", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible2Interface*", 3, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//13
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//14
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//15
    { "QBrush&", 6, Smoke::t_class|Smoke::tf_ref },	//16
    { "QByteArray", 7, Smoke::t_class|Smoke::tf_stack },	//17
    { "QByteArray&", 7, Smoke::t_class|Smoke::tf_ref },	//18
    { "QChar", 8, Smoke::t_class|Smoke::tf_stack },	//19
    { "QChar&", 8, Smoke::t_class|Smoke::tf_ref },	//20
    { "QChildEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//22
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QCursor&", 11, Smoke::t_class|Smoke::tf_ref },	//24
    { "QDataStream&", 12, Smoke::t_class|Smoke::tf_ref },	//25
    { "QDate&", 13, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDateTime&", 14, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "QDebug", 15, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QDir::Filter", 16, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QDir::SortFlag", 16, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QEasingCurve&", 17, Smoke::t_class|Smoke::tf_ref },	//36
    { "QEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QSql::ParamTypeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFont&", 20, Smoke::t_class|Smoke::tf_ref },	//120
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QGraphicsItem*", 22, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QGraphicsItem::GraphicsItemChange", 22, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QGraphicsItem::GraphicsItemFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QGraphicsObject*", 23, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QIcon&", 25, Smoke::t_class|Smoke::tf_ref },	//134
    { "QImage&", 26, Smoke::t_class|Smoke::tf_ref },	//135
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QIncompatibleFlag", 27, Smoke::t_class|Smoke::tf_stack },	//137
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QKeyEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QKeySequence&", 31, Smoke::t_class|Smoke::tf_ref },	//141
    { "QKeySequence::StandardKey", 31, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QLine", 33, Smoke::t_class|Smoke::tf_stack },	//144
    { "QLine&", 33, Smoke::t_class|Smoke::tf_ref },	//145
    { "QLineF", 34, Smoke::t_class|Smoke::tf_stack },	//146
    { "QLineF&", 34, Smoke::t_class|Smoke::tf_ref },	//147
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//148
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//149
    { "QListWidgetItem&", 35, Smoke::t_class|Smoke::tf_ref },	//150
    { "QLocale&", 36, Smoke::t_class|Smoke::tf_ref },	//151
    { "QLocale::NumberOption", 36, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//154
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//155
    { "QMatrix&", 38, Smoke::t_class|Smoke::tf_ref },	//156
    { "QMatrix4x4", 39, Smoke::t_class|Smoke::tf_stack },	//157
    { "QMatrix4x4&", 39, Smoke::t_class|Smoke::tf_ref },	//158
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QMetaObject::Call", 40, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QMimeData*", 41, Smoke::t_class|Smoke::tf_ptr },	//163
    { "QModelIndex", 42, Smoke::t_class|Smoke::tf_stack },	//164
    { "QObject*", 43, Smoke::t_class|Smoke::tf_ptr },	//165
    { "QObject*(*)()", 43, Smoke::t_class|Smoke::tf_ptr },	//166
    { "QPaintEngine::DirtyFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QPaintEngine::PaintEngineFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QPainter*", 44, Smoke::t_class|Smoke::tf_ptr },	//169
    { "QPainter::RenderHint", 44, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QPainterPath", 45, Smoke::t_class|Smoke::tf_stack },	//171
    { "QPainterPath&", 45, Smoke::t_class|Smoke::tf_ref },	//172
    { "QPalette&", 46, Smoke::t_class|Smoke::tf_ref },	//173
    { "QPen&", 47, Smoke::t_class|Smoke::tf_ref },	//174
    { "QPicture&", 49, Smoke::t_class|Smoke::tf_ref },	//175
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QPixmap&", 50, Smoke::t_class|Smoke::tf_ref },	//177
    { "QPoint", 51, Smoke::t_class|Smoke::tf_stack },	//178
    { "QPoint&", 51, Smoke::t_class|Smoke::tf_ref },	//179
    { "QPointF", 52, Smoke::t_class|Smoke::tf_stack },	//180
    { "QPointF&", 52, Smoke::t_class|Smoke::tf_ref },	//181
    { "QPolygon", 53, Smoke::t_class|Smoke::tf_stack },	//182
    { "QPolygon&", 53, Smoke::t_class|Smoke::tf_ref },	//183
    { "QPolygonF", 54, Smoke::t_class|Smoke::tf_stack },	//184
    { "QPolygonF&", 54, Smoke::t_class|Smoke::tf_ref },	//185
    { "QQuaternion&", 55, Smoke::t_class|Smoke::tf_ref },	//186
    { "QRect&", 56, Smoke::t_class|Smoke::tf_ref },	//187
    { "QRectF&", 57, Smoke::t_class|Smoke::tf_ref },	//188
    { "QRegExp&", 58, Smoke::t_class|Smoke::tf_ref },	//189
    { "QRegion", 59, Smoke::t_class|Smoke::tf_stack },	//190
    { "QRegion&", 59, Smoke::t_class|Smoke::tf_ref },	//191
    { "QSize", 60, Smoke::t_class|Smoke::tf_stack },	//192
    { "QSize&", 60, Smoke::t_class|Smoke::tf_ref },	//193
    { "QSizeF&", 61, Smoke::t_class|Smoke::tf_ref },	//194
    { "QSizePolicy&", 62, Smoke::t_class|Smoke::tf_ref },	//195
    { "QSizePolicy::ControlType", 62, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QSplitter&", 63, Smoke::t_class|Smoke::tf_ref },	//197
    { "QSql::Location", 64, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QSql::NumericalPrecisionPolicy", 64, Smoke::t_enum|Smoke::tf_stack },	//199
    { "QSql::ParamTypeFlag", 64, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QSql::TableType", 64, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QSqlDatabase", 65, Smoke::t_class|Smoke::tf_stack },	//202
    { "QSqlDatabase&", 65, Smoke::t_class|Smoke::tf_ref },	//203
    { "QSqlDatabase*", 65, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QSqlDriver*", 66, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QSqlDriver::DriverFeature", 66, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QSqlDriver::IdentifierType", 66, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QSqlDriver::StatementType", 66, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QSqlDriverCreatorBase*", 67, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QSqlDriverFactoryInterface*", 68, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QSqlDriverPlugin*", 69, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QSqlError", 70, Smoke::t_class|Smoke::tf_stack },	//212
    { "QSqlError&", 70, Smoke::t_class|Smoke::tf_ref },	//213
    { "QSqlError*", 70, Smoke::t_class|Smoke::tf_ptr },	//214
    { "QSqlError::ErrorType", 70, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QSqlField", 71, Smoke::t_class|Smoke::tf_stack },	//216
    { "QSqlField&", 71, Smoke::t_class|Smoke::tf_ref },	//217
    { "QSqlField*", 71, Smoke::t_class|Smoke::tf_ptr },	//218
    { "QSqlField::RequiredStatus", 71, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QSqlIndex", 72, Smoke::t_class|Smoke::tf_stack },	//220
    { "QSqlIndex&", 72, Smoke::t_class|Smoke::tf_ref },	//221
    { "QSqlIndex*", 72, Smoke::t_class|Smoke::tf_ptr },	//222
    { "QSqlQuery", 73, Smoke::t_class|Smoke::tf_stack },	//223
    { "QSqlQuery&", 73, Smoke::t_class|Smoke::tf_ref },	//224
    { "QSqlQuery*", 73, Smoke::t_class|Smoke::tf_ptr },	//225
    { "QSqlQuery::BatchExecutionMode", 73, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QSqlQueryModel*", 74, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QSqlRecord", 75, Smoke::t_class|Smoke::tf_stack },	//228
    { "QSqlRecord&", 75, Smoke::t_class|Smoke::tf_ref },	//229
    { "QSqlRecord*", 75, Smoke::t_class|Smoke::tf_ptr },	//230
    { "QSqlRelation", 76, Smoke::t_class|Smoke::tf_stack },	//231
    { "QSqlRelation*", 76, Smoke::t_class|Smoke::tf_ptr },	//232
    { "QSqlRelationalDelegate*", 77, Smoke::t_class|Smoke::tf_ptr },	//233
    { "QSqlRelationalTableModel*", 78, Smoke::t_class|Smoke::tf_ptr },	//234
    { "QSqlRelationalTableModel::JoinMode", 78, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QSqlResult*", 79, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QSqlResult::BindingSyntax", 79, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QSqlResult::VirtualHookOperation", 79, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QSqlTableModel*", 80, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QSqlTableModel::EditStrategy", 80, Smoke::t_enum|Smoke::tf_stack },	//240
    { "QStandardItem&", 81, Smoke::t_class|Smoke::tf_ref },	//241
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//242
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//243
    { "QString::Null", 82, Smoke::t_class|Smoke::tf_stack },	//244
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//247
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//248
    { "QStyle::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QStyle::SubControl", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QTableWidgetItem&", 86, Smoke::t_class|Smoke::tf_ref },	//258
    { "QTextCodec*", 87, Smoke::t_class|Smoke::tf_ptr },	//259
    { "QTextCodec::ConversionFlag", 87, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QTextFormat&", 88, Smoke::t_class|Smoke::tf_ref },	//263
    { "QTextFormat::PageBreakFlag", 88, Smoke::t_enum|Smoke::tf_stack },	//264
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QTextLength&", 89, Smoke::t_class|Smoke::tf_ref },	//266
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QTextStream&", 90, Smoke::t_class|Smoke::tf_ref },	//268
    { "QTextStream&(*)(QTextStream&)", 90, Smoke::t_class|Smoke::tf_ref },	//269
    { "QTextStream::NumberFlag", 90, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QTextStreamManipulator", 91, Smoke::t_class|Smoke::tf_stack },	//271
    { "QTime&", 93, Smoke::t_class|Smoke::tf_ref },	//272
    { "QTimerEvent*", 94, Smoke::t_class|Smoke::tf_ptr },	//273
    { "QTransform", 95, Smoke::t_class|Smoke::tf_stack },	//274
    { "QTransform&", 95, Smoke::t_class|Smoke::tf_ref },	//275
    { "QTreeWidgetItem&", 96, Smoke::t_class|Smoke::tf_ref },	//276
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "QUrl&", 97, Smoke::t_class|Smoke::tf_ref },	//278
    { "QUrl::FormattingOption", 97, Smoke::t_enum|Smoke::tf_stack },	//279
    { "QUuid&", 98, Smoke::t_class|Smoke::tf_ref },	//280
    { "QVariant", 99, Smoke::t_class|Smoke::tf_stack },	//281
    { "QVariant&", 99, Smoke::t_class|Smoke::tf_ref },	//282
    { "QVariant::Type", 99, Smoke::t_enum|Smoke::tf_stack },	//283
    { "QVariant::Type&", 99, Smoke::t_enum|Smoke::tf_ref },	//284
    { "QVector2D&", 101, Smoke::t_class|Smoke::tf_ref },	//285
    { "QVector3D", 102, Smoke::t_class|Smoke::tf_stack },	//286
    { "QVector3D&", 102, Smoke::t_class|Smoke::tf_ref },	//287
    { "QVector4D", 103, Smoke::t_class|Smoke::tf_stack },	//288
    { "QVector4D&", 103, Smoke::t_class|Smoke::tf_ref },	//289
    { "QVector<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//290
    { "QWidget*", 104, Smoke::t_class|Smoke::tf_ptr },	//291
    { "QWidget::RenderFlag", 104, Smoke::t_enum|Smoke::tf_stack },	//292
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtMsgType", 21, Smoke::t_enum|Smoke::tf_stack },	//370
    { "QtValidLicenseForActiveQtModule", 21, Smoke::t_enum|Smoke::tf_stack },	//371
    { "QtValidLicenseForCoreModule", 21, Smoke::t_enum|Smoke::tf_stack },	//372
    { "QtValidLicenseForDBusModule", 21, Smoke::t_enum|Smoke::tf_stack },	//373
    { "QtValidLicenseForDeclarativeModule", 21, Smoke::t_enum|Smoke::tf_stack },	//374
    { "QtValidLicenseForGuiModule", 21, Smoke::t_enum|Smoke::tf_stack },	//375
    { "QtValidLicenseForHelpModule", 21, Smoke::t_enum|Smoke::tf_stack },	//376
    { "QtValidLicenseForMultimediaModule", 21, Smoke::t_enum|Smoke::tf_stack },	//377
    { "QtValidLicenseForNetworkModule", 21, Smoke::t_enum|Smoke::tf_stack },	//378
    { "QtValidLicenseForOpenGLModule", 21, Smoke::t_enum|Smoke::tf_stack },	//379
    { "QtValidLicenseForOpenVGModule", 21, Smoke::t_enum|Smoke::tf_stack },	//380
    { "QtValidLicenseForQt3SupportLightModule", 21, Smoke::t_enum|Smoke::tf_stack },	//381
    { "QtValidLicenseForQt3SupportModule", 21, Smoke::t_enum|Smoke::tf_stack },	//382
    { "QtValidLicenseForScriptModule", 21, Smoke::t_enum|Smoke::tf_stack },	//383
    { "QtValidLicenseForScriptToolsModule", 21, Smoke::t_enum|Smoke::tf_stack },	//384
    { "QtValidLicenseForSqlModule", 21, Smoke::t_enum|Smoke::tf_stack },	//385
    { "QtValidLicenseForSvgModule", 21, Smoke::t_enum|Smoke::tf_stack },	//386
    { "QtValidLicenseForTestModule", 21, Smoke::t_enum|Smoke::tf_stack },	//387
    { "QtValidLicenseForXmlModule", 21, Smoke::t_enum|Smoke::tf_stack },	//388
    { "QtValidLicenseForXmlPatternsModule", 21, Smoke::t_enum|Smoke::tf_stack },	//389
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//390
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//391
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//392
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QBrush&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QBrush*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//395
    { "const QByteArray", 7, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//396
    { "const QByteArray&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QChar&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QCursor&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QDate&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QDateTime&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QDir&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QEasingCurve&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QEvent*", 18, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//405
    { "const QFont&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QHashDummyValue&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QIcon&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QImage&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QItemSelectionRange&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QKeySequence&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QLatin1String&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QLine&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QLineF&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QListWidgetItem&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QLocale&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QMargins&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QMatrix&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QMatrix4x4&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QMetaObject&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QMetaObject*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//423
    { "const QMimeData*", 41, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//424
    { "const QModelIndex&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QObject*", 43, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//426
    { "const QPainterPath&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QPalette&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QPen&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QPersistentModelIndex&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QPicture&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QPixmap&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QPoint", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//433
    { "const QPoint&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QPointF", 52, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//435
    { "const QPointF&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QPolygon&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QPolygonF&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QQuaternion", 55, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//439
    { "const QQuaternion&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QRect&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QRectF&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QRegExp&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QRegExp*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//444
    { "const QRegion&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QSize", 60, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//446
    { "const QSize&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QSizeF", 61, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//448
    { "const QSizeF&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QSizePolicy&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QSplitter&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QSqlDatabase&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QSqlDriver*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//453
    { "const QSqlDriverCreatorBase&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QSqlDriverFactoryInterface&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QSqlError&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QSqlField&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QSqlIndex&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QSqlQuery&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QSqlRecord&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QSqlRelation&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QSqlResult*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//462
    { "const QStandardItem&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//464
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//465
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//467
    { "const QStringRef&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const QStyleOption&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const QStyleOption::OptionType&", 84, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const QStyleOptionViewItem&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const QTableWidgetItem&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//472
    { "const QTextFormat&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//473
    { "const QTextLength&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const QTileRules&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const QTime&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//476
    { "const QTransform&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const QTreeWidgetItem&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//478
    { "const QUrl&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const QUuid&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//480
    { "const QVariant&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//481
    { "const QVariant::Type", 99, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//482
    { "const QVariantComparisonHelper&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//483
    { "const QVector2D", 101, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//484
    { "const QVector2D&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//485
    { "const QVector3D", 102, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//486
    { "const QVector3D&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//487
    { "const QVector4D", 103, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//488
    { "const QVector4D&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//489
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//490
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//491
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//492
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//493
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//494
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//495
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//496
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//497
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//498
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//499
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//500
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//501
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//502
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//503
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//504
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//505
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//506
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//507
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//508
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//509
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//510
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//511
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//512
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    425, 481, 495, 0,	//1  const QModelIndex&, const QVariant&, int
    425, 0,	//5  const QModelIndex&
    425, 418, 0,	//7  const QModelIndex&, const QMap<int,QVariant>&
    415, 0,	//10  const QList<QModelIndex>&
    495, 495, 425, 0,	//12  int, int, const QModelIndex&
    495, 349, 0,	//16  int, Qt::SortOrder
    425, 495, 481, 495, 112, 0,	//19  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    424, 316, 495, 495, 425, 0,	//25  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    393, 393, 0,	//31  const QBitArray&, const QBitArray&
    430, 0,	//34  const QPersistentModelIndex&
    314, 495, 0,	//36  Qt::DockWidgetArea, int
    490, 490, 495, 0,	//39  const char*, const char*, int
    123, 123, 0,	//43  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    434, 493, 0,	//46  const QPoint&, double
    494, 0,	//49  float
    493, 0,	//51  double
    29, 410, 0,	//53  QDebug, const QItemSelectionRange&
    494, 440, 0,	//56  float, const QQuaternion&
    339, 113, 0,	//59  Qt::MouseButton, QFlags<Qt::MouseButton>
    419, 419, 0,	//62  const QMargins&, const QMargins&
    29, 469, 0,	//65  QDebug, const QStyleOption&
    447, 494, 0,	//68  const QSize&, float
    32, 495, 0,	//71  QDir::SortFlag, int
    3, 3, 0,	//74  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    29, 430, 0,	//77  QDebug, const QPersistentModelIndex&
    25, 135, 0,	//80  QDataStream&, QImage&
    25, 450, 0,	//83  QDataStream&, const QSizePolicy&
    328, 495, 0,	//86  Qt::InputMethodHint, int
    255, 495, 0,	//89  QStyleOptionToolBar::ToolBarFeature, int
    29, 477, 0,	//92  QDebug, const QTransform&
    392, 490, 0,	//95  char*, const char*
    494, 421, 0,	//98  float, const QMatrix4x4&
    441, 441, 0,	//101  const QRect&, const QRect&
    447, 447, 0,	//104  const QSize&, const QSize&
    494, 487, 0,	//107  float, const QVector3D&
    25, 477, 0,	//110  QDataStream&, const QTransform&
    260, 260, 0,	//113  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    29, 434, 0,	//116  QDebug, const QPoint&
    421, 421, 0,	//119  const QMatrix4x4&, const QMatrix4x4&
    501, 0,	//122  unsigned char
    31, 50, 0,	//124  QDir::Filter, QFlags<QDir::Filter>
    489, 489, 0,	//127  const QVector4D&, const QVector4D&
    436, 420, 0,	//130  const QPointF&, const QMatrix&
    168, 168, 0,	//133  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    413, 477, 0,	//136  const QLine&, const QTransform&
    485, 485, 0,	//139  const QVector2D&, const QVector2D&
    38, 55, 0,	//142  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    366, 118, 0,	//145  Qt::WindowState, QFlags<Qt::WindowState>
    485, 494, 0,	//148  const QVector2D&, float
    25, 413, 0,	//151  QDataStream&, const QLine&
    31, 495, 0,	//154  QDir::Filter, int
    477, 477, 0,	//157  const QTransform&, const QTransform&
    490, 412, 0,	//160  const char*, const QLatin1String&
    503, 0,	//163  unsigned int
    40, 57, 0,	//165  QFileDialog::Option, QFlags<QFileDialog::Option>
    449, 449, 0,	//168  const QSizeF&, const QSizeF&
    397, 397, 0,	//171  const QByteArray&, const QByteArray&
    412, 468, 0,	//174  const QLatin1String&, const QStringRef&
    440, 0,	//177  const QQuaternion&
    494, 485, 0,	//179  float, const QVector2D&
    4, 4, 0,	//182  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    339, 339, 0,	//185  Qt::MouseButton, Qt::MouseButton
    29, 482, 0,	//188  QDebug, const QVariant::Type
    481, 483, 0,	//191  const QVariant&, const QVariantComparisonHelper&
    15, 15, 0,	//194  QBool, QBool
    254, 254, 0,	//197  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    253, 253, 0,	//200  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    121, 121, 0,	//203  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    294, 104, 0,	//206  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    468, 0,	//209  const QStringRef&
    264, 264, 0,	//211  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    244, 244, 0,	//214  QString::Null, QString::Null
    29, 406, 0,	//217  QDebug, const QFont&
    200, 495, 0,	//220  QSql::ParamTypeFlag, int
    29, 437, 0,	//223  QDebug, const QPolygon&
    25, 442, 0,	//226  QDataStream&, const QRectF&
    200, 200, 0,	//229  QSql::ParamTypeFlag, QSql::ParamTypeFlag
    25, 151, 0,	//232  QDataStream&, QLocale&
    250, 495, 0,	//235  QStyle::SubControl, int
    34, 34, 0,	//238  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    19, 465, 0,	//241  QChar, const QString&
    489, 494, 0,	//244  const QVector4D&, float
    133, 67, 0,	//247  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    169, 441, 428, 390, 495, 395, 0,	//250  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    169, 441, 428, 0,	//257  QPainter*, const QRect&, const QPalette&
    169, 441, 428, 390, 0,	//261  QPainter*, const QRect&, const QPalette&, bool
    169, 441, 428, 390, 495, 0,	//266  QPainter*, const QRect&, const QPalette&, bool, int
    485, 0,	//272  const QVector2D&
    31, 31, 0,	//274  QDir::Filter, QDir::Filter
    25, 428, 0,	//277  QDataStream&, const QPalette&
    494, 489, 0,	//280  float, const QVector4D&
    29, 476, 0,	//283  QDebug, const QTime&
    261, 94, 0,	//286  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    440, 440, 0,	//289  const QQuaternion&, const QQuaternion&
    25, 397, 0,	//292  QDataStream&, const QByteArray&
    29, 401, 0,	//295  QDebug, const QDate&
    393, 0,	//298  const QBitArray&
    262, 95, 0,	//300  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    491, 502, 495, 0,	//303  const unsigned char*, unsigned char*, int
    12, 46, 0,	//307  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    481, 283, 510, 0,	//310  const QVariant&, QVariant::Type, void*
    465, 0,	//314  const QString&
    438, 477, 0,	//316  const QPolygonF&, const QTransform&
    506, 0,	//319  unsigned short
    166, 0,	//321  QObject*(*)()
    496, 0,	//323  long
    356, 356, 0,	//325  Qt::ToolBarArea, Qt::ToolBarArea
    497, 0,	//328  long long
    29, 438, 0,	//330  QDebug, const QPolygonF&
    169, 495, 495, 495, 495, 428, 390, 395, 0,	//333  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    169, 495, 495, 495, 495, 428, 0,	//342  QPainter*, int, int, int, int, const QPalette&
    169, 495, 495, 495, 495, 428, 390, 0,	//349  QPainter*, int, int, int, int, const QPalette&, bool
    176, 80, 0,	//357  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    292, 495, 0,	//360  QWidget::RenderFlag, int
    29, 399, 0,	//363  QDebug, const QColor&
    277, 495, 0,	//366  QTreeWidgetItemIterator::IteratorFlag, int
    316, 495, 0,	//369  Qt::DropAction, int
    169, 495, 495, 495, 495, 428, 390, 495, 495, 395, 0,	//372  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    169, 495, 495, 495, 495, 428, 390, 495, 0,	//383  QPainter*, int, int, int, int, const QPalette&, bool, int
    169, 495, 495, 495, 495, 428, 390, 495, 495, 0,	//392  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    25, 466, 0,	//402  QDataStream&, const QStringList&
    1, 1, 0,	//405  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    25, 174, 0,	//408  QDataStream&, QPen&
    123, 60, 0,	//411  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    294, 294, 0,	//414  Qt::AlignmentFlag, Qt::AlignmentFlag
    25, 22, 0,	//417  QDataStream&, QColor&
    33, 495, 0,	//420  QDirIterator::IteratorFlag, int
    25, 443, 0,	//423  QDataStream&, const QRegExp&
    279, 495, 0,	//426  QUrl::FormattingOption, int
    33, 52, 0,	//429  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    397, 490, 0,	//432  const QByteArray&, const char*
    125, 125, 0,	//435  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    122, 495, 0,	//438  QFontDialog::FontDialogOption, int
    29, 449, 0,	//441  QDebug, const QSizeF&
    314, 105, 0,	//444  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    253, 495, 0,	//447  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    413, 420, 0,	//450  const QLine&, const QMatrix&
    167, 167, 0,	//453  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    495, 495, 495, 0,	//456  int, int, int
    414, 420, 0,	//460  const QLineF&, const QMatrix&
    341, 341, 0,	//463  Qt::Orientation, Qt::Orientation
    427, 420, 0,	//466  const QPainterPath&, const QMatrix&
    356, 495, 0,	//469  Qt::ToolBarArea, int
    487, 487, 0,	//472  const QVector3D&, const QVector3D&
    25, 181, 0,	//475  QDataStream&, QPointF&
    25, 411, 0,	//478  QDataStream&, const QKeySequence&
    337, 495, 0,	//481  Qt::MatchFlag, int
    465, 490, 0,	//484  const QString&, const char*
    25, 472, 0,	//487  QDataStream&, const QTableWidgetItem&
    29, 127, 0,	//490  QDebug, QGraphicsItem::GraphicsItemChange
    29, 404, 0,	//493  QDebug, const QEasingCurve&
    139, 495, 0,	//496  QItemSelectionModel::SelectionFlag, int
    25, 400, 0,	//499  QDataStream&, const QCursor&
    161, 76, 0,	//502  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    321, 321, 0,	//505  Qt::GestureFlag, Qt::GestureFlag
    25, 26, 0,	//508  QDataStream&, QDate&
    25, 431, 0,	//511  QDataStream&, const QPicture&
    133, 133, 0,	//514  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    161, 161, 0,	//517  QMessageBox::StandardButton, QMessageBox::StandardButton
    38, 495, 0,	//520  QEventLoop::ProcessEventsFlag, int
    391, 397, 0,	//523  char, const QByteArray&
    25, 289, 0,	//526  QDataStream&, QVector4D&
    490, 465, 0,	//529  const char*, const QString&
    160, 75, 0,	//532  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    29, 84, 0,	//535  QDebug, QFlags<QStyle::StateFlag>
    490, 397, 0,	//538  const char*, const QByteArray&
    122, 122, 0,	//541  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    25, 280, 0,	//544  QDataStream&, QUuid&
    493, 493, 0,	//547  double, double
    25, 18, 0,	//550  QDataStream&, QByteArray&
    25, 282, 0,	//553  QDataStream&, QVariant&
    25, 478, 0,	//556  QDataStream&, const QTreeWidgetItem&
    25, 189, 0,	//559  QDataStream&, QRegExp&
    170, 170, 0,	//562  QPainter::RenderHint, QPainter::RenderHint
    494, 494, 0,	//565  float, float
    436, 436, 0,	//568  const QPointF&, const QPointF&
    268, 451, 0,	//571  QTextStream&, const QSplitter&
    5, 44, 0,	//574  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    277, 277, 0,	//577  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    251, 251, 0,	//580  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    468, 468, 0,	//583  const QStringRef&, const QStringRef&
    251, 495, 0,	//586  QStyleOptionButton::ButtonFeature, int
    39, 495, 0,	//589  QFile::Permission, int
    29, 414, 0,	//592  QDebug, const QLineF&
    19, 19, 0,	//595  QChar, QChar
    427, 477, 0,	//598  const QPainterPath&, const QTransform&
    25, 394, 0,	//601  QDataStream&, const QBrush&
    159, 74, 0,	//604  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    490, 490, 503, 0,	//607  const char*, const char*, unsigned int
    397, 0,	//611  const QByteArray&
    5, 5, 0,	//613  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    138, 495, 0,	//616  QInputDialog::InputDialogOption, int
    487, 494, 0,	//619  const QVector3D&, float
    249, 495, 0,	//622  QStyle::StateFlag, int
    29, 50, 0,	//625  QDebug, QFlags<QDir::Filter>
    490, 495, 0,	//628  const char*, int
    25, 191, 0,	//631  QDataStream&, QRegion&
    170, 495, 0,	//634  QPainter::RenderHint, int
    254, 495, 0,	//637  QStyleOptionTab::CornerWidget, int
    293, 293, 0,	//640  QWizard::WizardOption, QWizard::WizardOption
    270, 99, 0,	//643  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    25, 14, 0,	//646  QDataStream&, QBitArray&
    293, 103, 0,	//649  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    168, 78, 0,	//652  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    128, 128, 0,	//655  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    19, 0,	//658  QChar
    169, 495, 495, 495, 495, 428, 390, 495, 395, 0,	//660  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    1, 41, 0,	//670  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    509, 0,	//673  void(*)(QtMsgType,const char*)
    25, 401, 0,	//675  QDataStream&, const QDate&
    426, 465, 422, 0,	//678  const QObject*, const QString&, const QMetaObject&
    337, 112, 0,	//682  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    487, 421, 0,	//685  const QVector3D&, const QMatrix4x4&
    321, 495, 0,	//688  Qt::GestureFlag, int
    169, 441, 428, 390, 395, 0,	//691  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    260, 495, 0,	//697  QTextCodec::ConversionFlag, int
    196, 196, 0,	//700  QSizePolicy::ControlType, QSizePolicy::ControlType
    121, 495, 0,	//703  QFontComboBox::FontFilter, int
    261, 495, 0,	//706  QTextDocument::FindFlag, int
    25, 24, 0,	//709  QDataStream&, QCursor&
    334, 111, 0,	//712  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    337, 337, 0,	//715  Qt::MatchFlag, Qt::MatchFlag
    25, 275, 0,	//718  QDataStream&, QTransform&
    437, 420, 0,	//721  const QPolygon&, const QMatrix&
    510, 0,	//724  void*
    254, 89, 0,	//726  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    465, 244, 0,	//729  const QString&, QString::Null
    29, 429, 0,	//732  QDebug, const QPen&
    256, 256, 0,	//735  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    29, 457, 0,	//738  QDebug, const QSqlField&
    143, 495, 0,	//741  QLibrary::LoadHint, int
    25, 194, 0,	//744  QDataStream&, QSizeF&
    468, 490, 0,	//747  const QStringRef&, const char*
    169, 441, 428, 390, 495, 495, 395, 0,	//750  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    169, 441, 428, 390, 495, 495, 0,	//758  QPainter*, const QRect&, const QPalette&, bool, int, int
    262, 262, 0,	//765  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    167, 495, 0,	//768  QPaintEngine::DirtyFlag, int
    128, 495, 0,	//771  QGraphicsItem::GraphicsItemFlag, int
    436, 0,	//774  const QPointF&
    510, 500, 500, 500, 0,	//776  void*, size_t, size_t, size_t
    331, 331, 0,	//781  Qt::ItemFlag, Qt::ItemFlag
    25, 432, 0,	//784  QDataStream&, const QPixmap&
    505, 0,	//787  unsigned long long
    397, 465, 0,	//789  const QByteArray&, const QString&
    367, 119, 0,	//792  Qt::WindowType, QFlags<Qt::WindowType>
    29, 447, 0,	//795  QDebug, const QSize&
    436, 477, 0,	//798  const QPointF&, const QTransform&
    331, 110, 0,	//801  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    29, 487, 0,	//804  QDebug, const QVector3D&
    359, 117, 0,	//807  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    465, 391, 0,	//810  const QString&, char
    34, 53, 0,	//813  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    125, 495, 0,	//816  QGraphicsEffect::ChangeFlag, int
    169, 495, 495, 495, 495, 399, 495, 395, 0,	//819  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    169, 495, 495, 495, 495, 399, 0,	//828  QPainter*, int, int, int, int, const QColor&
    169, 495, 495, 495, 495, 399, 495, 0,	//835  QPainter*, int, int, int, int, const QColor&, int
    25, 479, 0,	//843  QDataStream&, const QUrl&
    510, 495, 500, 0,	//846  void*, int, size_t
    196, 81, 0,	//850  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    25, 481, 0,	//853  QDataStream&, const QVariant&
    25, 145, 0,	//856  QDataStream&, QLine&
    397, 495, 0,	//859  const QByteArray&, int
    5, 495, 0,	//862  QAbstractSpinBox::StepEnabledFlag, int
    29, 485, 0,	//865  QDebug, const QVector2D&
    334, 334, 0,	//868  Qt::KeyboardModifier, Qt::KeyboardModifier
    421, 489, 0,	//871  const QMatrix4x4&, const QVector4D&
    12, 495, 0,	//874  QAccessible::StateFlag, int
    169, 441, 399, 495, 395, 0,	//877  QPainter*, const QRect&, const QColor&, int, const QBrush*
    169, 441, 399, 0,	//883  QPainter*, const QRect&, const QColor&
    169, 441, 399, 495, 0,	//887  QPainter*, const QRect&, const QColor&, int
    176, 176, 0,	//892  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    28, 495, 0,	//895  QDateTimeEdit::Section, int
    508, 0,	//898  void(*)()
    294, 495, 0,	//900  Qt::AlignmentFlag, int
    434, 420, 0,	//903  const QPoint&, const QMatrix&
    334, 495, 0,	//906  Qt::KeyboardModifier, int
    331, 495, 0,	//909  Qt::ItemFlag, int
    326, 108, 0,	//912  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    25, 429, 0,	//915  QDataStream&, const QPen&
    434, 434, 0,	//918  const QPoint&, const QPoint&
    245, 495, 0,	//921  QString::SectionFlag, int
    367, 495, 0,	//924  Qt::WindowType, int
    292, 292, 0,	//927  QWidget::RenderFlag, QWidget::RenderFlag
    468, 465, 0,	//930  const QStringRef&, const QString&
    169, 441, 419, 432, 441, 419, 475, 54, 0,	//933  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    169, 441, 419, 432, 441, 419, 0,	//942  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    169, 441, 419, 432, 441, 419, 475, 0,	//949  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    412, 412, 0,	//957  const QLatin1String&, const QLatin1String&
    407, 407, 0,	//960  const QHashDummyValue&, const QHashDummyValue&
    490, 503, 0,	//963  const char*, unsigned int
    279, 279, 0,	//966  QUrl::FormattingOption, QUrl::FormattingOption
    477, 494, 0,	//969  const QTransform&, float
    23, 495, 0,	//972  QColorDialog::ColorDialogOption, int
    25, 134, 0,	//975  QDataStream&, QIcon&
    25, 437, 0,	//978  QDataStream&, const QPolygon&
    359, 495, 0,	//981  Qt::TouchPointState, int
    29, 419, 0,	//984  QDebug, const QMargins&
    292, 102, 0,	//987  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    264, 495, 0,	//990  QTextFormat::PageBreakFlag, int
    490, 0,	//993  const char*
    136, 495, 0,	//995  QImageIOPlugin::Capability, int
    29, 63, 0,	//998  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    131, 495, 0,	//1001  QGraphicsView::CacheModeFlag, int
    3, 495, 0,	//1004  QAbstractItemView::EditTrigger, int
    29, 489, 0,	//1007  QDebug, const QVector4D&
    268, 269, 0,	//1010  QTextStream&, QTextStream&(*)(QTextStream&)
    293, 495, 0,	//1013  QWizard::WizardOption, int
    40, 495, 0,	//1016  QFileDialog::Option, int
    249, 84, 0,	//1019  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    421, 434, 0,	//1022  const QMatrix4x4&, const QPoint&
    256, 91, 0,	//1025  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    25, 36, 0,	//1028  QDataStream&, QEasingCurve&
    29, 452, 0,	//1031  QDebug, const QSqlDatabase&
    130, 64, 0,	//1034  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    159, 159, 0,	//1037  QMdiArea::AreaOption, QMdiArea::AreaOption
    25, 241, 0,	//1040  QDataStream&, QStandardItem&
    25, 414, 0,	//1043  QDataStream&, const QLineF&
    39, 56, 0,	//1046  QFile::Permission, QFlags<QFile::Permission>
    168, 495, 0,	//1049  QPaintEngine::PaintEngineFeature, int
    29, 427, 0,	//1052  QDebug, const QPainterPath&
    392, 490, 503, 0,	//1055  char*, const char*, unsigned int
    23, 47, 0,	//1059  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    25, 16, 0,	//1062  QDataStream&, QBrush&
    25, 436, 0,	//1065  QDataStream&, const QPointF&
    25, 158, 0,	//1068  QDataStream&, QMatrix4x4&
    489, 0,	//1071  const QVector4D&
    29, 421, 0,	//1073  QDebug, const QMatrix4x4&
    479, 0,	//1076  const QUrl&
    132, 495, 0,	//1078  QGraphicsView::OptimizationFlag, int
    25, 263, 0,	//1081  QDataStream&, QTextFormat&
    495, 0,	//1084  int
    434, 494, 0,	//1086  const QPoint&, float
    152, 495, 0,	//1089  QLocale::NumberOption, int
    25, 150, 0,	//1092  QDataStream&, QListWidgetItem&
    510, 500, 0,	//1095  void*, size_t
    125, 62, 0,	//1098  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    124, 61, 0,	//1101  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    465, 465, 0,	//1104  const QString&, const QString&
    256, 495, 0,	//1107  QStyleOptionToolButton::ToolButtonFeature, int
    161, 495, 0,	//1110  QMessageBox::StandardButton, int
    490, 490, 490, 495, 0,	//1113  const char*, const char*, const char*, int
    465, 468, 0,	//1118  const QString&, const QStringRef&
    29, 128, 0,	//1121  QDebug, QGraphicsItem::GraphicsItemFlag
    421, 494, 0,	//1124  const QMatrix4x4&, float
    494, 436, 0,	//1127  float, const QPointF&
    11, 45, 0,	//1130  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    494, 447, 0,	//1133  float, const QSize&
    142, 140, 0,	//1136  QKeySequence::StandardKey, QKeyEvent*
    196, 495, 0,	//1139  QSizePolicy::ControlType, int
    25, 195, 0,	//1142  QDataStream&, QSizePolicy&
    29, 460, 0,	//1145  QDebug, const QSqlRecord&
    490, 468, 0,	//1148  const char*, const QStringRef&
    25, 156, 0,	//1151  QDataStream&, QMatrix&
    339, 495, 0,	//1154  Qt::MouseButton, int
    253, 88, 0,	//1157  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    25, 193, 0,	//1160  QDataStream&, QSize&
    33, 33, 0,	//1163  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    328, 328, 0,	//1166  Qt::InputMethodHint, Qt::InputMethodHint
    270, 270, 0,	//1169  QTextStream::NumberFlag, QTextStream::NumberFlag
    421, 436, 0,	//1172  const QMatrix4x4&, const QPointF&
    421, 0,	//1175  const QMatrix4x4&
    4, 43, 0,	//1177  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    138, 138, 0,	//1180  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    4, 495, 0,	//1183  QAbstractPrintDialog::PrintDialogOption, int
    25, 284, 0,	//1186  QDataStream&, QVariant::Type&
    353, 115, 0,	//1189  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    25, 487, 0,	//1192  QDataStream&, const QVector3D&
    449, 494, 0,	//1195  const QSizeF&, float
    414, 477, 0,	//1198  const QLineF&, const QTransform&
    468, 412, 0,	//1201  const QStringRef&, const QLatin1String&
    499, 0,	//1204  signed char
    25, 438, 0,	//1206  QDataStream&, const QPolygonF&
    25, 449, 0,	//1209  QDataStream&, const QSizeF&
    356, 116, 0,	//1212  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    440, 494, 0,	//1215  const QQuaternion&, float
    25, 406, 0,	//1218  QDataStream&, const QFont&
    267, 98, 0,	//1221  QTextOption::Flag, QFlags<QTextOption::Flag>
    490, 490, 0,	//1224  const char*, const char*
    25, 258, 0,	//1227  QDataStream&, QTableWidgetItem&
    250, 85, 0,	//1230  QStyle::SubControl, QFlags<QStyle::SubControl>
    25, 485, 0,	//1233  QDataStream&, const QVector2D&
    25, 420, 0,	//1236  QDataStream&, const QMatrix&
    391, 465, 0,	//1239  char, const QString&
    170, 79, 0,	//1242  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    143, 143, 0,	//1245  QLibrary::LoadHint, QLibrary::LoadHint
    132, 66, 0,	//1248  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    366, 366, 0,	//1251  Qt::WindowState, Qt::WindowState
    265, 265, 0,	//1254  QTextItem::RenderFlag, QTextItem::RenderFlag
    29, 479, 0,	//1257  QDebug, const QUrl&
    131, 131, 0,	//1260  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    279, 101, 0,	//1263  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    25, 185, 0,	//1266  QDataStream&, QPolygonF&
    277, 100, 0,	//1269  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    25, 427, 0,	//1272  QDataStream&, const QPainterPath&
    25, 173, 0,	//1275  QDataStream&, QPalette&
    12, 12, 0,	//1278  QAccessible::StateFlag, QAccessible::StateFlag
    442, 442, 0,	//1281  const QRectF&, const QRectF&
    140, 142, 0,	//1284  QKeyEvent*, QKeySequence::StandardKey
    39, 39, 0,	//1287  QFile::Permission, QFile::Permission
    131, 65, 0,	//1290  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    250, 250, 0,	//1293  QStyle::SubControl, QStyle::SubControl
    29, 413, 0,	//1296  QDebug, const QLine&
    3, 42, 0,	//1299  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    25, 186, 0,	//1302  QDataStream&, QQuaternion&
    176, 495, 0,	//1305  QPinchGesture::ChangeFlag, int
    489, 421, 0,	//1308  const QVector4D&, const QMatrix4x4&
    25, 393, 0,	//1311  QDataStream&, const QBitArray&
    420, 420, 0,	//1314  const QMatrix&, const QMatrix&
    257, 257, 0,	//1317  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    510, 492, 500, 0,	//1320  void*, const void*, size_t
    493, 434, 0,	//1324  double, const QPoint&
    153, 73, 0,	//1327  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    29, 129, 0,	//1330  QDebug, QGraphicsObject*
    29, 425, 0,	//1333  QDebug, const QModelIndex&
    498, 0,	//1336  short
    29, 402, 0,	//1338  QDebug, const QDateTime&
    160, 160, 0,	//1341  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    25, 434, 0,	//1344  QDataStream&, const QPoint&
    25, 409, 0,	//1347  QDataStream&, const QImage&
    397, 391, 0,	//1350  const QByteArray&, char
    261, 261, 0,	//1353  QTextDocument::FindFlag, QTextDocument::FindFlag
    29, 411, 0,	//1356  QDebug, const QKeySequence&
    167, 77, 0,	//1359  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    30, 30, 0,	//1362  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    11, 11, 0,	//1365  QAccessible::RelationFlag, QAccessible::RelationFlag
    29, 426, 0,	//1368  QDebug, const QObject*
    130, 130, 0,	//1371  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    29, 405, 0,	//1374  QDebug, const QEvent*
    25, 120, 0,	//1377  QDataStream&, QFont&
    32, 51, 0,	//1380  QDir::SortFlag, QFlags<QDir::SortFlag>
    392, 500, 490, 507, 0,	//1383  char*, size_t, const char*, va_list
    138, 69, 0,	//1388  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    245, 83, 0,	//1391  QString::SectionFlag, QFlags<QString::SectionFlag>
    25, 447, 0,	//1394  QDataStream&, const QSize&
    139, 70, 0,	//1397  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    25, 188, 0,	//1400  QDataStream&, QRectF&
    260, 93, 0,	//1403  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    29, 67, 0,	//1406  QDebug, QFlags<QIODevice::OpenModeFlag>
    25, 398, 0,	//1409  QDataStream&, const QChar&
    390, 15, 0,	//1412  bool, QBool
    504, 0,	//1415  unsigned long
    29, 442, 0,	//1417  QDebug, const QRectF&
    123, 495, 0,	//1420  QGestureRecognizer::ResultFlag, int
    437, 477, 0,	//1423  const QPolygon&, const QTransform&
    15, 390, 0,	//1426  QBool, bool
    366, 495, 0,	//1429  Qt::WindowState, int
    257, 92, 0,	//1432  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    25, 266, 0,	//1435  QDataStream&, QTextLength&
    25, 247, 0,	//1438  QDataStream&, QStringList&
    25, 441, 0,	//1441  QDataStream&, const QRect&
    436, 494, 0,	//1444  const QPointF&, float
    25, 445, 0,	//1447  QDataStream&, const QRegion&
    314, 314, 0,	//1450  Qt::DockWidgetArea, Qt::DockWidgetArea
    29, 420, 0,	//1453  QDebug, const QMatrix&
    124, 495, 0,	//1456  QGraphicsBlurEffect::BlurHint, int
    152, 72, 0,	//1459  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    267, 267, 0,	//1462  QTextOption::Flag, QTextOption::Flag
    25, 399, 0,	//1465  QDataStream&, const QColor&
    367, 367, 0,	//1468  Qt::WindowType, Qt::WindowType
    28, 28, 0,	//1471  QDateTimeEdit::Section, QDateTimeEdit::Section
    421, 487, 0,	//1474  const QMatrix4x4&, const QVector3D&
    244, 465, 0,	//1477  QString::Null, const QString&
    29, 394, 0,	//1480  QDebug, const QBrush&
    32, 32, 0,	//1483  QDir::SortFlag, QDir::SortFlag
    328, 109, 0,	//1486  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    25, 179, 0,	//1489  QDataStream&, QPoint&
    29, 436, 0,	//1492  QDebug, const QPointF&
    426, 465, 444, 422, 149, 0,	//1495  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    25, 27, 0,	//1501  QDataStream&, QDateTime&
    252, 252, 0,	//1504  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    25, 476, 0,	//1507  QDataStream&, const QTime&
    25, 276, 0,	//1510  QDataStream&, QTreeWidgetItem&
    25, 141, 0,	//1513  QDataStream&, QKeySequence&
    262, 495, 0,	//1516  QTextEdit::AutoFormattingFlag, int
    25, 480, 0,	//1519  QDataStream&, const QUuid&
    494, 449, 0,	//1522  float, const QSizeF&
    268, 271, 0,	//1525  QTextStream&, QTextStreamManipulator
    136, 68, 0,	//1528  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    25, 474, 0,	//1531  QDataStream&, const QTextLength&
    445, 477, 0,	//1534  const QRegion&, const QTransform&
    436, 421, 0,	//1537  const QPointF&, const QMatrix4x4&
    29, 126, 0,	//1540  QDebug, QGraphicsItem*
    34, 495, 0,	//1543  QDockWidget::DockWidgetFeature, int
    25, 416, 0,	//1546  QDataStream&, const QListWidgetItem&
    245, 245, 0,	//1549  QString::SectionFlag, QString::SectionFlag
    500, 500, 0,	//1552  size_t, size_t
    130, 495, 0,	//1555  QGraphicsScene::SceneLayer, int
    270, 495, 0,	//1558  QTextStream::NumberFlag, int
    491, 495, 495, 0,	//1561  const unsigned char*, int, int
    491, 495, 0,	//1565  const unsigned char*, int
    133, 495, 0,	//1568  QIODevice::OpenModeFlag, int
    495, 434, 0,	//1571  int, const QPoint&
    29, 470, 0,	//1574  QDebug, const QStyleOption::OptionType&
    321, 107, 0,	//1577  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    25, 463, 0,	//1580  QDataStream&, const QStandardItem&
    438, 420, 0,	//1583  const QPolygonF&, const QMatrix&
    11, 495, 0,	//1586  QAccessible::RelationFlag, int
    434, 0,	//1589  const QPoint&
    25, 183, 0,	//1591  QDataStream&, QPolygon&
    169, 441, 419, 432, 0,	//1594  QPainter*, const QRect&, const QMargins&, const QPixmap&
    121, 58, 0,	//1599  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    200, 82, 0,	//1602  QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>
    40, 40, 0,	//1605  QFileDialog::Option, QFileDialog::Option
    159, 495, 0,	//1608  QMdiArea::AreaOption, int
    25, 243, 0,	//1611  QDataStream&, QString&
    28, 48, 0,	//1614  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    30, 49, 0,	//1617  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    169, 434, 434, 428, 390, 495, 495, 0,	//1620  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    169, 434, 434, 428, 0,	//1628  QPainter*, const QPoint&, const QPoint&, const QPalette&
    169, 434, 434, 428, 390, 0,	//1633  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    169, 434, 434, 428, 390, 495, 0,	//1639  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    139, 139, 0,	//1646  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    25, 465, 0,	//1649  QDataStream&, const QString&
    25, 404, 0,	//1652  QDataStream&, const QEasingCurve&
    268, 197, 0,	//1655  QTextStream&, QSplitter&
    25, 421, 0,	//1658  QDataStream&, const QMatrix4x4&
    25, 20, 0,	//1661  QDataStream&, QChar&
    25, 489, 0,	//1664  QDataStream&, const QVector4D&
    249, 249, 0,	//1667  QStyle::StateFlag, QStyle::StateFlag
    410, 0,	//1670  const QItemSelectionRange&
    353, 353, 0,	//1672  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    25, 177, 0,	//1675  QDataStream&, QPixmap&
    465, 397, 0,	//1678  const QString&, const QByteArray&
    38, 38, 0,	//1681  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    434, 421, 0,	//1684  const QPoint&, const QMatrix4x4&
    25, 187, 0,	//1687  QDataStream&, QRect&
    1, 495, 0,	//1690  QAbstractFileEngine::FileFlag, int
    122, 59, 0,	//1693  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    132, 132, 0,	//1696  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    370, 490, 0,	//1699  QtMsgType, const char*
    29, 456, 0,	//1702  QDebug, const QSqlError&
    326, 495, 0,	//1705  Qt::ImageConversionFlag, int
    487, 0,	//1708  const QVector3D&
    251, 86, 0,	//1710  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    23, 23, 0,	//1713  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    29, 441, 0,	//1716  QDebug, const QRect&
    25, 408, 0,	//1719  QDataStream&, const QIcon&
    25, 482, 0,	//1722  QDataStream&, const QVariant::Type
    25, 287, 0,	//1725  QDataStream&, QVector3D&
    257, 495, 0,	//1728  QStyleOptionViewItemV2::ViewItemFeature, int
    25, 147, 0,	//1731  QDataStream&, QLineF&
    25, 172, 0,	//1734  QDataStream&, QPainterPath&
    128, 63, 0,	//1737  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    25, 175, 0,	//1740  QDataStream&, QPicture&
    359, 359, 0,	//1743  Qt::TouchPointState, Qt::TouchPointState
    265, 97, 0,	//1746  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    353, 495, 0,	//1749  Qt::TextInteractionFlag, int
    434, 477, 0,	//1752  const QPoint&, const QTransform&
    252, 495, 0,	//1755  QStyleOptionFrameV2::FrameFeature, int
    30, 495, 0,	//1758  QDialogButtonBox::StandardButton, int
    255, 255, 0,	//1761  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    265, 495, 0,	//1764  QTextItem::RenderFlag, int
    25, 285, 0,	//1767  QDataStream&, QVector2D&
    391, 0,	//1770  char
    25, 402, 0,	//1772  QDataStream&, const QDateTime&
    153, 495, 0,	//1775  QMainWindow::DockOption, int
    25, 272, 0,	//1778  QDataStream&, QTime&
    264, 96, 0,	//1781  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    434, 495, 0,	//1784  const QPoint&, int
    326, 326, 0,	//1787  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    29, 440, 0,	//1790  QDebug, const QQuaternion&
    252, 87, 0,	//1793  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    25, 473, 0,	//1796  QDataStream&, const QTextFormat&
    316, 106, 0,	//1799  Qt::DropAction, QFlags<Qt::DropAction>
    160, 495, 0,	//1802  QMdiSubWindow::SubWindowOption, int
    316, 316, 0,	//1805  Qt::DropAction, Qt::DropAction
    124, 124, 0,	//1808  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    341, 495, 0,	//1811  Qt::Orientation, int
    136, 136, 0,	//1814  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    25, 440, 0,	//1817  QDataStream&, const QQuaternion&
    29, 403, 0,	//1820  QDebug, const QDir&
    445, 420, 0,	//1823  const QRegion&, const QMatrix&
    29, 445, 0,	//1826  QDebug, const QRegion&
    494, 434, 0,	//1829  float, const QPoint&
    25, 278, 0,	//1832  QDataStream&, QUrl&
    143, 71, 0,	//1835  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    267, 495, 0,	//1838  QTextOption::Flag, int
    465, 19, 0,	//1841  const QString&, QChar
    495, 495, 495, 495, 0,	//1844  int, int, int, int
    341, 114, 0,	//1849  Qt::Orientation, QFlags<Qt::Orientation>
    255, 90, 0,	//1852  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    153, 153, 0,	//1855  QMainWindow::DockOption, QMainWindow::DockOption
    500, 0,	//1858  size_t
    29, 481, 0,	//1860  QDebug, const QVariant&
    152, 152, 0,	//1863  QLocale::NumberOption, QLocale::NumberOption
    25, 417, 0,	//1866  QDataStream&, const QLocale&
    162, 495, 511, 0,	//1869  QMetaObject::Call, int, void**
    169, 471, 425, 0,	//1873  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    471, 425, 0,	//1877  const QStyleOptionViewItem&, const QModelIndex&
    291, 471, 425, 0,	//1880  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    169, 471, 441, 465, 0,	//1884  QPainter*, const QStyleOptionViewItem&, const QRect&, const QString&
    169, 471, 441, 432, 0,	//1889  QPainter*, const QStyleOptionViewItem&, const QRect&, const QPixmap&
    169, 471, 441, 0,	//1894  QPainter*, const QStyleOptionViewItem&, const QRect&
    169, 471, 441, 304, 0,	//1898  QPainter*, const QStyleOptionViewItem&, const QRect&, Qt::CheckState
    165, 37, 0,	//1903  QObject*, QEvent*
    37, 2, 471, 425, 0,	//1906  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    37, 0,	//1911  QEvent*
    273, 0,	//1913  QTimerEvent*
    21, 0,	//1915  QChildEvent*
    452, 0,	//1917  const QSqlDatabase&
    201, 0,	//1919  QSql::TableType
    199, 0,	//1921  QSql::NumericalPrecisionPolicy
    205, 465, 0,	//1923  QSqlDriver*, const QString&
    452, 465, 0,	//1926  const QSqlDatabase&, const QString&
    465, 390, 0,	//1929  const QString&, bool
    465, 209, 0,	//1932  const QString&, QSqlDriverCreatorBase*
    205, 0,	//1935  QSqlDriver*
    165, 0,	//1937  QObject*
    457, 390, 0,	//1939  const QSqlField&, bool
    465, 207, 0,	//1942  const QString&, QSqlDriver::IdentifierType
    208, 465, 460, 390, 0,	//1945  QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool
    206, 0,	//1950  QSqlDriver::DriverFeature
    465, 465, 465, 465, 495, 465, 0,	//1952  const QString&, const QString&, const QString&, const QString&, int, const QString&
    390, 0,	//1959  bool
    456, 0,	//1961  const QSqlError&
    457, 0,	//1963  const QSqlField&
    465, 465, 465, 0,	//1965  const QString&, const QString&, const QString&
    465, 465, 465, 465, 0,	//1969  const QString&, const QString&, const QString&, const QString&
    465, 465, 465, 465, 495, 0,	//1974  const QString&, const QString&, const QString&, const QString&, int
    454, 0,	//1980  const QSqlDriverCreatorBase&
    455, 0,	//1982  const QSqlDriverFactoryInterface&
    465, 465, 215, 495, 0,	//1984  const QString&, const QString&, QSqlError::ErrorType, int
    215, 0,	//1989  QSqlError::ErrorType
    465, 465, 215, 0,	//1991  const QString&, const QString&, QSqlError::ErrorType
    465, 283, 0,	//1995  const QString&, QVariant::Type
    481, 0,	//1998  const QVariant&
    283, 0,	//2000  QVariant::Type
    219, 0,	//2002  QSqlField::RequiredStatus
    458, 0,	//2004  const QSqlIndex&
    495, 390, 0,	//2006  int, bool
    236, 0,	//2009  QSqlResult*
    465, 202, 0,	//2011  const QString&, QSqlDatabase
    202, 0,	//2014  QSqlDatabase
    459, 0,	//2016  const QSqlQuery&
    226, 0,	//2018  QSqlQuery::BatchExecutionMode
    465, 481, 82, 0,	//2020  const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>
    495, 481, 82, 0,	//2024  int, const QVariant&, QFlags<QSql::ParamTypeFlag>
    481, 82, 0,	//2028  const QVariant&, QFlags<QSql::ParamTypeFlag>
    465, 481, 0,	//2031  const QString&, const QVariant&
    495, 481, 0,	//2034  int, const QVariant&
    425, 495, 0,	//2037  const QModelIndex&, int
    495, 341, 495, 0,	//2040  int, Qt::Orientation, int
    495, 341, 481, 495, 0,	//2044  int, Qt::Orientation, const QVariant&, int
    465, 452, 0,	//2049  const QString&, const QSqlDatabase&
    495, 341, 0,	//2052  int, Qt::Orientation
    495, 341, 481, 0,	//2055  int, Qt::Orientation, const QVariant&
    495, 495, 0,	//2059  int, int
    460, 0,	//2062  const QSqlRecord&
    495, 457, 0,	//2064  int, const QSqlField&
    461, 0,	//2067  const QSqlRelation&
    291, 425, 0,	//2069  QWidget*, const QModelIndex&
    291, 2, 425, 0,	//2072  QWidget*, QAbstractItemModel*, const QModelIndex&
    165, 202, 0,	//2076  QObject*, QSqlDatabase
    495, 461, 0,	//2079  int, const QSqlRelation&
    235, 0,	//2082  QSqlRelationalTableModel::JoinMode
    495, 460, 0,	//2084  int, const QSqlRecord&
    425, 481, 0,	//2087  const QModelIndex&, const QVariant&
    453, 0,	//2090  const QSqlDriver*
    495, 510, 0,	//2092  int, void*
    240, 0,	//2095  QSqlTableModel::EditStrategy
    495, 229, 0,	//2097  int, QSqlRecord&
    229, 0,	//2100  QSqlRecord&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AfterLastRow",	//1
    "AllTables",	//2
    "BLOB",	//3
    "BatchOperation",	//4
    "BatchOperations",	//5
    "BeforeFirstRow",	//6
    "Binary",	//7
    "ConnectionError",	//8
    "DeleteStatement",	//9
    "DetachFromResultSet",	//10
    "EventNotifications",	//11
    "FieldName",	//12
    "FinishQuery",	//13
    "HighPrecision",	//14
    "In",	//15
    "InOut",	//16
    "InnerJoin",	//17
    "InsertStatement",	//18
    "LastInsertId",	//19
    "LeftJoin",	//20
    "LicensedActiveQt",	//21
    "LicensedCore",	//22
    "LicensedDBus",	//23
    "LicensedDeclarative",	//24
    "LicensedGui",	//25
    "LicensedHelp",	//26
    "LicensedMultimedia",	//27
    "LicensedNetwork",	//28
    "LicensedOpenGL",	//29
    "LicensedOpenVG",	//30
    "LicensedQt3Support",	//31
    "LicensedQt3SupportLight",	//32
    "LicensedScript",	//33
    "LicensedScriptTools",	//34
    "LicensedSql",	//35
    "LicensedSvg",	//36
    "LicensedTest",	//37
    "LicensedXml",	//38
    "LicensedXmlPatterns",	//39
    "LowPrecisionDouble",	//40
    "LowPrecisionInt32",	//41
    "LowPrecisionInt64",	//42
    "LowPrecisionNumbers",	//43
    "MultipleResultSets",	//44
    "NamedBinding",	//45
    "NamedPlaceholders",	//46
    "NextResult",	//47
    "NoError",	//48
    "OnFieldChange",	//49
    "OnManualSubmit",	//50
    "OnRowChange",	//51
    "Optional",	//52
    "Out",	//53
    "PositionalBinding",	//54
    "PositionalPlaceholders",	//55
    "PreparedQueries",	//56
    "QSqlDatabase",	//57
    "QSqlDatabase#",	//58
    "QSqlDatabase$",	//59
    "QSqlDriver",	//60
    "QSqlDriver#",	//61
    "QSqlDriverCreatorBase",	//62
    "QSqlDriverCreatorBase#",	//63
    "QSqlDriverFactoryInterface",	//64
    "QSqlDriverFactoryInterface#",	//65
    "QSqlDriverPlugin",	//66
    "QSqlDriverPlugin#",	//67
    "QSqlError",	//68
    "QSqlError#",	//69
    "QSqlError$",	//70
    "QSqlError$$",	//71
    "QSqlError$$$",	//72
    "QSqlError$$$$",	//73
    "QSqlField",	//74
    "QSqlField#",	//75
    "QSqlField$",	//76
    "QSqlField$$",	//77
    "QSqlIndex",	//78
    "QSqlIndex#",	//79
    "QSqlIndex$",	//80
    "QSqlIndex$$",	//81
    "QSqlQuery",	//82
    "QSqlQuery#",	//83
    "QSqlQuery$",	//84
    "QSqlQuery$#",	//85
    "QSqlQueryModel",	//86
    "QSqlQueryModel#",	//87
    "QSqlRecord",	//88
    "QSqlRecord#",	//89
    "QSqlRelation",	//90
    "QSqlRelation#",	//91
    "QSqlRelation$$$",	//92
    "QSqlRelationalDelegate",	//93
    "QSqlRelationalDelegate#",	//94
    "QSqlRelationalTableModel",	//95
    "QSqlRelationalTableModel#",	//96
    "QSqlRelationalTableModel##",	//97
    "QSqlResult",	//98
    "QSqlResult#",	//99
    "QSqlTableModel",	//100
    "QSqlTableModel#",	//101
    "QSqlTableModel##",	//102
    "QtCriticalMsg",	//103
    "QtDebugMsg",	//104
    "QtFatalMsg",	//105
    "QtSystemMsg",	//106
    "QtWarningMsg",	//107
    "QuerySize",	//108
    "Required",	//109
    "SP_CustomCameraCaptureButton",	//110
    "SP_CustomCameraCaptureButtonPressed",	//111
    "SP_CustomCameraPauseButton",	//112
    "SP_CustomCameraPauseButtonPressed",	//113
    "SP_CustomCameraPlayButton",	//114
    "SP_CustomCameraPlayButtonPressed",	//115
    "SP_CustomCameraRecButton",	//116
    "SP_CustomCameraRecButtonPressed",	//117
    "SP_CustomCameraStopButton",	//118
    "SP_CustomCameraStopButtonPressed",	//119
    "SP_CustomTabAll",	//120
    "SP_CustomTabArtist",	//121
    "SP_CustomTabFavourite",	//122
    "SP_CustomTabGenre",	//123
    "SP_CustomTabLanguage",	//124
    "SP_CustomTabMusicAlbum",	//125
    "SP_CustomTabPhotosAlbum",	//126
    "SP_CustomTabPhotosAll",	//127
    "SP_CustomTabPlaylist",	//128
    "SP_CustomTabServices",	//129
    "SP_CustomTabSongs",	//130
    "SP_CustomTabVideos",	//131
    "SP_CustomToolBarAdd",	//132
    "SP_CustomToolBarAddDetail",	//133
    "SP_CustomToolBarAgain",	//134
    "SP_CustomToolBarAgenda",	//135
    "SP_CustomToolBarAudioOff",	//136
    "SP_CustomToolBarAudioOn",	//137
    "SP_CustomToolBarBack",	//138
    "SP_CustomToolBarBluetoothOff",	//139
    "SP_CustomToolBarBluetoothOn",	//140
    "SP_CustomToolBarCancel",	//141
    "SP_CustomToolBarDelete",	//142
    "SP_CustomToolBarDone",	//143
    "SP_CustomToolBarEdit",	//144
    "SP_CustomToolBarEditDisabled",	//145
    "SP_CustomToolBarEmailSend",	//146
    "SP_CustomToolBarEmergencyCall",	//147
    "SP_CustomToolBarFavouriteAdd",	//148
    "SP_CustomToolBarFavouriteRemove",	//149
    "SP_CustomToolBarFavourites",	//150
    "SP_CustomToolBarGo",	//151
    "SP_CustomToolBarHome",	//152
    "SP_CustomToolBarImageTools",	//153
    "SP_CustomToolBarList",	//154
    "SP_CustomToolBarLock",	//155
    "SP_CustomToolBarLogs",	//156
    "SP_CustomToolBarMenu",	//157
    "SP_CustomToolBarNewContact",	//158
    "SP_CustomToolBarNewGroup",	//159
    "SP_CustomToolBarNextFrame",	//160
    "SP_CustomToolBarNowPlay",	//161
    "SP_CustomToolBarOptions",	//162
    "SP_CustomToolBarOther",	//163
    "SP_CustomToolBarOvi",	//164
    "SP_CustomToolBarPreviousFrame",	//165
    "SP_CustomToolBarRead",	//166
    "SP_CustomToolBarRedo",	//167
    "SP_CustomToolBarRedoDisabled",	//168
    "SP_CustomToolBarRefresh",	//169
    "SP_CustomToolBarRemoveDetail",	//170
    "SP_CustomToolBarRemoveDisabled",	//171
    "SP_CustomToolBarRepeat",	//172
    "SP_CustomToolBarRepeatOff",	//173
    "SP_CustomToolBarRepeatOne",	//174
    "SP_CustomToolBarSearch",	//175
    "SP_CustomToolBarSearchDisabled",	//176
    "SP_CustomToolBarSelectContent",	//177
    "SP_CustomToolBarSelfTimer",	//178
    "SP_CustomToolBarSend",	//179
    "SP_CustomToolBarSendDimmed",	//180
    "SP_CustomToolBarShare",	//181
    "SP_CustomToolBarShift",	//182
    "SP_CustomToolBarShuffle",	//183
    "SP_CustomToolBarShuffleOff",	//184
    "SP_CustomToolBarSignalOff",	//185
    "SP_CustomToolBarSignalOn",	//186
    "SP_CustomToolBarSync",	//187
    "SP_CustomToolBarTools",	//188
    "SP_CustomToolBarTrim",	//189
    "SP_CustomToolBarUnlock",	//190
    "SP_CustomToolBarUnmark",	//191
    "SP_CustomToolBarView",	//192
    "SP_CustomToolBarWlanOff",	//193
    "SP_CustomToolBarWlanOn",	//194
    "SelectStatement",	//195
    "SetNumericalPrecision",	//196
    "SimpleLocking",	//197
    "StatementError",	//198
    "SystemTables",	//199
    "TableName",	//200
    "Tables",	//201
    "TransactionError",	//202
    "Transactions",	//203
    "Unicode",	//204
    "Unknown",	//205
    "UnknownError",	//206
    "UpdateStatement",	//207
    "ValuesAsColumns",	//208
    "ValuesAsRows",	//209
    "Views",	//210
    "WhereStatement",	//211
    "addBindValue",	//212
    "addBindValue#",	//213
    "addBindValue#$",	//214
    "addDatabase",	//215
    "addDatabase#",	//216
    "addDatabase#$",	//217
    "addDatabase$",	//218
    "addDatabase$$",	//219
    "append",	//220
    "append#",	//221
    "append#$",	//222
    "at",	//223
    "beforeDelete",	//224
    "beforeDelete$",	//225
    "beforeInsert",	//226
    "beforeInsert#",	//227
    "beforeUpdate",	//228
    "beforeUpdate$#",	//229
    "beginTransaction",	//230
    "bindValue",	//231
    "bindValue$#",	//232
    "bindValue$#$",	//233
    "bindValueType",	//234
    "bindValueType$",	//235
    "bindingSyntax",	//236
    "boundValue",	//237
    "boundValue$",	//238
    "boundValueCount",	//239
    "boundValueName",	//240
    "boundValueName$",	//241
    "boundValues",	//242
    "buddy",	//243
    "canFetchMore",	//244
    "canFetchMore#",	//245
    "childEvent",	//246
    "clear",	//247
    "clearValues",	//248
    "cloneDatabase",	//249
    "cloneDatabase#$",	//250
    "close",	//251
    "columnCount",	//252
    "columnCount#",	//253
    "commit",	//254
    "commitTransaction",	//255
    "connectNotify",	//256
    "connectOptions",	//257
    "connectionName",	//258
    "connectionNames",	//259
    "contains",	//260
    "contains$",	//261
    "count",	//262
    "create",	//263
    "create$",	//264
    "createEditor",	//265
    "createEditor###",	//266
    "createObject",	//267
    "createResult",	//268
    "cursorName",	//269
    "customEvent",	//270
    "data",	//271
    "data#",	//272
    "data#$",	//273
    "data$",	//274
    "database",	//275
    "database$",	//276
    "database$$",	//277
    "databaseName",	//278
    "databaseText",	//279
    "defaultConnection",	//280
    "defaultValue",	//281
    "deleteRowFromTable",	//282
    "deleteRowFromTable$",	//283
    "detachFromResultSet",	//284
    "disconnectNotify",	//285
    "displayColumn",	//286
    "drawCheck",	//287
    "drawDecoration",	//288
    "drawDisplay",	//289
    "drawFocus",	//290
    "driver",	//291
    "driverName",	//292
    "driverText",	//293
    "drivers",	//294
    "dropMimeData",	//295
    "editStrategy",	//296
    "editorEvent",	//297
    "escapeIdentifier",	//298
    "escapeIdentifier$$",	//299
    "event",	//300
    "eventFilter",	//301
    "exec",	//302
    "exec$",	//303
    "execBatch",	//304
    "execBatch$",	//305
    "executedQuery",	//306
    "fetch",	//307
    "fetch$",	//308
    "fetchFirst",	//309
    "fetchLast",	//310
    "fetchMore",	//311
    "fetchMore#",	//312
    "fetchNext",	//313
    "fetchPrevious",	//314
    "field",	//315
    "field$",	//316
    "fieldIndex",	//317
    "fieldIndex$",	//318
    "fieldName",	//319
    "fieldName$",	//320
    "filter",	//321
    "finish",	//322
    "first",	//323
    "flags",	//324
    "flags#",	//325
    "formatValue",	//326
    "formatValue#",	//327
    "formatValue#$",	//328
    "handle",	//329
    "hasFeature",	//330
    "hasFeature$",	//331
    "hasOutValues",	//332
    "headerData",	//333
    "headerData$$",	//334
    "headerData$$$",	//335
    "hostName",	//336
    "index",	//337
    "indexColumn",	//338
    "indexInQuery",	//339
    "indexInQuery#",	//340
    "indexOf",	//341
    "indexOf$",	//342
    "insert",	//343
    "insert$#",	//344
    "insertColumns",	//345
    "insertColumns$$",	//346
    "insertColumns$$#",	//347
    "insertRecord",	//348
    "insertRecord$#",	//349
    "insertRowIntoTable",	//350
    "insertRowIntoTable#",	//351
    "insertRows",	//352
    "insertRows$$",	//353
    "insertRows$$#",	//354
    "isActive",	//355
    "isAutoValue",	//356
    "isDescending",	//357
    "isDescending$",	//358
    "isDirty",	//359
    "isDirty#",	//360
    "isDriverAvailable",	//361
    "isDriverAvailable$",	//362
    "isEmpty",	//363
    "isForwardOnly",	//364
    "isGenerated",	//365
    "isGenerated$",	//366
    "isIdentifierEscaped",	//367
    "isIdentifierEscaped$$",	//368
    "isIdentifierEscapedImplementation",	//369
    "isIdentifierEscapedImplementation$$",	//370
    "isNull",	//371
    "isNull$",	//372
    "isOpen",	//373
    "isOpenError",	//374
    "isReadOnly",	//375
    "isSelect",	//376
    "isValid",	//377
    "itemData",	//378
    "keys",	//379
    "last",	//380
    "lastError",	//381
    "lastInsertId",	//382
    "lastQuery",	//383
    "length",	//384
    "match",	//385
    "metaObject",	//386
    "mimeData",	//387
    "mimeTypes",	//388
    "name",	//389
    "next",	//390
    "nextResult",	//391
    "notification",	//392
    "notification$",	//393
    "numRowsAffected",	//394
    "number",	//395
    "numericalPrecisionPolicy",	//396
    "open",	//397
    "open$",	//398
    "open$$",	//399
    "open$$$",	//400
    "open$$$$",	//401
    "open$$$$$",	//402
    "open$$$$$$",	//403
    "operator!=",	//404
    "operator!=#",	//405
    "operator!=##",	//406
    "operator!=#$",	//407
    "operator!=$#",	//408
    "operator!=$$",	//409
    "operator&",	//410
    "operator&##",	//411
    "operator*",	//412
    "operator*##",	//413
    "operator*#$",	//414
    "operator*$#",	//415
    "operator+",	//416
    "operator+##",	//417
    "operator+#$",	//418
    "operator+$#",	//419
    "operator+$$",	//420
    "operator-",	//421
    "operator-#",	//422
    "operator-##",	//423
    "operator-#$",	//424
    "operator/",	//425
    "operator/#$",	//426
    "operator<",	//427
    "operator<##",	//428
    "operator<#$",	//429
    "operator<$#",	//430
    "operator<$$",	//431
    "operator<<",	//432
    "operator<<##",	//433
    "operator<<#$",	//434
    "operator<<#?",	//435
    "operator<=",	//436
    "operator<=##",	//437
    "operator<=#$",	//438
    "operator<=$#",	//439
    "operator<=$$",	//440
    "operator=",	//441
    "operator=#",	//442
    "operator==",	//443
    "operator==#",	//444
    "operator==##",	//445
    "operator==#$",	//446
    "operator==$#",	//447
    "operator==$$",	//448
    "operator>",	//449
    "operator>##",	//450
    "operator>#$",	//451
    "operator>$#",	//452
    "operator>$$",	//453
    "operator>=",	//454
    "operator>=##",	//455
    "operator>=#$",	//456
    "operator>=$#",	//457
    "operator>=$$",	//458
    "operator>>",	//459
    "operator>>##",	//460
    "operator>>#$",	//461
    "operator>>#?",	//462
    "operator^",	//463
    "operator^##",	//464
    "operator|",	//465
    "operator|##",	//466
    "operator|$$",	//467
    "orderByClause",	//468
    "paint",	//469
    "password",	//470
    "port",	//471
    "precision",	//472
    "prepare",	//473
    "prepare$",	//474
    "previous",	//475
    "primaryIndex",	//476
    "primaryIndex$",	//477
    "primaryKey",	//478
    "primeInsert",	//479
    "primeInsert$#",	//480
    "qAccessibleActionCastHelper",	//481
    "qAccessibleEditableTextCastHelper",	//482
    "qAccessibleImageCastHelper",	//483
    "qAccessibleTable2CastHelper",	//484
    "qAccessibleTableCastHelper",	//485
    "qAccessibleTextCastHelper",	//486
    "qAccessibleValueCastHelper",	//487
    "qAcos",	//488
    "qAcos$",	//489
    "qAddPostRoutine",	//490
    "qAddPostRoutine$",	//491
    "qAlpha",	//492
    "qAlpha$",	//493
    "qAppName",	//494
    "qAsin",	//495
    "qAsin$",	//496
    "qAtan",	//497
    "qAtan$",	//498
    "qAtan2",	//499
    "qAtan2$$",	//500
    "qBadAlloc",	//501
    "qBlue",	//502
    "qBlue$",	//503
    "qCeil",	//504
    "qCeil$",	//505
    "qChecksum",	//506
    "qChecksum$$",	//507
    "qCompress",	//508
    "qCompress#",	//509
    "qCompress#$",	//510
    "qCompress$$",	//511
    "qCompress$$$",	//512
    "qCos",	//513
    "qCos$",	//514
    "qCritical",	//515
    "qDebug",	//516
    "qDrawBorderPixmap",	//517
    "qDrawBorderPixmap####",	//518
    "qDrawBorderPixmap######",	//519
    "qDrawBorderPixmap#######",	//520
    "qDrawBorderPixmap#######$",	//521
    "qDrawPlainRect",	//522
    "qDrawPlainRect###",	//523
    "qDrawPlainRect###$",	//524
    "qDrawPlainRect###$#",	//525
    "qDrawPlainRect#$$$$#",	//526
    "qDrawPlainRect#$$$$#$",	//527
    "qDrawPlainRect#$$$$#$#",	//528
    "qDrawShadeLine",	//529
    "qDrawShadeLine####",	//530
    "qDrawShadeLine####$",	//531
    "qDrawShadeLine####$$",	//532
    "qDrawShadeLine####$$$",	//533
    "qDrawShadeLine#$$$$#",	//534
    "qDrawShadeLine#$$$$#$",	//535
    "qDrawShadeLine#$$$$#$$",	//536
    "qDrawShadeLine#$$$$#$$$",	//537
    "qDrawShadePanel",	//538
    "qDrawShadePanel###",	//539
    "qDrawShadePanel###$",	//540
    "qDrawShadePanel###$$",	//541
    "qDrawShadePanel###$$#",	//542
    "qDrawShadePanel#$$$$#",	//543
    "qDrawShadePanel#$$$$#$",	//544
    "qDrawShadePanel#$$$$#$$",	//545
    "qDrawShadePanel#$$$$#$$#",	//546
    "qDrawShadeRect",	//547
    "qDrawShadeRect###",	//548
    "qDrawShadeRect###$",	//549
    "qDrawShadeRect###$$",	//550
    "qDrawShadeRect###$$$",	//551
    "qDrawShadeRect###$$$#",	//552
    "qDrawShadeRect#$$$$#",	//553
    "qDrawShadeRect#$$$$#$",	//554
    "qDrawShadeRect#$$$$#$$",	//555
    "qDrawShadeRect#$$$$#$$$",	//556
    "qDrawShadeRect#$$$$#$$$#",	//557
    "qDrawWinButton",	//558
    "qDrawWinButton###",	//559
    "qDrawWinButton###$",	//560
    "qDrawWinButton###$#",	//561
    "qDrawWinButton#$$$$#",	//562
    "qDrawWinButton#$$$$#$",	//563
    "qDrawWinButton#$$$$#$#",	//564
    "qDrawWinPanel",	//565
    "qDrawWinPanel###",	//566
    "qDrawWinPanel###$",	//567
    "qDrawWinPanel###$#",	//568
    "qDrawWinPanel#$$$$#",	//569
    "qDrawWinPanel#$$$$#$",	//570
    "qDrawWinPanel#$$$$#$#",	//571
    "qExp",	//572
    "qExp$",	//573
    "qFabs",	//574
    "qFabs$",	//575
    "qFastCos",	//576
    "qFastCos$",	//577
    "qFastSin",	//578
    "qFastSin$",	//579
    "qFlagLocation",	//580
    "qFlagLocation$",	//581
    "qFloor",	//582
    "qFloor$",	//583
    "qFree",	//584
    "qFree$",	//585
    "qFreeAligned",	//586
    "qFreeAligned$",	//587
    "qFuzzyCompare",	//588
    "qFuzzyCompare##",	//589
    "qFuzzyCompare$$",	//590
    "qFuzzyIsNull",	//591
    "qFuzzyIsNull$",	//592
    "qGray",	//593
    "qGray$",	//594
    "qGray$$$",	//595
    "qGreen",	//596
    "qGreen$",	//597
    "qHash",	//598
    "qHash#",	//599
    "qHash$",	//600
    "qInf",	//601
    "qInstallMsgHandler",	//602
    "qInstallMsgHandler$",	//603
    "qIntCast",	//604
    "qIntCast$",	//605
    "qIsFinite",	//606
    "qIsFinite$",	//607
    "qIsGray",	//608
    "qIsGray$",	//609
    "qIsInf",	//610
    "qIsInf$",	//611
    "qIsNaN",	//612
    "qIsNaN$",	//613
    "qIsNull",	//614
    "qIsNull$",	//615
    "qLn",	//616
    "qLn$",	//617
    "qMalloc",	//618
    "qMalloc$",	//619
    "qMallocAligned",	//620
    "qMallocAligned$$",	//621
    "qMemCopy",	//622
    "qMemCopy$$$",	//623
    "qMemSet",	//624
    "qMemSet$$$",	//625
    "qPow",	//626
    "qPow$$",	//627
    "qQNaN",	//628
    "qRealloc",	//629
    "qRealloc$$",	//630
    "qReallocAligned",	//631
    "qReallocAligned$$$$",	//632
    "qRed",	//633
    "qRed$",	//634
    "qRegisterStaticPluginInstanceFunction",	//635
    "qRegisterStaticPluginInstanceFunction#",	//636
    "qRemovePostRoutine",	//637
    "qRemovePostRoutine$",	//638
    "qRgb",	//639
    "qRgb$$$",	//640
    "qRgba",	//641
    "qRgba$$$$",	//642
    "qRound",	//643
    "qRound$",	//644
    "qRound64",	//645
    "qRound64$",	//646
    "qSNaN",	//647
    "qSetFieldWidth",	//648
    "qSetFieldWidth$",	//649
    "qSetPadChar",	//650
    "qSetPadChar#",	//651
    "qSetRealNumberPrecision",	//652
    "qSetRealNumberPrecision$",	//653
    "qSharedBuild",	//654
    "qSin",	//655
    "qSin$",	//656
    "qSqrt",	//657
    "qSqrt$",	//658
    "qStringComparisonHelper",	//659
    "qStringComparisonHelper#$",	//660
    "qStringComparisonHelper$$",	//661
    "qTan",	//662
    "qTan$",	//663
    "qUncompress",	//664
    "qUncompress#",	//665
    "qUncompress$$",	//666
    "qVersion",	//667
    "qWarning",	//668
    "qbswap_helper",	//669
    "qbswap_helper$$$",	//670
    "qgetenv",	//671
    "qgetenv$",	//672
    "qputenv",	//673
    "qputenv$#",	//674
    "qrand",	//675
    "qsrand",	//676
    "qsrand$",	//677
    "qstrcmp",	//678
    "qstrcmp##",	//679
    "qstrcmp#$",	//680
    "qstrcmp$#",	//681
    "qstrcmp$$",	//682
    "qstrcpy",	//683
    "qstrcpy$$",	//684
    "qstrdup",	//685
    "qstrdup$",	//686
    "qstricmp",	//687
    "qstricmp$$",	//688
    "qstrlen",	//689
    "qstrlen$",	//690
    "qstrncmp",	//691
    "qstrncmp$$$",	//692
    "qstrncpy",	//693
    "qstrncpy$$$",	//694
    "qstrnicmp",	//695
    "qstrnicmp$$$",	//696
    "qstrnlen",	//697
    "qstrnlen$$",	//698
    "qtTrId",	//699
    "qtTrId$",	//700
    "qtTrId$$",	//701
    "qt_assert",	//702
    "qt_assert$$$",	//703
    "qt_assert_x",	//704
    "qt_assert_x$$$$",	//705
    "qt_check_pointer",	//706
    "qt_check_pointer$$",	//707
    "qt_error_string",	//708
    "qt_error_string$",	//709
    "qt_message_output",	//710
    "qt_message_output$$",	//711
    "qt_metacall",	//712
    "qt_metacall$$?",	//713
    "qt_metacast",	//714
    "qt_metacast$",	//715
    "qt_noop",	//716
    "qt_qFindChild_helper",	//717
    "qt_qFindChild_helper#$#",	//718
    "qt_qFindChildren_helper",	//719
    "qt_qFindChildren_helper#$##?",	//720
    "query",	//721
    "queryChange",	//722
    "qvariant_cast_helper",	//723
    "qvariant_cast_helper#$$",	//724
    "qvsnprintf",	//725
    "qvsnprintf$$$?",	//726
    "record",	//727
    "record$",	//728
    "registerSqlDriver",	//729
    "registerSqlDriver$#",	//730
    "relation",	//731
    "relation$",	//732
    "relationModel",	//733
    "relationModel$",	//734
    "remove",	//735
    "remove$",	//736
    "removeColumns",	//737
    "removeColumns$$",	//738
    "removeColumns$$#",	//739
    "removeDatabase",	//740
    "removeDatabase$",	//741
    "removeRows",	//742
    "removeRows$$",	//743
    "removeRows$$#",	//744
    "replace",	//745
    "replace$#",	//746
    "requiredStatus",	//747
    "reset",	//748
    "reset$",	//749
    "result",	//750
    "revert",	//751
    "revertAll",	//752
    "revertRow",	//753
    "revertRow$",	//754
    "rollback",	//755
    "rollbackTransaction",	//756
    "rowCount",	//757
    "rowCount#",	//758
    "savePrepare",	//759
    "savePrepare$",	//760
    "seek",	//761
    "seek$",	//762
    "seek$$",	//763
    "select",	//764
    "selectStatement",	//765
    "setActive",	//766
    "setActive$",	//767
    "setAt",	//768
    "setAt$",	//769
    "setAutoValue",	//770
    "setAutoValue$",	//771
    "setConnectOptions",	//772
    "setConnectOptions$",	//773
    "setCursorName",	//774
    "setCursorName$",	//775
    "setData",	//776
    "setData##",	//777
    "setData##$",	//778
    "setDatabaseName",	//779
    "setDatabaseName$",	//780
    "setDatabaseText",	//781
    "setDatabaseText$",	//782
    "setDefaultConnection",	//783
    "setDefaultConnection$",	//784
    "setDefaultValue",	//785
    "setDefaultValue#",	//786
    "setDescending",	//787
    "setDescending$$",	//788
    "setDriverText",	//789
    "setDriverText$",	//790
    "setEditStrategy",	//791
    "setEditStrategy$",	//792
    "setEditorData",	//793
    "setEditorData##",	//794
    "setFilter",	//795
    "setFilter$",	//796
    "setForwardOnly",	//797
    "setForwardOnly$",	//798
    "setGenerated",	//799
    "setGenerated$",	//800
    "setGenerated$$",	//801
    "setHeaderData",	//802
    "setHeaderData$$#",	//803
    "setHeaderData$$#$",	//804
    "setHostName",	//805
    "setHostName$",	//806
    "setItemData",	//807
    "setJoinMode",	//808
    "setJoinMode$",	//809
    "setLastError",	//810
    "setLastError#",	//811
    "setLength",	//812
    "setLength$",	//813
    "setModelData",	//814
    "setModelData###",	//815
    "setName",	//816
    "setName$",	//817
    "setNull",	//818
    "setNull$",	//819
    "setNumber",	//820
    "setNumber$",	//821
    "setNumericalPrecisionPolicy",	//822
    "setNumericalPrecisionPolicy$",	//823
    "setOpen",	//824
    "setOpen$",	//825
    "setOpenError",	//826
    "setOpenError$",	//827
    "setPassword",	//828
    "setPassword$",	//829
    "setPort",	//830
    "setPort$",	//831
    "setPrecision",	//832
    "setPrecision$",	//833
    "setPrimaryKey",	//834
    "setPrimaryKey#",	//835
    "setQuery",	//836
    "setQuery#",	//837
    "setQuery$",	//838
    "setQuery$#",	//839
    "setReadOnly",	//840
    "setReadOnly$",	//841
    "setRecord",	//842
    "setRecord$#",	//843
    "setRelation",	//844
    "setRelation$#",	//845
    "setRequired",	//846
    "setRequired$",	//847
    "setRequiredStatus",	//848
    "setRequiredStatus$",	//849
    "setSelect",	//850
    "setSelect$",	//851
    "setSort",	//852
    "setSort$$",	//853
    "setSqlType",	//854
    "setSqlType$",	//855
    "setTable",	//856
    "setTable$",	//857
    "setType",	//858
    "setType$",	//859
    "setUserName",	//860
    "setUserName$",	//861
    "setValue",	//862
    "setValue#",	//863
    "setValue$#",	//864
    "size",	//865
    "sizeHint",	//866
    "sort",	//867
    "sort$$",	//868
    "span",	//869
    "sqlStatement",	//870
    "sqlStatement$$#$",	//871
    "staticMetaObject",	//872
    "stripDelimiters",	//873
    "stripDelimiters$$",	//874
    "stripDelimitersImplementation",	//875
    "stripDelimitersImplementation$$",	//876
    "submit",	//877
    "submitAll",	//878
    "subscribeToNotification",	//879
    "subscribeToNotification$",	//880
    "subscribeToNotificationImplementation",	//881
    "subscribeToNotificationImplementation$",	//882
    "subscribedToNotifications",	//883
    "subscribedToNotificationsImplementation",	//884
    "supportedDropActions",	//885
    "tableName",	//886
    "tables",	//887
    "tables$",	//888
    "text",	//889
    "timerEvent",	//890
    "tr",	//891
    "tr$",	//892
    "tr$$",	//893
    "tr$$$",	//894
    "trUtf8",	//895
    "trUtf8$",	//896
    "trUtf8$$",	//897
    "trUtf8$$$",	//898
    "transaction",	//899
    "type",	//900
    "typeID",	//901
    "unsubscribeFromNotification",	//902
    "unsubscribeFromNotification$",	//903
    "unsubscribeFromNotificationImplementation",	//904
    "unsubscribeFromNotificationImplementation$",	//905
    "updateEditorGeometry",	//906
    "updateRowInTable",	//907
    "updateRowInTable$#",	//908
    "userName",	//909
    "value",	//910
    "value$",	//911
    "virtual_hook",	//912
    "virtual_hook$$",	//913
    "~QSqlDatabase",	//914
    "~QSqlDriver",	//915
    "~QSqlDriverCreatorBase",	//916
    "~QSqlDriverFactoryInterface",	//917
    "~QSqlDriverPlugin",	//918
    "~QSqlError",	//919
    "~QSqlField",	//920
    "~QSqlIndex",	//921
    "~QSqlQuery",	//922
    "~QSqlQueryModel",	//923
    "~QSqlRecord",	//924
    "~QSqlRelation",	//925
    "~QSqlRelationalDelegate",	//926
    "~QSqlRelationalTableModel",	//927
    "~QSqlResult",	//928
    "~QSqlTableModel",	//929
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 776, 1, 3, Smoke::mf_virtual, 390, 0},	//1 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {1, 378, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 155, 0},	//2 QAbstractItemModel::itemData(const QModelIndex&) const
    {1, 807, 7, 2, Smoke::mf_virtual, 390, 0},	//3 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {1, 388, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 246, 0},	//4 QAbstractItemModel::mimeTypes() const
    {1, 387, 10, 1, Smoke::mf_const|Smoke::mf_virtual, 163, 0},	//5 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {1, 885, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 106, 0},	//6 QAbstractItemModel::supportedDropActions() const
    {1, 352, 12, 3, Smoke::mf_virtual, 390, 0},	//7 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {1, 742, 12, 3, Smoke::mf_virtual, 390, 0},	//8 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {1, 324, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 110, 0},	//9 QAbstractItemModel::flags(const QModelIndex&) const
    {1, 867, 16, 2, Smoke::mf_virtual, 0, 0},	//10 QAbstractItemModel::sort(int, Qt::SortOrder)
    {1, 243, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 164, 0},	//11 QAbstractItemModel::buddy(const QModelIndex&) const
    {1, 385, 19, 5, Smoke::mf_const|Smoke::mf_virtual, 148, 0},	//12 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {1, 869, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 192, 0},	//13 QAbstractItemModel::span(const QModelIndex&) const
    {1, 877, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 390, 0},	//14 QAbstractItemModel::submit()
    {1, 751, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//15 QAbstractItemModel::revert()
    {2, 337, 12, 3, Smoke::mf_const|Smoke::mf_virtual, 164, 0},	//16 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {2, 295, 25, 5, Smoke::mf_virtual, 390, 0},	//17 QAbstractTableModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {19, 379, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 246, 0},	//18 QFactoryInterface::keys() const [pure virtual]
    {21, 410, 31, 2, Smoke::mf_static, 13, 1},	//19 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {21, 515, 0, 0, Smoke::mf_static, 29, 2},	//20 QGlobalSpace::qCritical()
    {21, 598, 34, 1, Smoke::mf_static, 503, 3},	//21 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {21, 465, 36, 2, Smoke::mf_static, 137, 4},	//22 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {21, 702, 39, 3, Smoke::mf_static, 0, 5},	//23 QGlobalSpace::qt_assert(const char*, const char*, int)
    {21, 465, 43, 2, Smoke::mf_static, 60, 6},	//24 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {21, 412, 46, 2, Smoke::mf_static, 433, 7},	//25 QGlobalSpace::operator*(const QPoint&, double)
    {21, 488, 49, 1, Smoke::mf_static, 494, 8},	//26 QGlobalSpace::qAcos(float)
    {21, 610, 51, 1, Smoke::mf_static, 390, 9},	//27 QGlobalSpace::qIsInf(double)
    {21, 432, 53, 2, Smoke::mf_static, 29, 10},	//28 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {21, 412, 56, 2, Smoke::mf_static, 439, 11},	//29 QGlobalSpace::operator*(float, const QQuaternion&)
    {21, 465, 59, 2, Smoke::mf_static, 113, 12},	//30 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {21, 404, 62, 2, Smoke::mf_static, 390, 13},	//31 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {21, 432, 65, 2, Smoke::mf_static, 29, 14},	//32 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {21, 412, 68, 2, Smoke::mf_static, 446, 15},	//33 QGlobalSpace::operator*(const QSize&, float)
    {21, 465, 71, 2, Smoke::mf_static, 137, 16},	//34 QGlobalSpace::operator|(QDir::SortFlag, int)
    {21, 465, 74, 2, Smoke::mf_static, 42, 17},	//35 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {21, 432, 77, 2, Smoke::mf_static, 29, 18},	//36 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {21, 459, 80, 2, Smoke::mf_static, 25, 19},	//37 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {21, 432, 83, 2, Smoke::mf_static, 25, 20},	//38 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {21, 465, 86, 2, Smoke::mf_static, 137, 21},	//39 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {21, 465, 89, 2, Smoke::mf_static, 137, 22},	//40 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {21, 432, 92, 2, Smoke::mf_static, 29, 23},	//41 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {21, 683, 95, 2, Smoke::mf_static, 392, 24},	//42 QGlobalSpace::qstrcpy(char*, const char*)
    {21, 412, 98, 2, Smoke::mf_static, 157, 25},	//43 QGlobalSpace::operator*(float, const QMatrix4x4&)
    {21, 404, 101, 2, Smoke::mf_static, 390, 26},	//44 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {21, 416, 104, 2, Smoke::mf_static, 446, 27},	//45 QGlobalSpace::operator+(const QSize&, const QSize&)
    {21, 412, 107, 2, Smoke::mf_static, 486, 28},	//46 QGlobalSpace::operator*(float, const QVector3D&)
    {21, 432, 110, 2, Smoke::mf_static, 25, 29},	//47 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {21, 465, 113, 2, Smoke::mf_static, 93, 30},	//48 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {21, 432, 116, 2, Smoke::mf_static, 29, 31},	//49 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {21, 628, 0, 0, Smoke::mf_static, 493, 32},	//50 QGlobalSpace::qQNaN()
    {21, 421, 119, 2, Smoke::mf_static, 157, 33},	//51 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {21, 598, 122, 1, Smoke::mf_static, 503, 34},	//52 QGlobalSpace::qHash(unsigned char)
    {21, 465, 124, 2, Smoke::mf_static, 50, 35},	//53 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {21, 421, 127, 2, Smoke::mf_static, 488, 36},	//54 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {21, 412, 130, 2, Smoke::mf_static, 180, 37},	//55 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {21, 465, 133, 2, Smoke::mf_static, 78, 38},	//56 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {21, 667, 0, 0, Smoke::mf_static, 490, 39},	//57 QGlobalSpace::qVersion()
    {21, 412, 136, 2, Smoke::mf_static, 144, 40},	//58 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {21, 588, 139, 2, Smoke::mf_static, 390, 41},	//59 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {21, 465, 142, 2, Smoke::mf_static, 55, 42},	//60 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {21, 443, 62, 2, Smoke::mf_static, 390, 43},	//61 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {21, 465, 145, 2, Smoke::mf_static, 118, 44},	//62 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {21, 412, 148, 2, Smoke::mf_static, 484, 45},	//63 QGlobalSpace::operator*(const QVector2D&, float)
    {21, 432, 151, 2, Smoke::mf_static, 25, 46},	//64 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {21, 465, 154, 2, Smoke::mf_static, 137, 47},	//65 QGlobalSpace::operator|(QDir::Filter, int)
    {21, 588, 157, 2, Smoke::mf_static, 390, 48},	//66 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {21, 449, 160, 2, Smoke::mf_static, 390, 49},	//67 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {21, 675, 0, 0, Smoke::mf_static, 495, 50},	//68 QGlobalSpace::qrand()
    {21, 593, 163, 1, Smoke::mf_static, 495, 51},	//69 QGlobalSpace::qGray(unsigned int)
    {21, 465, 165, 2, Smoke::mf_static, 57, 52},	//70 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {21, 421, 168, 2, Smoke::mf_static, 448, 53},	//71 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {21, 454, 171, 2, Smoke::mf_static, 390, 54},	//72 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {21, 443, 174, 2, Smoke::mf_static, 390, 55},	//73 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {21, 421, 177, 1, Smoke::mf_static, 439, 56},	//74 QGlobalSpace::operator-(const QQuaternion&)
    {21, 412, 179, 2, Smoke::mf_static, 484, 57},	//75 QGlobalSpace::operator*(float, const QVector2D&)
    {21, 465, 182, 2, Smoke::mf_static, 43, 58},	//76 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {21, 465, 185, 2, Smoke::mf_static, 113, 59},	//77 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {21, 432, 188, 2, Smoke::mf_static, 29, 60},	//78 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {21, 633, 163, 1, Smoke::mf_static, 495, 61},	//79 QGlobalSpace::qRed(unsigned int)
    {21, 404, 191, 2, Smoke::mf_static, 390, 62},	//80 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {21, 576, 49, 1, Smoke::mf_static, 494, 63},	//81 QGlobalSpace::qFastCos(float)
    {21, 443, 194, 2, Smoke::mf_static, 390, 64},	//82 QGlobalSpace::operator==(QBool, QBool)
    {21, 465, 197, 2, Smoke::mf_static, 89, 65},	//83 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {21, 465, 200, 2, Smoke::mf_static, 88, 66},	//84 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {21, 465, 203, 2, Smoke::mf_static, 58, 67},	//85 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {21, 465, 206, 2, Smoke::mf_static, 104, 68},	//86 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {21, 598, 209, 1, Smoke::mf_static, 503, 69},	//87 QGlobalSpace::qHash(const QStringRef&)
    {21, 465, 211, 2, Smoke::mf_static, 96, 70},	//88 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {21, 443, 214, 2, Smoke::mf_static, 390, 71},	//89 QGlobalSpace::operator==(QString::Null, QString::Null)
    {21, 513, 49, 1, Smoke::mf_static, 494, 72},	//90 QGlobalSpace::qCos(float)
    {21, 432, 217, 2, Smoke::mf_static, 29, 73},	//91 QGlobalSpace::operator<<(QDebug, const QFont&)
    {21, 465, 220, 2, Smoke::mf_static, 137, 74},	//92 QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    {21, 432, 223, 2, Smoke::mf_static, 29, 75},	//93 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {21, 432, 226, 2, Smoke::mf_static, 25, 76},	//94 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {21, 465, 229, 2, Smoke::mf_static, 82, 77},	//95 QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    {21, 459, 232, 2, Smoke::mf_static, 25, 78},	//96 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {21, 616, 49, 1, Smoke::mf_static, 494, 79},	//97 QGlobalSpace::qLn(float)
    {21, 492, 163, 1, Smoke::mf_static, 495, 80},	//98 QGlobalSpace::qAlpha(unsigned int)
    {21, 465, 235, 2, Smoke::mf_static, 137, 81},	//99 QGlobalSpace::operator|(QStyle::SubControl, int)
    {21, 465, 238, 2, Smoke::mf_static, 53, 82},	//100 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {21, 416, 241, 2, Smoke::mf_static, 464, 83},	//101 QGlobalSpace::operator+(QChar, const QString&)
    {21, 412, 244, 2, Smoke::mf_static, 488, 84},	//102 QGlobalSpace::operator*(const QVector4D&, float)
    {21, 596, 163, 1, Smoke::mf_static, 495, 85},	//103 QGlobalSpace::qGreen(unsigned int)
    {21, 465, 247, 2, Smoke::mf_static, 67, 86},	//104 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {21, 538, 250, 6, Smoke::mf_static, 0, 87},	//105 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {21, 538, 257, 3, Smoke::mf_static, 0, 88},	//106 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {21, 538, 261, 4, Smoke::mf_static, 0, 89},	//107 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {21, 538, 266, 5, Smoke::mf_static, 0, 90},	//108 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {21, 421, 272, 1, Smoke::mf_static, 484, 91},	//109 QGlobalSpace::operator-(const QVector2D&)
    {21, 465, 274, 2, Smoke::mf_static, 50, 92},	//110 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {21, 432, 277, 2, Smoke::mf_static, 25, 93},	//111 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {21, 412, 280, 2, Smoke::mf_static, 488, 94},	//112 QGlobalSpace::operator*(float, const QVector4D&)
    {21, 432, 283, 2, Smoke::mf_static, 29, 95},	//113 QGlobalSpace::operator<<(QDebug, const QTime&)
    {21, 412, 127, 2, Smoke::mf_static, 488, 96},	//114 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {21, 465, 286, 2, Smoke::mf_static, 94, 97},	//115 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {21, 412, 289, 2, Smoke::mf_static, 439, 98},	//116 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {21, 432, 292, 2, Smoke::mf_static, 25, 99},	//117 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {21, 432, 295, 2, Smoke::mf_static, 29, 100},	//118 QGlobalSpace::operator<<(QDebug, const QDate&)
    {21, 598, 298, 1, Smoke::mf_static, 503, 101},	//119 QGlobalSpace::qHash(const QBitArray&)
    {21, 465, 300, 2, Smoke::mf_static, 95, 102},	//120 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {21, 669, 303, 3, Smoke::mf_static, 0, 103},	//121 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {21, 465, 307, 2, Smoke::mf_static, 46, 104},	//122 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {21, 723, 310, 3, Smoke::mf_static, 390, 105},	//123 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {21, 598, 314, 1, Smoke::mf_static, 503, 106},	//124 QGlobalSpace::qHash(const QString&)
    {21, 412, 316, 2, Smoke::mf_static, 184, 107},	//125 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {21, 598, 319, 1, Smoke::mf_static, 503, 108},	//126 QGlobalSpace::qHash(unsigned short)
    {21, 635, 321, 1, Smoke::mf_static, 0, 109},	//127 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {21, 598, 323, 1, Smoke::mf_static, 503, 110},	//128 QGlobalSpace::qHash(long)
    {21, 465, 325, 2, Smoke::mf_static, 116, 111},	//129 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {21, 598, 328, 1, Smoke::mf_static, 503, 112},	//130 QGlobalSpace::qHash(long long)
    {21, 432, 330, 2, Smoke::mf_static, 29, 113},	//131 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {21, 416, 168, 2, Smoke::mf_static, 448, 114},	//132 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {21, 558, 333, 8, Smoke::mf_static, 0, 115},	//133 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {21, 558, 342, 6, Smoke::mf_static, 0, 116},	//134 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {21, 558, 349, 7, Smoke::mf_static, 0, 117},	//135 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 465, 357, 2, Smoke::mf_static, 80, 118},	//136 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {21, 465, 360, 2, Smoke::mf_static, 137, 119},	//137 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {21, 432, 363, 2, Smoke::mf_static, 29, 120},	//138 QGlobalSpace::operator<<(QDebug, const QColor&)
    {21, 465, 366, 2, Smoke::mf_static, 137, 121},	//139 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {21, 465, 369, 2, Smoke::mf_static, 137, 122},	//140 QGlobalSpace::operator|(Qt::DropAction, int)
    {21, 547, 372, 10, Smoke::mf_static, 0, 123},	//141 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {21, 547, 342, 6, Smoke::mf_static, 0, 124},	//142 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {21, 547, 349, 7, Smoke::mf_static, 0, 125},	//143 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 547, 383, 8, Smoke::mf_static, 0, 126},	//144 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {21, 547, 392, 9, Smoke::mf_static, 0, 127},	//145 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {21, 432, 402, 2, Smoke::mf_static, 25, 128},	//146 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {21, 465, 405, 2, Smoke::mf_static, 41, 129},	//147 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {21, 459, 408, 2, Smoke::mf_static, 25, 130},	//148 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {21, 676, 163, 1, Smoke::mf_static, 0, 131},	//149 QGlobalSpace::qsrand(unsigned int)
    {21, 610, 49, 1, Smoke::mf_static, 390, 132},	//150 QGlobalSpace::qIsInf(float)
    {21, 465, 411, 2, Smoke::mf_static, 60, 133},	//151 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {21, 465, 414, 2, Smoke::mf_static, 104, 134},	//152 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {21, 459, 417, 2, Smoke::mf_static, 25, 135},	//153 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {21, 465, 420, 2, Smoke::mf_static, 137, 136},	//154 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {21, 432, 423, 2, Smoke::mf_static, 25, 137},	//155 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {21, 465, 426, 2, Smoke::mf_static, 137, 138},	//156 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {21, 465, 429, 2, Smoke::mf_static, 52, 139},	//157 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {21, 427, 432, 2, Smoke::mf_static, 390, 140},	//158 QGlobalSpace::operator<(const QByteArray&, const char*)
    {21, 465, 435, 2, Smoke::mf_static, 62, 141},	//159 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {21, 465, 438, 2, Smoke::mf_static, 137, 142},	//160 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {21, 432, 441, 2, Smoke::mf_static, 29, 143},	//161 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {21, 465, 444, 2, Smoke::mf_static, 105, 144},	//162 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {21, 465, 447, 2, Smoke::mf_static, 137, 145},	//163 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {21, 412, 450, 2, Smoke::mf_static, 144, 146},	//164 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {21, 668, 0, 0, Smoke::mf_static, 29, 147},	//165 QGlobalSpace::qWarning()
    {21, 465, 453, 2, Smoke::mf_static, 77, 148},	//166 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {21, 416, 127, 2, Smoke::mf_static, 488, 149},	//167 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {21, 593, 456, 3, Smoke::mf_static, 495, 150},	//168 QGlobalSpace::qGray(int, int, int)
    {21, 412, 460, 2, Smoke::mf_static, 146, 151},	//169 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {21, 465, 463, 2, Smoke::mf_static, 114, 152},	//170 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {21, 412, 466, 2, Smoke::mf_static, 171, 153},	//171 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {21, 465, 469, 2, Smoke::mf_static, 137, 154},	//172 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {21, 443, 472, 2, Smoke::mf_static, 390, 155},	//173 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {21, 404, 139, 2, Smoke::mf_static, 390, 156},	//174 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {21, 459, 475, 2, Smoke::mf_static, 25, 157},	//175 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {21, 432, 478, 2, Smoke::mf_static, 25, 158},	//176 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {21, 465, 481, 2, Smoke::mf_static, 137, 159},	//177 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {21, 416, 484, 2, Smoke::mf_static, 464, 160},	//178 QGlobalSpace::operator+(const QString&, const char*)
    {21, 432, 487, 2, Smoke::mf_static, 25, 161},	//179 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {21, 432, 490, 2, Smoke::mf_static, 29, 162},	//180 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {21, 432, 493, 2, Smoke::mf_static, 29, 163},	//181 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {21, 465, 496, 2, Smoke::mf_static, 137, 164},	//182 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {21, 432, 499, 2, Smoke::mf_static, 25, 165},	//183 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {21, 465, 502, 2, Smoke::mf_static, 76, 166},	//184 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {21, 465, 505, 2, Smoke::mf_static, 107, 167},	//185 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {21, 459, 508, 2, Smoke::mf_static, 25, 168},	//186 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {21, 432, 511, 2, Smoke::mf_static, 25, 169},	//187 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {21, 465, 514, 2, Smoke::mf_static, 67, 170},	//188 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {21, 465, 517, 2, Smoke::mf_static, 76, 171},	//189 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {21, 465, 520, 2, Smoke::mf_static, 137, 172},	//190 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {21, 416, 523, 2, Smoke::mf_static, 396, 173},	//191 QGlobalSpace::operator+(char, const QByteArray&)
    {21, 459, 526, 2, Smoke::mf_static, 25, 174},	//192 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {21, 425, 68, 2, Smoke::mf_static, 446, 175},	//193 QGlobalSpace::operator/(const QSize&, float)
    {21, 416, 529, 2, Smoke::mf_static, 464, 176},	//194 QGlobalSpace::operator+(const char*, const QString&)
    {21, 416, 139, 2, Smoke::mf_static, 484, 177},	//195 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {21, 465, 532, 2, Smoke::mf_static, 75, 178},	//196 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {21, 432, 535, 2, Smoke::mf_static, 29, 179},	//197 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {21, 443, 538, 2, Smoke::mf_static, 390, 180},	//198 QGlobalSpace::operator==(const char*, const QByteArray&)
    {21, 465, 541, 2, Smoke::mf_static, 59, 181},	//199 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {21, 459, 544, 2, Smoke::mf_static, 25, 182},	//200 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {21, 612, 49, 1, Smoke::mf_static, 390, 183},	//201 QGlobalSpace::qIsNaN(float)
    {21, 588, 547, 2, Smoke::mf_static, 390, 184},	//202 QGlobalSpace::qFuzzyCompare(double, double)
    {21, 497, 49, 1, Smoke::mf_static, 494, 185},	//203 QGlobalSpace::qAtan(float)
    {21, 614, 49, 1, Smoke::mf_static, 390, 186},	//204 QGlobalSpace::qIsNull(float)
    {21, 459, 550, 2, Smoke::mf_static, 25, 187},	//205 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {21, 459, 553, 2, Smoke::mf_static, 25, 188},	//206 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {21, 432, 556, 2, Smoke::mf_static, 25, 189},	//207 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {21, 459, 559, 2, Smoke::mf_static, 25, 190},	//208 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {21, 465, 562, 2, Smoke::mf_static, 79, 191},	//209 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {21, 499, 565, 2, Smoke::mf_static, 494, 192},	//210 QGlobalSpace::qAtan2(float, float)
    {21, 443, 568, 2, Smoke::mf_static, 390, 193},	//211 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {21, 432, 571, 2, Smoke::mf_static, 268, 194},	//212 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {21, 465, 574, 2, Smoke::mf_static, 44, 195},	//213 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {21, 436, 529, 2, Smoke::mf_static, 390, 196},	//214 QGlobalSpace::operator<=(const char*, const QString&)
    {21, 465, 577, 2, Smoke::mf_static, 100, 197},	//215 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {21, 465, 580, 2, Smoke::mf_static, 86, 198},	//216 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {21, 404, 583, 2, Smoke::mf_static, 390, 199},	//217 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {21, 465, 586, 2, Smoke::mf_static, 137, 200},	//218 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {21, 465, 589, 2, Smoke::mf_static, 137, 201},	//219 QGlobalSpace::operator|(QFile::Permission, int)
    {21, 432, 592, 2, Smoke::mf_static, 29, 202},	//220 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {21, 427, 595, 2, Smoke::mf_static, 390, 203},	//221 QGlobalSpace::operator<(QChar, QChar)
    {21, 443, 289, 2, Smoke::mf_static, 390, 204},	//222 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {21, 486, 0, 0, Smoke::mf_static, 10, 205},	//223 QGlobalSpace::qAccessibleTextCastHelper()
    {21, 588, 119, 2, Smoke::mf_static, 390, 206},	//224 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {21, 412, 598, 2, Smoke::mf_static, 171, 207},	//225 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {21, 432, 601, 2, Smoke::mf_static, 25, 208},	//226 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {21, 454, 160, 2, Smoke::mf_static, 390, 209},	//227 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {21, 465, 604, 2, Smoke::mf_static, 74, 210},	//228 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {21, 695, 607, 3, Smoke::mf_static, 495, 211},	//229 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {21, 598, 611, 1, Smoke::mf_static, 503, 212},	//230 QGlobalSpace::qHash(const QByteArray&)
    {21, 465, 613, 2, Smoke::mf_static, 44, 213},	//231 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {21, 465, 616, 2, Smoke::mf_static, 137, 214},	//232 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {21, 412, 619, 2, Smoke::mf_static, 486, 215},	//233 QGlobalSpace::operator*(const QVector3D&, float)
    {21, 465, 622, 2, Smoke::mf_static, 137, 216},	//234 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {21, 416, 119, 2, Smoke::mf_static, 157, 217},	//235 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {21, 432, 625, 2, Smoke::mf_static, 29, 218},	//236 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {21, 412, 139, 2, Smoke::mf_static, 484, 219},	//237 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {21, 425, 148, 2, Smoke::mf_static, 484, 220},	//238 QGlobalSpace::operator/(const QVector2D&, float)
    {21, 706, 628, 2, Smoke::mf_static, 0, 221},	//239 QGlobalSpace::qt_check_pointer(const char*, int)
    {21, 459, 631, 2, Smoke::mf_static, 25, 222},	//240 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {21, 465, 634, 2, Smoke::mf_static, 137, 223},	//241 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {21, 465, 637, 2, Smoke::mf_static, 137, 224},	//242 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {21, 465, 640, 2, Smoke::mf_static, 103, 225},	//243 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {21, 465, 643, 2, Smoke::mf_static, 99, 226},	//244 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {21, 459, 646, 2, Smoke::mf_static, 25, 227},	//245 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {21, 465, 649, 2, Smoke::mf_static, 103, 228},	//246 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {21, 578, 49, 1, Smoke::mf_static, 494, 229},	//247 QGlobalSpace::qFastSin(float)
    {21, 678, 171, 2, Smoke::mf_static, 495, 230},	//248 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {21, 465, 652, 2, Smoke::mf_static, 78, 231},	//249 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {21, 465, 655, 2, Smoke::mf_static, 63, 232},	//250 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {21, 650, 658, 1, Smoke::mf_static, 271, 233},	//251 QGlobalSpace::qSetPadChar(QChar)
    {21, 678, 432, 2, Smoke::mf_static, 495, 234},	//252 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {21, 495, 49, 1, Smoke::mf_static, 494, 235},	//253 QGlobalSpace::qAsin(float)
    {21, 443, 104, 2, Smoke::mf_static, 390, 236},	//254 QGlobalSpace::operator==(const QSize&, const QSize&)
    {21, 538, 660, 9, Smoke::mf_static, 0, 237},	//255 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {21, 538, 342, 6, Smoke::mf_static, 0, 238},	//256 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {21, 538, 349, 7, Smoke::mf_static, 0, 239},	//257 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 538, 383, 8, Smoke::mf_static, 0, 240},	//258 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {21, 654, 0, 0, Smoke::mf_static, 390, 241},	//259 QGlobalSpace::qSharedBuild()
    {21, 416, 289, 2, Smoke::mf_static, 439, 242},	//260 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {21, 465, 670, 2, Smoke::mf_static, 41, 243},	//261 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {21, 602, 673, 1, Smoke::mf_static, 509, 244},	//262 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {21, 432, 675, 2, Smoke::mf_static, 25, 245},	//263 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {21, 717, 678, 3, Smoke::mf_static, 165, 246},	//264 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {21, 443, 160, 2, Smoke::mf_static, 390, 247},	//265 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {21, 465, 682, 2, Smoke::mf_static, 112, 248},	//266 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {21, 412, 685, 2, Smoke::mf_static, 286, 249},	//267 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {21, 465, 688, 2, Smoke::mf_static, 137, 250},	//268 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {21, 404, 171, 2, Smoke::mf_static, 390, 251},	//269 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {21, 558, 691, 5, Smoke::mf_static, 0, 252},	//270 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {21, 558, 257, 3, Smoke::mf_static, 0, 253},	//271 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {21, 558, 261, 4, Smoke::mf_static, 0, 254},	//272 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {21, 465, 697, 2, Smoke::mf_static, 137, 255},	//273 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {21, 465, 700, 2, Smoke::mf_static, 81, 256},	//274 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {21, 465, 703, 2, Smoke::mf_static, 137, 257},	//275 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {21, 465, 706, 2, Smoke::mf_static, 137, 258},	//276 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {21, 459, 709, 2, Smoke::mf_static, 25, 259},	//277 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {21, 421, 139, 2, Smoke::mf_static, 484, 260},	//278 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {21, 465, 712, 2, Smoke::mf_static, 111, 261},	//279 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {21, 465, 715, 2, Smoke::mf_static, 112, 262},	//280 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {21, 459, 718, 2, Smoke::mf_static, 25, 263},	//281 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {21, 412, 721, 2, Smoke::mf_static, 182, 264},	//282 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {21, 449, 595, 2, Smoke::mf_static, 390, 265},	//283 QGlobalSpace::operator>(QChar, QChar)
    {21, 454, 538, 2, Smoke::mf_static, 390, 266},	//284 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {21, 586, 724, 1, Smoke::mf_static, 0, 267},	//285 QGlobalSpace::qFreeAligned(void*)
    {21, 465, 726, 2, Smoke::mf_static, 89, 268},	//286 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {21, 443, 729, 2, Smoke::mf_static, 390, 269},	//287 QGlobalSpace::operator==(const QString&, QString::Null)
    {21, 432, 732, 2, Smoke::mf_static, 29, 270},	//288 QGlobalSpace::operator<<(QDebug, const QPen&)
    {21, 604, 49, 1, Smoke::mf_static, 495, 271},	//289 QGlobalSpace::qIntCast(float)
    {21, 427, 171, 2, Smoke::mf_static, 390, 272},	//290 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {21, 465, 735, 2, Smoke::mf_static, 91, 273},	//291 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {21, 673, 538, 2, Smoke::mf_static, 390, 274},	//292 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {21, 432, 738, 2, Smoke::mf_static, 29, 275},	//293 QGlobalSpace::operator<<(QDebug, const QSqlField&)
    {21, 465, 741, 2, Smoke::mf_static, 137, 276},	//294 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {21, 459, 744, 2, Smoke::mf_static, 25, 277},	//295 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {21, 659, 747, 2, Smoke::mf_static, 390, 278},	//296 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {21, 691, 607, 3, Smoke::mf_static, 495, 279},	//297 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {21, 547, 750, 7, Smoke::mf_static, 0, 280},	//298 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {21, 547, 257, 3, Smoke::mf_static, 0, 281},	//299 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {21, 547, 261, 4, Smoke::mf_static, 0, 282},	//300 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {21, 547, 266, 5, Smoke::mf_static, 0, 283},	//301 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {21, 547, 758, 6, Smoke::mf_static, 0, 284},	//302 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {21, 465, 765, 2, Smoke::mf_static, 95, 285},	//303 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {21, 465, 768, 2, Smoke::mf_static, 137, 286},	//304 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {21, 465, 771, 2, Smoke::mf_static, 137, 287},	//305 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {21, 421, 774, 1, Smoke::mf_static, 435, 288},	//306 QGlobalSpace::operator-(const QPointF&)
    {21, 631, 776, 4, Smoke::mf_static, 510, 289},	//307 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {21, 465, 781, 2, Smoke::mf_static, 110, 290},	//308 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {21, 432, 784, 2, Smoke::mf_static, 25, 291},	//309 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {21, 598, 787, 1, Smoke::mf_static, 503, 292},	//310 QGlobalSpace::qHash(unsigned long long)
    {21, 416, 789, 2, Smoke::mf_static, 464, 293},	//311 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {21, 465, 792, 2, Smoke::mf_static, 119, 294},	//312 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {21, 432, 795, 2, Smoke::mf_static, 29, 295},	//313 QGlobalSpace::operator<<(QDebug, const QSize&)
    {21, 412, 798, 2, Smoke::mf_static, 180, 296},	//314 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {21, 465, 801, 2, Smoke::mf_static, 110, 297},	//315 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {21, 432, 804, 2, Smoke::mf_static, 29, 298},	//316 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {21, 465, 807, 2, Smoke::mf_static, 117, 299},	//317 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {21, 494, 0, 0, Smoke::mf_static, 242, 300},	//318 QGlobalSpace::qAppName()
    {21, 574, 49, 1, Smoke::mf_static, 494, 301},	//319 QGlobalSpace::qFabs(float)
    {21, 416, 810, 2, Smoke::mf_static, 464, 302},	//320 QGlobalSpace::operator+(const QString&, char)
    {21, 454, 583, 2, Smoke::mf_static, 390, 303},	//321 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {21, 465, 813, 2, Smoke::mf_static, 53, 304},	//322 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {21, 598, 658, 1, Smoke::mf_static, 503, 305},	//323 QGlobalSpace::qHash(QChar)
    {21, 465, 816, 2, Smoke::mf_static, 137, 306},	//324 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {21, 522, 819, 8, Smoke::mf_static, 0, 307},	//325 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {21, 522, 828, 6, Smoke::mf_static, 0, 308},	//326 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {21, 522, 835, 7, Smoke::mf_static, 0, 309},	//327 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {21, 443, 191, 2, Smoke::mf_static, 390, 310},	//328 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {21, 591, 51, 1, Smoke::mf_static, 390, 311},	//329 QGlobalSpace::qFuzzyIsNull(double)
    {21, 412, 119, 2, Smoke::mf_static, 157, 312},	//330 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {21, 432, 843, 2, Smoke::mf_static, 25, 313},	//331 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {21, 624, 846, 3, Smoke::mf_static, 510, 314},	//332 QGlobalSpace::qMemSet(void*, int, size_t)
    {21, 465, 850, 2, Smoke::mf_static, 81, 315},	//333 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {21, 432, 853, 2, Smoke::mf_static, 25, 316},	//334 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {21, 459, 856, 2, Smoke::mf_static, 25, 317},	//335 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {21, 508, 859, 2, Smoke::mf_static, 17, 318},	//336 QGlobalSpace::qCompress(const QByteArray&, int)
    {21, 508, 611, 1, Smoke::mf_static, 17, 319},	//337 QGlobalSpace::qCompress(const QByteArray&)
    {21, 465, 862, 2, Smoke::mf_static, 137, 320},	//338 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {21, 432, 865, 2, Smoke::mf_static, 29, 321},	//339 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {21, 465, 868, 2, Smoke::mf_static, 111, 322},	//340 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {21, 412, 871, 2, Smoke::mf_static, 288, 323},	//341 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {21, 465, 874, 2, Smoke::mf_static, 137, 324},	//342 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {21, 427, 538, 2, Smoke::mf_static, 390, 325},	//343 QGlobalSpace::operator<(const char*, const QByteArray&)
    {21, 522, 877, 5, Smoke::mf_static, 0, 326},	//344 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {21, 522, 883, 3, Smoke::mf_static, 0, 327},	//345 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {21, 522, 887, 4, Smoke::mf_static, 0, 328},	//346 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {21, 465, 892, 2, Smoke::mf_static, 80, 329},	//347 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {21, 465, 895, 2, Smoke::mf_static, 137, 330},	//348 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {21, 490, 898, 1, Smoke::mf_static, 0, 331},	//349 QGlobalSpace::qAddPostRoutine(void(*)())
    {21, 465, 900, 2, Smoke::mf_static, 137, 332},	//350 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {21, 412, 903, 2, Smoke::mf_static, 178, 333},	//351 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {21, 465, 906, 2, Smoke::mf_static, 137, 334},	//352 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {21, 465, 909, 2, Smoke::mf_static, 137, 335},	//353 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {21, 404, 104, 2, Smoke::mf_static, 390, 336},	//354 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {21, 465, 912, 2, Smoke::mf_static, 108, 337},	//355 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {21, 436, 432, 2, Smoke::mf_static, 390, 338},	//356 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {21, 432, 915, 2, Smoke::mf_static, 25, 339},	//357 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {21, 404, 918, 2, Smoke::mf_static, 390, 340},	//358 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {21, 465, 921, 2, Smoke::mf_static, 137, 341},	//359 QGlobalSpace::operator|(QString::SectionFlag, int)
    {21, 465, 924, 2, Smoke::mf_static, 137, 342},	//360 QGlobalSpace::operator|(Qt::WindowType, int)
    {21, 465, 927, 2, Smoke::mf_static, 102, 343},	//361 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {21, 443, 930, 2, Smoke::mf_static, 390, 344},	//362 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {21, 614, 51, 1, Smoke::mf_static, 390, 345},	//363 QGlobalSpace::qIsNull(double)
    {21, 517, 933, 8, Smoke::mf_static, 0, 346},	//364 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {21, 517, 942, 6, Smoke::mf_static, 0, 347},	//365 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {21, 517, 949, 7, Smoke::mf_static, 0, 348},	//366 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {21, 454, 957, 2, Smoke::mf_static, 390, 349},	//367 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {21, 443, 960, 2, Smoke::mf_static, 390, 350},	//368 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {21, 604, 51, 1, Smoke::mf_static, 495, 351},	//369 QGlobalSpace::qIntCast(double)
    {21, 463, 31, 2, Smoke::mf_static, 13, 352},	//370 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {21, 506, 963, 2, Smoke::mf_static, 506, 353},	//371 QGlobalSpace::qChecksum(const char*, unsigned int)
    {21, 465, 966, 2, Smoke::mf_static, 101, 354},	//372 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {21, 412, 969, 2, Smoke::mf_static, 274, 355},	//373 QGlobalSpace::operator*(const QTransform&, float)
    {21, 465, 972, 2, Smoke::mf_static, 137, 356},	//374 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {21, 459, 975, 2, Smoke::mf_static, 25, 357},	//375 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {21, 432, 978, 2, Smoke::mf_static, 25, 358},	//376 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {21, 465, 981, 2, Smoke::mf_static, 137, 359},	//377 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {21, 427, 583, 2, Smoke::mf_static, 390, 360},	//378 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {21, 432, 984, 2, Smoke::mf_static, 29, 361},	//379 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {21, 465, 987, 2, Smoke::mf_static, 102, 362},	//380 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {21, 465, 990, 2, Smoke::mf_static, 137, 363},	//381 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {21, 671, 993, 1, Smoke::mf_static, 17, 364},	//382 QGlobalSpace::qgetenv(const char*)
    {21, 465, 995, 2, Smoke::mf_static, 137, 365},	//383 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {21, 432, 998, 2, Smoke::mf_static, 29, 366},	//384 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {21, 465, 1001, 2, Smoke::mf_static, 137, 367},	//385 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {21, 465, 1004, 2, Smoke::mf_static, 137, 368},	//386 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {21, 404, 747, 2, Smoke::mf_static, 390, 369},	//387 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {21, 432, 1007, 2, Smoke::mf_static, 29, 370},	//388 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {21, 459, 1010, 2, Smoke::mf_static, 268, 371},	//389 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {21, 465, 1013, 2, Smoke::mf_static, 137, 372},	//390 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {21, 404, 538, 2, Smoke::mf_static, 390, 373},	//391 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {21, 465, 1016, 2, Smoke::mf_static, 137, 374},	//392 QGlobalSpace::operator|(QFileDialog::Option, int)
    {21, 465, 1019, 2, Smoke::mf_static, 84, 375},	//393 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {21, 449, 583, 2, Smoke::mf_static, 390, 376},	//394 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {21, 412, 1022, 2, Smoke::mf_static, 178, 377},	//395 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {21, 465, 1025, 2, Smoke::mf_static, 91, 378},	//396 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {21, 459, 1028, 2, Smoke::mf_static, 25, 379},	//397 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {21, 432, 1031, 2, Smoke::mf_static, 29, 380},	//398 QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    {21, 465, 1034, 2, Smoke::mf_static, 64, 381},	//399 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {21, 416, 969, 2, Smoke::mf_static, 274, 382},	//400 QGlobalSpace::operator+(const QTransform&, float)
    {21, 425, 619, 2, Smoke::mf_static, 486, 383},	//401 QGlobalSpace::operator/(const QVector3D&, float)
    {21, 572, 49, 1, Smoke::mf_static, 494, 384},	//402 QGlobalSpace::qExp(float)
    {21, 657, 49, 1, Smoke::mf_static, 494, 385},	//403 QGlobalSpace::qSqrt(float)
    {21, 465, 1037, 2, Smoke::mf_static, 74, 386},	//404 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {21, 459, 1040, 2, Smoke::mf_static, 25, 387},	//405 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {21, 432, 1043, 2, Smoke::mf_static, 25, 388},	//406 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {21, 465, 1046, 2, Smoke::mf_static, 56, 389},	//407 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {21, 483, 0, 0, Smoke::mf_static, 10, 390},	//408 QGlobalSpace::qAccessibleImageCastHelper()
    {21, 465, 1049, 2, Smoke::mf_static, 137, 391},	//409 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {21, 432, 1052, 2, Smoke::mf_static, 29, 392},	//410 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {21, 693, 1055, 3, Smoke::mf_static, 392, 393},	//411 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {21, 465, 1059, 2, Smoke::mf_static, 47, 394},	//412 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {21, 459, 1062, 2, Smoke::mf_static, 25, 395},	//413 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {21, 643, 49, 1, Smoke::mf_static, 495, 396},	//414 QGlobalSpace::qRound(float)
    {21, 432, 1065, 2, Smoke::mf_static, 25, 397},	//415 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {21, 459, 1068, 2, Smoke::mf_static, 25, 398},	//416 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {21, 421, 1071, 1, Smoke::mf_static, 488, 399},	//417 QGlobalSpace::operator-(const QVector4D&)
    {21, 432, 1073, 2, Smoke::mf_static, 29, 400},	//418 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {21, 598, 1076, 1, Smoke::mf_static, 503, 401},	//419 QGlobalSpace::qHash(const QUrl&)
    {21, 465, 1078, 2, Smoke::mf_static, 137, 402},	//420 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {21, 459, 1081, 2, Smoke::mf_static, 25, 403},	//421 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {21, 606, 49, 1, Smoke::mf_static, 390, 404},	//422 QGlobalSpace::qIsFinite(float)
    {21, 404, 472, 2, Smoke::mf_static, 390, 405},	//423 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {21, 443, 139, 2, Smoke::mf_static, 390, 406},	//424 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {21, 708, 1084, 1, Smoke::mf_static, 242, 407},	//425 QGlobalSpace::qt_error_string(int)
    {21, 708, 0, 0, Smoke::mf_static, 242, 408},	//426 QGlobalSpace::qt_error_string()
    {21, 412, 1086, 2, Smoke::mf_static, 433, 409},	//427 QGlobalSpace::operator*(const QPoint&, float)
    {21, 465, 1089, 2, Smoke::mf_static, 137, 410},	//428 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {21, 459, 1092, 2, Smoke::mf_static, 25, 411},	//429 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {21, 629, 1095, 2, Smoke::mf_static, 510, 412},	//430 QGlobalSpace::qRealloc(void*, size_t)
    {21, 465, 1098, 2, Smoke::mf_static, 62, 413},	//431 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {21, 465, 1101, 2, Smoke::mf_static, 61, 414},	//432 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {21, 416, 1104, 2, Smoke::mf_static, 464, 415},	//433 QGlobalSpace::operator+(const QString&, const QString&)
    {21, 465, 1107, 2, Smoke::mf_static, 137, 416},	//434 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {21, 485, 0, 0, Smoke::mf_static, 10, 417},	//435 QGlobalSpace::qAccessibleTableCastHelper()
    {21, 421, 969, 2, Smoke::mf_static, 274, 418},	//436 QGlobalSpace::operator-(const QTransform&, float)
    {21, 465, 1110, 2, Smoke::mf_static, 137, 419},	//437 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {21, 704, 1113, 4, Smoke::mf_static, 0, 420},	//438 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {21, 427, 529, 2, Smoke::mf_static, 390, 421},	//439 QGlobalSpace::operator<(const char*, const QString&)
    {21, 404, 529, 2, Smoke::mf_static, 390, 422},	//440 QGlobalSpace::operator!=(const char*, const QString&)
    {21, 404, 432, 2, Smoke::mf_static, 390, 423},	//441 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {21, 404, 1118, 2, Smoke::mf_static, 390, 424},	//442 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {21, 432, 1121, 2, Smoke::mf_static, 29, 425},	//443 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {21, 412, 1124, 2, Smoke::mf_static, 157, 426},	//444 QGlobalSpace::operator*(const QMatrix4x4&, float)
    {21, 412, 1127, 2, Smoke::mf_static, 435, 427},	//445 QGlobalSpace::operator*(float, const QPointF&)
    {21, 465, 1130, 2, Smoke::mf_static, 45, 428},	//446 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {21, 412, 1133, 2, Smoke::mf_static, 446, 429},	//447 QGlobalSpace::operator*(float, const QSize&)
    {21, 443, 1136, 2, Smoke::mf_static, 390, 430},	//448 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {21, 465, 1139, 2, Smoke::mf_static, 137, 431},	//449 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {21, 459, 1142, 2, Smoke::mf_static, 25, 432},	//450 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {21, 449, 171, 2, Smoke::mf_static, 390, 433},	//451 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {21, 436, 160, 2, Smoke::mf_static, 390, 434},	//452 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {21, 443, 918, 2, Smoke::mf_static, 390, 435},	//453 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {21, 432, 1145, 2, Smoke::mf_static, 29, 436},	//454 QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    {21, 465, 31, 2, Smoke::mf_static, 13, 437},	//455 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {21, 443, 1148, 2, Smoke::mf_static, 390, 438},	//456 QGlobalSpace::operator==(const char*, const QStringRef&)
    {21, 416, 538, 2, Smoke::mf_static, 396, 439},	//457 QGlobalSpace::operator+(const char*, const QByteArray&)
    {21, 459, 1151, 2, Smoke::mf_static, 25, 440},	//458 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {21, 465, 1154, 2, Smoke::mf_static, 137, 441},	//459 QGlobalSpace::operator|(Qt::MouseButton, int)
    {21, 465, 1157, 2, Smoke::mf_static, 88, 442},	//460 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {21, 436, 583, 2, Smoke::mf_static, 390, 443},	//461 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {21, 459, 1160, 2, Smoke::mf_static, 25, 444},	//462 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {21, 465, 1163, 2, Smoke::mf_static, 52, 445},	//463 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {21, 465, 1166, 2, Smoke::mf_static, 109, 446},	//464 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {21, 608, 163, 1, Smoke::mf_static, 390, 447},	//465 QGlobalSpace::qIsGray(unsigned int)
    {21, 465, 1169, 2, Smoke::mf_static, 99, 448},	//466 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {21, 412, 1172, 2, Smoke::mf_static, 180, 449},	//467 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {21, 421, 1175, 1, Smoke::mf_static, 157, 450},	//468 QGlobalSpace::operator-(const QMatrix4x4&)
    {21, 465, 1177, 2, Smoke::mf_static, 43, 451},	//469 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {21, 465, 1180, 2, Smoke::mf_static, 69, 452},	//470 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {21, 465, 1183, 2, Smoke::mf_static, 137, 453},	//471 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {21, 459, 1186, 2, Smoke::mf_static, 25, 454},	//472 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {21, 443, 595, 2, Smoke::mf_static, 390, 455},	//473 QGlobalSpace::operator==(QChar, QChar)
    {21, 465, 1189, 2, Smoke::mf_static, 115, 456},	//474 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {21, 626, 565, 2, Smoke::mf_static, 494, 457},	//475 QGlobalSpace::qPow(float, float)
    {21, 432, 1192, 2, Smoke::mf_static, 25, 458},	//476 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {21, 404, 930, 2, Smoke::mf_static, 390, 459},	//477 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {21, 425, 1195, 2, Smoke::mf_static, 448, 460},	//478 QGlobalSpace::operator/(const QSizeF&, float)
    {21, 412, 1198, 2, Smoke::mf_static, 146, 461},	//479 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {21, 504, 49, 1, Smoke::mf_static, 495, 462},	//480 QGlobalSpace::qCeil(float)
    {21, 404, 1201, 2, Smoke::mf_static, 390, 463},	//481 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {21, 598, 1204, 1, Smoke::mf_static, 503, 464},	//482 QGlobalSpace::qHash(signed char)
    {21, 432, 1206, 2, Smoke::mf_static, 25, 465},	//483 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {21, 432, 1209, 2, Smoke::mf_static, 25, 466},	//484 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {21, 465, 1212, 2, Smoke::mf_static, 116, 467},	//485 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {21, 412, 1215, 2, Smoke::mf_static, 439, 468},	//486 QGlobalSpace::operator*(const QQuaternion&, float)
    {21, 662, 49, 1, Smoke::mf_static, 494, 469},	//487 QGlobalSpace::qTan(float)
    {21, 432, 1218, 2, Smoke::mf_static, 25, 470},	//488 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {21, 465, 1221, 2, Smoke::mf_static, 98, 471},	//489 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {21, 678, 1224, 2, Smoke::mf_static, 495, 472},	//490 QGlobalSpace::qstrcmp(const char*, const char*)
    {21, 459, 1227, 2, Smoke::mf_static, 25, 473},	//491 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {21, 465, 1230, 2, Smoke::mf_static, 85, 474},	//492 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {21, 443, 127, 2, Smoke::mf_static, 390, 475},	//493 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {21, 432, 1233, 2, Smoke::mf_static, 25, 476},	//494 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {21, 432, 1236, 2, Smoke::mf_static, 25, 477},	//495 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {21, 416, 1239, 2, Smoke::mf_static, 464, 478},	//496 QGlobalSpace::operator+(char, const QString&)
    {21, 465, 1242, 2, Smoke::mf_static, 79, 479},	//497 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {21, 404, 174, 2, Smoke::mf_static, 390, 480},	//498 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {21, 404, 595, 2, Smoke::mf_static, 390, 481},	//499 QGlobalSpace::operator!=(QChar, QChar)
    {21, 465, 1245, 2, Smoke::mf_static, 71, 482},	//500 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {21, 697, 963, 2, Smoke::mf_static, 503, 483},	//501 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {21, 465, 1248, 2, Smoke::mf_static, 66, 484},	//502 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {21, 443, 957, 2, Smoke::mf_static, 390, 485},	//503 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {21, 639, 456, 3, Smoke::mf_static, 503, 486},	//504 QGlobalSpace::qRgb(int, int, int)
    {21, 588, 127, 2, Smoke::mf_static, 390, 487},	//505 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {21, 655, 49, 1, Smoke::mf_static, 494, 488},	//506 QGlobalSpace::qSin(float)
    {21, 465, 1251, 2, Smoke::mf_static, 118, 489},	//507 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {21, 465, 1254, 2, Smoke::mf_static, 97, 490},	//508 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {21, 432, 1257, 2, Smoke::mf_static, 29, 491},	//509 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {21, 465, 1260, 2, Smoke::mf_static, 65, 492},	//510 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {21, 465, 1263, 2, Smoke::mf_static, 101, 493},	//511 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {21, 443, 168, 2, Smoke::mf_static, 390, 494},	//512 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {21, 459, 1266, 2, Smoke::mf_static, 25, 495},	//513 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {21, 465, 1269, 2, Smoke::mf_static, 100, 496},	//514 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {21, 432, 1272, 2, Smoke::mf_static, 25, 497},	//515 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {21, 459, 1275, 2, Smoke::mf_static, 25, 498},	//516 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {21, 465, 1278, 2, Smoke::mf_static, 46, 499},	//517 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {21, 443, 583, 2, Smoke::mf_static, 390, 500},	//518 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {21, 404, 1281, 2, Smoke::mf_static, 390, 501},	//519 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {21, 443, 1284, 2, Smoke::mf_static, 390, 502},	//520 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {21, 465, 1287, 2, Smoke::mf_static, 56, 503},	//521 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {21, 598, 5, 1, Smoke::mf_static, 503, 504},	//522 QGlobalSpace::qHash(const QModelIndex&)
    {21, 465, 1290, 2, Smoke::mf_static, 65, 505},	//523 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {21, 465, 1293, 2, Smoke::mf_static, 85, 506},	//524 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {21, 432, 1296, 2, Smoke::mf_static, 29, 507},	//525 QGlobalSpace::operator<<(QDebug, const QLine&)
    {21, 487, 0, 0, Smoke::mf_static, 10, 508},	//526 QGlobalSpace::qAccessibleValueCastHelper()
    {21, 465, 1299, 2, Smoke::mf_static, 42, 509},	//527 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {21, 637, 898, 1, Smoke::mf_static, 0, 510},	//528 QGlobalSpace::qRemovePostRoutine(void(*)())
    {21, 459, 1302, 2, Smoke::mf_static, 25, 511},	//529 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {21, 465, 1305, 2, Smoke::mf_static, 137, 512},	//530 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {21, 412, 1308, 2, Smoke::mf_static, 288, 513},	//531 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {21, 432, 1311, 2, Smoke::mf_static, 25, 514},	//532 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {21, 588, 1314, 2, Smoke::mf_static, 390, 515},	//533 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {21, 465, 1317, 2, Smoke::mf_static, 92, 516},	//534 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {21, 580, 993, 1, Smoke::mf_static, 490, 517},	//535 QGlobalSpace::qFlagLocation(const char*)
    {21, 622, 1320, 3, Smoke::mf_static, 510, 518},	//536 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {21, 454, 432, 2, Smoke::mf_static, 390, 519},	//537 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {21, 412, 1324, 2, Smoke::mf_static, 433, 520},	//538 QGlobalSpace::operator*(double, const QPoint&)
    {21, 612, 51, 1, Smoke::mf_static, 390, 521},	//539 QGlobalSpace::qIsNaN(double)
    {21, 465, 1327, 2, Smoke::mf_static, 73, 522},	//540 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {21, 432, 1330, 2, Smoke::mf_static, 29, 523},	//541 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {21, 432, 1333, 2, Smoke::mf_static, 29, 524},	//542 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {21, 598, 1336, 1, Smoke::mf_static, 503, 525},	//543 QGlobalSpace::qHash(short)
    {21, 601, 0, 0, Smoke::mf_static, 493, 526},	//544 QGlobalSpace::qInf()
    {21, 432, 1338, 2, Smoke::mf_static, 29, 527},	//545 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {21, 465, 1341, 2, Smoke::mf_static, 75, 528},	//546 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {21, 432, 1344, 2, Smoke::mf_static, 25, 529},	//547 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {21, 432, 1347, 2, Smoke::mf_static, 25, 530},	//548 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {21, 416, 1350, 2, Smoke::mf_static, 396, 531},	//549 QGlobalSpace::operator+(const QByteArray&, char)
    {21, 465, 1353, 2, Smoke::mf_static, 94, 532},	//550 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {21, 432, 1356, 2, Smoke::mf_static, 29, 533},	//551 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {21, 465, 1359, 2, Smoke::mf_static, 77, 534},	//552 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {21, 465, 1362, 2, Smoke::mf_static, 49, 535},	//553 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {21, 664, 611, 1, Smoke::mf_static, 17, 536},	//554 QGlobalSpace::qUncompress(const QByteArray&)
    {21, 454, 595, 2, Smoke::mf_static, 390, 537},	//555 QGlobalSpace::operator>=(QChar, QChar)
    {21, 465, 1365, 2, Smoke::mf_static, 45, 538},	//556 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {21, 436, 171, 2, Smoke::mf_static, 390, 539},	//557 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {21, 652, 1084, 1, Smoke::mf_static, 271, 540},	//558 QGlobalSpace::qSetRealNumberPrecision(int)
    {21, 432, 1368, 2, Smoke::mf_static, 29, 541},	//559 QGlobalSpace::operator<<(QDebug, const QObject*)
    {21, 588, 472, 2, Smoke::mf_static, 390, 542},	//560 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {21, 687, 1224, 2, Smoke::mf_static, 495, 543},	//561 QGlobalSpace::qstricmp(const char*, const char*)
    {21, 465, 1371, 2, Smoke::mf_static, 64, 544},	//562 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {21, 432, 1374, 2, Smoke::mf_static, 29, 545},	//563 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {21, 425, 1086, 2, Smoke::mf_static, 433, 546},	//564 QGlobalSpace::operator/(const QPoint&, float)
    {21, 425, 969, 2, Smoke::mf_static, 274, 547},	//565 QGlobalSpace::operator/(const QTransform&, float)
    {21, 588, 565, 2, Smoke::mf_static, 390, 548},	//566 QGlobalSpace::qFuzzyCompare(float, float)
    {21, 459, 1377, 2, Smoke::mf_static, 25, 549},	//567 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {21, 465, 1380, 2, Smoke::mf_static, 51, 550},	//568 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {21, 436, 957, 2, Smoke::mf_static, 390, 551},	//569 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {21, 725, 1383, 4, Smoke::mf_static, 495, 552},	//570 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {21, 465, 1388, 2, Smoke::mf_static, 69, 553},	//571 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {21, 465, 1391, 2, Smoke::mf_static, 83, 554},	//572 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {21, 432, 1394, 2, Smoke::mf_static, 25, 555},	//573 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {21, 716, 0, 0, Smoke::mf_static, 0, 556},	//574 QGlobalSpace::qt_noop()
    {21, 465, 1397, 2, Smoke::mf_static, 70, 557},	//575 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {21, 449, 538, 2, Smoke::mf_static, 390, 558},	//576 QGlobalSpace::operator>(const char*, const QByteArray&)
    {21, 459, 1400, 2, Smoke::mf_static, 25, 559},	//577 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {21, 648, 1084, 1, Smoke::mf_static, 271, 560},	//578 QGlobalSpace::qSetFieldWidth(int)
    {21, 465, 1403, 2, Smoke::mf_static, 93, 561},	//579 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {21, 432, 1406, 2, Smoke::mf_static, 29, 562},	//580 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {21, 432, 1409, 2, Smoke::mf_static, 25, 563},	//581 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {21, 443, 1281, 2, Smoke::mf_static, 390, 564},	//582 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {21, 404, 1412, 2, Smoke::mf_static, 390, 565},	//583 QGlobalSpace::operator!=(bool, QBool)
    {21, 598, 1415, 1, Smoke::mf_static, 503, 566},	//584 QGlobalSpace::qHash(unsigned long)
    {21, 484, 0, 0, Smoke::mf_static, 10, 567},	//585 QGlobalSpace::qAccessibleTable2CastHelper()
    {21, 432, 1417, 2, Smoke::mf_static, 29, 568},	//586 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {21, 465, 1420, 2, Smoke::mf_static, 137, 569},	//587 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {21, 412, 1423, 2, Smoke::mf_static, 182, 570},	//588 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {21, 404, 1426, 2, Smoke::mf_static, 390, 571},	//589 QGlobalSpace::operator!=(QBool, bool)
    {21, 465, 1429, 2, Smoke::mf_static, 137, 572},	//590 QGlobalSpace::operator|(Qt::WindowState, int)
    {21, 465, 1432, 2, Smoke::mf_static, 92, 573},	//591 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {21, 425, 1124, 2, Smoke::mf_static, 157, 574},	//592 QGlobalSpace::operator/(const QMatrix4x4&, float)
    {21, 421, 918, 2, Smoke::mf_static, 433, 575},	//593 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {21, 459, 1435, 2, Smoke::mf_static, 25, 576},	//594 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {21, 459, 1438, 2, Smoke::mf_static, 25, 577},	//595 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {21, 588, 289, 2, Smoke::mf_static, 390, 578},	//596 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {21, 529, 392, 9, Smoke::mf_static, 0, 579},	//597 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {21, 529, 342, 6, Smoke::mf_static, 0, 580},	//598 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {21, 529, 349, 7, Smoke::mf_static, 0, 581},	//599 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 529, 383, 8, Smoke::mf_static, 0, 582},	//600 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {21, 689, 993, 1, Smoke::mf_static, 503, 583},	//601 QGlobalSpace::qstrlen(const char*)
    {21, 416, 432, 2, Smoke::mf_static, 396, 584},	//602 QGlobalSpace::operator+(const QByteArray&, const char*)
    {21, 432, 1441, 2, Smoke::mf_static, 25, 585},	//603 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {21, 404, 168, 2, Smoke::mf_static, 390, 586},	//604 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {21, 436, 538, 2, Smoke::mf_static, 390, 587},	//605 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {21, 425, 1444, 2, Smoke::mf_static, 435, 588},	//606 QGlobalSpace::operator/(const QPointF&, float)
    {21, 432, 1447, 2, Smoke::mf_static, 25, 589},	//607 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {21, 465, 1450, 2, Smoke::mf_static, 105, 590},	//608 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {21, 432, 1453, 2, Smoke::mf_static, 29, 591},	//609 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {21, 465, 1456, 2, Smoke::mf_static, 137, 592},	//610 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {21, 443, 1118, 2, Smoke::mf_static, 390, 593},	//611 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {21, 465, 1459, 2, Smoke::mf_static, 72, 594},	//612 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {21, 404, 957, 2, Smoke::mf_static, 390, 595},	//613 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {21, 465, 1462, 2, Smoke::mf_static, 98, 596},	//614 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {21, 432, 1465, 2, Smoke::mf_static, 25, 597},	//615 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {21, 465, 1468, 2, Smoke::mf_static, 119, 598},	//616 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {21, 465, 1471, 2, Smoke::mf_static, 48, 599},	//617 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {21, 482, 0, 0, Smoke::mf_static, 10, 600},	//618 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {21, 412, 1474, 2, Smoke::mf_static, 286, 601},	//619 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {21, 443, 1477, 2, Smoke::mf_static, 390, 602},	//620 QGlobalSpace::operator==(QString::Null, const QString&)
    {21, 432, 1480, 2, Smoke::mf_static, 29, 603},	//621 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {21, 465, 1483, 2, Smoke::mf_static, 51, 604},	//622 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {21, 465, 1486, 2, Smoke::mf_static, 109, 605},	//623 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {21, 459, 1489, 2, Smoke::mf_static, 25, 606},	//624 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {21, 432, 1492, 2, Smoke::mf_static, 29, 607},	//625 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {21, 443, 432, 2, Smoke::mf_static, 390, 608},	//626 QGlobalSpace::operator==(const QByteArray&, const char*)
    {21, 719, 1495, 5, Smoke::mf_static, 0, 609},	//627 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {21, 459, 1501, 2, Smoke::mf_static, 25, 610},	//628 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {21, 465, 1504, 2, Smoke::mf_static, 87, 611},	//629 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {21, 449, 529, 2, Smoke::mf_static, 390, 612},	//630 QGlobalSpace::operator>(const char*, const QString&)
    {21, 432, 1507, 2, Smoke::mf_static, 25, 613},	//631 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {21, 459, 1510, 2, Smoke::mf_static, 25, 614},	//632 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {21, 459, 1513, 2, Smoke::mf_static, 25, 615},	//633 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {21, 449, 432, 2, Smoke::mf_static, 390, 616},	//634 QGlobalSpace::operator>(const QByteArray&, const char*)
    {21, 427, 160, 2, Smoke::mf_static, 390, 617},	//635 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {21, 465, 1516, 2, Smoke::mf_static, 137, 618},	//636 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {21, 416, 918, 2, Smoke::mf_static, 433, 619},	//637 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {21, 432, 1519, 2, Smoke::mf_static, 25, 620},	//638 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {21, 412, 1522, 2, Smoke::mf_static, 448, 621},	//639 QGlobalSpace::operator*(float, const QSizeF&)
    {21, 584, 724, 1, Smoke::mf_static, 0, 622},	//640 QGlobalSpace::qFree(void*)
    {21, 416, 472, 2, Smoke::mf_static, 486, 623},	//641 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {21, 436, 595, 2, Smoke::mf_static, 390, 624},	//642 QGlobalSpace::operator<=(QChar, QChar)
    {21, 432, 1525, 2, Smoke::mf_static, 268, 625},	//643 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {21, 465, 1528, 2, Smoke::mf_static, 68, 626},	//644 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {21, 432, 1531, 2, Smoke::mf_static, 25, 627},	//645 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {21, 425, 244, 2, Smoke::mf_static, 488, 628},	//646 QGlobalSpace::operator/(const QVector4D&, float)
    {21, 598, 163, 1, Smoke::mf_static, 503, 629},	//647 QGlobalSpace::qHash(unsigned int)
    {21, 412, 1534, 2, Smoke::mf_static, 190, 630},	//648 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {21, 404, 1477, 2, Smoke::mf_static, 390, 631},	//649 QGlobalSpace::operator!=(QString::Null, const QString&)
    {21, 645, 51, 1, Smoke::mf_static, 497, 632},	//650 QGlobalSpace::qRound64(double)
    {21, 412, 1537, 2, Smoke::mf_static, 180, 633},	//651 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {21, 449, 957, 2, Smoke::mf_static, 390, 634},	//652 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {21, 432, 1540, 2, Smoke::mf_static, 29, 635},	//653 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {21, 465, 1543, 2, Smoke::mf_static, 137, 636},	//654 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {21, 432, 1546, 2, Smoke::mf_static, 25, 637},	//655 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {21, 465, 1549, 2, Smoke::mf_static, 83, 638},	//656 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {21, 620, 1552, 2, Smoke::mf_static, 510, 639},	//657 QGlobalSpace::qMallocAligned(size_t, size_t)
    {21, 465, 1555, 2, Smoke::mf_static, 137, 640},	//658 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {21, 465, 1558, 2, Smoke::mf_static, 137, 641},	//659 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {21, 404, 729, 2, Smoke::mf_static, 390, 642},	//660 QGlobalSpace::operator!=(const QString&, QString::Null)
    {21, 508, 1561, 3, Smoke::mf_static, 17, 643},	//661 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {21, 508, 1565, 2, Smoke::mf_static, 17, 644},	//662 QGlobalSpace::qCompress(const unsigned char*, int)
    {21, 465, 1568, 2, Smoke::mf_static, 137, 645},	//663 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {21, 412, 1571, 2, Smoke::mf_static, 433, 646},	//664 QGlobalSpace::operator*(int, const QPoint&)
    {21, 432, 1574, 2, Smoke::mf_static, 29, 647},	//665 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {21, 685, 993, 1, Smoke::mf_static, 392, 648},	//666 QGlobalSpace::qstrdup(const char*)
    {21, 465, 1577, 2, Smoke::mf_static, 107, 649},	//667 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {21, 432, 1580, 2, Smoke::mf_static, 25, 650},	//668 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {21, 412, 1583, 2, Smoke::mf_static, 184, 651},	//669 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {21, 404, 289, 2, Smoke::mf_static, 390, 652},	//670 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {21, 465, 1586, 2, Smoke::mf_static, 137, 653},	//671 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {21, 516, 0, 0, Smoke::mf_static, 29, 654},	//672 QGlobalSpace::qDebug()
    {21, 421, 1589, 1, Smoke::mf_static, 433, 655},	//673 QGlobalSpace::operator-(const QPoint&)
    {21, 459, 1591, 2, Smoke::mf_static, 25, 656},	//674 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {21, 517, 1594, 4, Smoke::mf_static, 0, 657},	//675 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {21, 404, 127, 2, Smoke::mf_static, 390, 658},	//676 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {21, 425, 1215, 2, Smoke::mf_static, 439, 659},	//677 QGlobalSpace::operator/(const QQuaternion&, float)
    {21, 465, 1599, 2, Smoke::mf_static, 58, 660},	//678 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {21, 465, 1602, 2, Smoke::mf_static, 82, 661},	//679 QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    {21, 678, 538, 2, Smoke::mf_static, 495, 662},	//680 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {21, 465, 1605, 2, Smoke::mf_static, 57, 663},	//681 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {21, 465, 1608, 2, Smoke::mf_static, 137, 664},	//682 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {21, 412, 1444, 2, Smoke::mf_static, 435, 665},	//683 QGlobalSpace::operator*(const QPointF&, float)
    {21, 459, 1611, 2, Smoke::mf_static, 25, 666},	//684 QGlobalSpace::operator>>(QDataStream&, QString&)
    {21, 465, 1614, 2, Smoke::mf_static, 48, 667},	//685 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {21, 443, 171, 2, Smoke::mf_static, 390, 668},	//686 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {21, 465, 1617, 2, Smoke::mf_static, 49, 669},	//687 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {21, 529, 1620, 7, Smoke::mf_static, 0, 670},	//688 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {21, 529, 1628, 4, Smoke::mf_static, 0, 671},	//689 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {21, 529, 1633, 5, Smoke::mf_static, 0, 672},	//690 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {21, 529, 1639, 6, Smoke::mf_static, 0, 673},	//691 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {21, 465, 1646, 2, Smoke::mf_static, 70, 674},	//692 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {21, 412, 472, 2, Smoke::mf_static, 486, 675},	//693 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {21, 565, 691, 5, Smoke::mf_static, 0, 676},	//694 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {21, 565, 257, 3, Smoke::mf_static, 0, 677},	//695 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {21, 565, 261, 4, Smoke::mf_static, 0, 678},	//696 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {21, 432, 1649, 2, Smoke::mf_static, 25, 679},	//697 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {21, 598, 1084, 1, Smoke::mf_static, 503, 680},	//698 QGlobalSpace::qHash(int)
    {21, 421, 568, 2, Smoke::mf_static, 435, 681},	//699 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {21, 427, 957, 2, Smoke::mf_static, 390, 682},	//700 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {21, 432, 1652, 2, Smoke::mf_static, 25, 683},	//701 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {21, 459, 1655, 2, Smoke::mf_static, 268, 684},	//702 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {21, 432, 1658, 2, Smoke::mf_static, 25, 685},	//703 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {21, 459, 1661, 2, Smoke::mf_static, 25, 686},	//704 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {21, 432, 1664, 2, Smoke::mf_static, 25, 687},	//705 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {21, 465, 1667, 2, Smoke::mf_static, 84, 688},	//706 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {21, 598, 1670, 1, Smoke::mf_static, 503, 689},	//707 QGlobalSpace::qHash(const QItemSelectionRange&)
    {21, 465, 1672, 2, Smoke::mf_static, 115, 690},	//708 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {21, 443, 747, 2, Smoke::mf_static, 390, 691},	//709 QGlobalSpace::operator==(const QStringRef&, const char*)
    {21, 404, 1148, 2, Smoke::mf_static, 390, 692},	//710 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {21, 459, 1675, 2, Smoke::mf_static, 25, 693},	//711 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {21, 416, 171, 2, Smoke::mf_static, 396, 694},	//712 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {21, 416, 1678, 2, Smoke::mf_static, 464, 695},	//713 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {21, 659, 484, 2, Smoke::mf_static, 390, 696},	//714 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {21, 465, 1681, 2, Smoke::mf_static, 55, 697},	//715 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {21, 412, 1684, 2, Smoke::mf_static, 178, 698},	//716 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {21, 459, 1687, 2, Smoke::mf_static, 25, 699},	//717 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {21, 465, 1690, 2, Smoke::mf_static, 137, 700},	//718 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {21, 465, 1693, 2, Smoke::mf_static, 59, 701},	//719 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {21, 465, 1696, 2, Smoke::mf_static, 66, 702},	//720 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {21, 710, 1699, 2, Smoke::mf_static, 0, 703},	//721 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {21, 432, 1702, 2, Smoke::mf_static, 29, 704},	//722 QGlobalSpace::operator<<(QDebug, const QSqlError&)
    {21, 465, 1705, 2, Smoke::mf_static, 137, 705},	//723 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {21, 421, 1708, 1, Smoke::mf_static, 486, 706},	//724 QGlobalSpace::operator-(const QVector3D&)
    {21, 465, 1710, 2, Smoke::mf_static, 86, 707},	//725 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {21, 443, 529, 2, Smoke::mf_static, 390, 708},	//726 QGlobalSpace::operator==(const char*, const QString&)
    {21, 465, 1713, 2, Smoke::mf_static, 47, 709},	//727 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {21, 432, 1716, 2, Smoke::mf_static, 29, 710},	//728 QGlobalSpace::operator<<(QDebug, const QRect&)
    {21, 432, 1719, 2, Smoke::mf_static, 25, 711},	//729 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {21, 432, 1722, 2, Smoke::mf_static, 25, 712},	//730 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {21, 459, 1725, 2, Smoke::mf_static, 25, 713},	//731 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {21, 465, 1728, 2, Smoke::mf_static, 137, 714},	//732 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {21, 459, 1731, 2, Smoke::mf_static, 25, 715},	//733 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {21, 459, 1734, 2, Smoke::mf_static, 25, 716},	//734 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {21, 465, 1737, 2, Smoke::mf_static, 63, 717},	//735 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {21, 459, 1740, 2, Smoke::mf_static, 25, 718},	//736 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {21, 443, 1412, 2, Smoke::mf_static, 390, 719},	//737 QGlobalSpace::operator==(bool, QBool)
    {21, 565, 333, 8, Smoke::mf_static, 0, 720},	//738 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {21, 565, 342, 6, Smoke::mf_static, 0, 721},	//739 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {21, 565, 349, 7, Smoke::mf_static, 0, 722},	//740 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 465, 1743, 2, Smoke::mf_static, 117, 723},	//741 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {21, 465, 1746, 2, Smoke::mf_static, 97, 724},	//742 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {21, 465, 1749, 2, Smoke::mf_static, 137, 725},	//743 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {21, 412, 1752, 2, Smoke::mf_static, 178, 726},	//744 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {21, 465, 1755, 2, Smoke::mf_static, 137, 727},	//745 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {21, 465, 1758, 2, Smoke::mf_static, 137, 728},	//746 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {21, 421, 289, 2, Smoke::mf_static, 439, 729},	//747 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {21, 465, 1761, 2, Smoke::mf_static, 90, 730},	//748 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {21, 421, 472, 2, Smoke::mf_static, 486, 731},	//749 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {21, 465, 1764, 2, Smoke::mf_static, 137, 732},	//750 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {21, 459, 1767, 2, Smoke::mf_static, 25, 733},	//751 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {21, 454, 529, 2, Smoke::mf_static, 390, 734},	//752 QGlobalSpace::operator>=(const char*, const QString&)
    {21, 481, 0, 0, Smoke::mf_static, 10, 735},	//753 QGlobalSpace::qAccessibleActionCastHelper()
    {21, 598, 1770, 1, Smoke::mf_static, 503, 736},	//754 QGlobalSpace::qHash(char)
    {21, 432, 1772, 2, Smoke::mf_static, 25, 737},	//755 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {21, 502, 163, 1, Smoke::mf_static, 495, 738},	//756 QGlobalSpace::qBlue(unsigned int)
    {21, 465, 1775, 2, Smoke::mf_static, 137, 739},	//757 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {21, 459, 1778, 2, Smoke::mf_static, 25, 740},	//758 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {21, 404, 568, 2, Smoke::mf_static, 390, 741},	//759 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {21, 465, 1781, 2, Smoke::mf_static, 96, 742},	//760 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {21, 606, 51, 1, Smoke::mf_static, 390, 743},	//761 QGlobalSpace::qIsFinite(double)
    {21, 412, 1784, 2, Smoke::mf_static, 433, 744},	//762 QGlobalSpace::operator*(const QPoint&, int)
    {21, 465, 1787, 2, Smoke::mf_static, 108, 745},	//763 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {21, 421, 104, 2, Smoke::mf_static, 446, 746},	//764 QGlobalSpace::operator-(const QSize&, const QSize&)
    {21, 432, 1790, 2, Smoke::mf_static, 29, 747},	//765 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {21, 582, 49, 1, Smoke::mf_static, 495, 748},	//766 QGlobalSpace::qFloor(float)
    {21, 647, 0, 0, Smoke::mf_static, 493, 749},	//767 QGlobalSpace::qSNaN()
    {21, 465, 1793, 2, Smoke::mf_static, 87, 750},	//768 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {21, 432, 1796, 2, Smoke::mf_static, 25, 751},	//769 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {21, 591, 49, 1, Smoke::mf_static, 390, 752},	//770 QGlobalSpace::qFuzzyIsNull(float)
    {21, 465, 1799, 2, Smoke::mf_static, 106, 753},	//771 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {21, 465, 1802, 2, Smoke::mf_static, 137, 754},	//772 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {21, 664, 1565, 2, Smoke::mf_static, 17, 755},	//773 QGlobalSpace::qUncompress(const unsigned char*, int)
    {21, 465, 1805, 2, Smoke::mf_static, 106, 756},	//774 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {21, 465, 1808, 2, Smoke::mf_static, 61, 757},	//775 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {21, 465, 1811, 2, Smoke::mf_static, 137, 758},	//776 QGlobalSpace::operator|(Qt::Orientation, int)
    {21, 404, 160, 2, Smoke::mf_static, 390, 759},	//777 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {21, 465, 1814, 2, Smoke::mf_static, 68, 760},	//778 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {21, 432, 1817, 2, Smoke::mf_static, 25, 761},	//779 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {21, 432, 1820, 2, Smoke::mf_static, 29, 762},	//780 QGlobalSpace::operator<<(QDebug, const QDir&)
    {21, 416, 568, 2, Smoke::mf_static, 435, 763},	//781 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {21, 412, 1823, 2, Smoke::mf_static, 190, 764},	//782 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {21, 443, 1426, 2, Smoke::mf_static, 390, 765},	//783 QGlobalSpace::operator==(QBool, bool)
    {21, 443, 101, 2, Smoke::mf_static, 390, 766},	//784 QGlobalSpace::operator==(const QRect&, const QRect&)
    {21, 432, 1826, 2, Smoke::mf_static, 29, 767},	//785 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {21, 412, 1829, 2, Smoke::mf_static, 433, 768},	//786 QGlobalSpace::operator*(float, const QPoint&)
    {21, 699, 628, 2, Smoke::mf_static, 242, 769},	//787 QGlobalSpace::qtTrId(const char*, int)
    {21, 699, 993, 1, Smoke::mf_static, 242, 770},	//788 QGlobalSpace::qtTrId(const char*)
    {21, 459, 1832, 2, Smoke::mf_static, 25, 771},	//789 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {21, 465, 1835, 2, Smoke::mf_static, 71, 772},	//790 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {21, 465, 1838, 2, Smoke::mf_static, 137, 773},	//791 QGlobalSpace::operator|(QTextOption::Flag, int)
    {21, 416, 1841, 2, Smoke::mf_static, 464, 774},	//792 QGlobalSpace::operator+(const QString&, QChar)
    {21, 501, 0, 0, Smoke::mf_static, 0, 775},	//793 QGlobalSpace::qBadAlloc()
    {21, 404, 214, 2, Smoke::mf_static, 390, 776},	//794 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {21, 641, 1844, 4, Smoke::mf_static, 503, 777},	//795 QGlobalSpace::qRgba(int, int, int, int)
    {21, 465, 1849, 2, Smoke::mf_static, 114, 778},	//796 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {21, 465, 1852, 2, Smoke::mf_static, 90, 779},	//797 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {21, 465, 1855, 2, Smoke::mf_static, 73, 780},	//798 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {21, 404, 194, 2, Smoke::mf_static, 390, 781},	//799 QGlobalSpace::operator!=(QBool, QBool)
    {21, 432, 1010, 2, Smoke::mf_static, 268, 782},	//800 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {21, 618, 1858, 1, Smoke::mf_static, 510, 783},	//801 QGlobalSpace::qMalloc(size_t)
    {21, 432, 1860, 2, Smoke::mf_static, 29, 784},	//802 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {21, 443, 1201, 2, Smoke::mf_static, 390, 785},	//803 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {21, 412, 1195, 2, Smoke::mf_static, 448, 786},	//804 QGlobalSpace::operator*(const QSizeF&, float)
    {21, 465, 1863, 2, Smoke::mf_static, 72, 787},	//805 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {21, 432, 1866, 2, Smoke::mf_static, 25, 788},	//806 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {21, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 789},	//807 QGlobalSpace::SP_CustomToolBarAdd (enum)
    {21, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 790},	//808 QGlobalSpace::SP_CustomToolBarAddDetail (enum)
    {21, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 791},	//809 QGlobalSpace::SP_CustomToolBarAgain (enum)
    {21, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 792},	//810 QGlobalSpace::SP_CustomToolBarAgenda (enum)
    {21, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 793},	//811 QGlobalSpace::SP_CustomToolBarAudioOff (enum)
    {21, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 794},	//812 QGlobalSpace::SP_CustomToolBarAudioOn (enum)
    {21, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 795},	//813 QGlobalSpace::SP_CustomToolBarBack (enum)
    {21, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 796},	//814 QGlobalSpace::SP_CustomToolBarBluetoothOff (enum)
    {21, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 797},	//815 QGlobalSpace::SP_CustomToolBarBluetoothOn (enum)
    {21, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 798},	//816 QGlobalSpace::SP_CustomToolBarCancel (enum)
    {21, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 799},	//817 QGlobalSpace::SP_CustomToolBarDelete (enum)
    {21, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 800},	//818 QGlobalSpace::SP_CustomToolBarDone (enum)
    {21, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 801},	//819 QGlobalSpace::SP_CustomToolBarEdit (enum)
    {21, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 802},	//820 QGlobalSpace::SP_CustomToolBarEditDisabled (enum)
    {21, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 803},	//821 QGlobalSpace::SP_CustomToolBarEmailSend (enum)
    {21, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 804},	//822 QGlobalSpace::SP_CustomToolBarEmergencyCall (enum)
    {21, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 805},	//823 QGlobalSpace::SP_CustomToolBarFavouriteAdd (enum)
    {21, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 806},	//824 QGlobalSpace::SP_CustomToolBarFavouriteRemove (enum)
    {21, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 807},	//825 QGlobalSpace::SP_CustomToolBarFavourites (enum)
    {21, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 808},	//826 QGlobalSpace::SP_CustomToolBarGo (enum)
    {21, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 809},	//827 QGlobalSpace::SP_CustomToolBarHome (enum)
    {21, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 810},	//828 QGlobalSpace::SP_CustomToolBarImageTools (enum)
    {21, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 811},	//829 QGlobalSpace::SP_CustomToolBarList (enum)
    {21, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 812},	//830 QGlobalSpace::SP_CustomToolBarLock (enum)
    {21, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 813},	//831 QGlobalSpace::SP_CustomToolBarLogs (enum)
    {21, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 814},	//832 QGlobalSpace::SP_CustomToolBarMenu (enum)
    {21, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 815},	//833 QGlobalSpace::SP_CustomToolBarNewContact (enum)
    {21, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 816},	//834 QGlobalSpace::SP_CustomToolBarNewGroup (enum)
    {21, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 817},	//835 QGlobalSpace::SP_CustomToolBarNextFrame (enum)
    {21, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 818},	//836 QGlobalSpace::SP_CustomToolBarNowPlay (enum)
    {21, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 819},	//837 QGlobalSpace::SP_CustomToolBarOptions (enum)
    {21, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 820},	//838 QGlobalSpace::SP_CustomToolBarOther (enum)
    {21, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 821},	//839 QGlobalSpace::SP_CustomToolBarOvi (enum)
    {21, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 822},	//840 QGlobalSpace::SP_CustomToolBarPreviousFrame (enum)
    {21, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 823},	//841 QGlobalSpace::SP_CustomToolBarRead (enum)
    {21, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 824},	//842 QGlobalSpace::SP_CustomToolBarRedoDisabled (enum)
    {21, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 825},	//843 QGlobalSpace::SP_CustomToolBarRedo (enum)
    {21, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 826},	//844 QGlobalSpace::SP_CustomToolBarRefresh (enum)
    {21, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 827},	//845 QGlobalSpace::SP_CustomToolBarRemoveDetail (enum)
    {21, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 828},	//846 QGlobalSpace::SP_CustomToolBarRemoveDisabled (enum)
    {21, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 829},	//847 QGlobalSpace::SP_CustomToolBarRepeat (enum)
    {21, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 830},	//848 QGlobalSpace::SP_CustomToolBarRepeatOff (enum)
    {21, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 831},	//849 QGlobalSpace::SP_CustomToolBarRepeatOne (enum)
    {21, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 832},	//850 QGlobalSpace::SP_CustomToolBarSearch (enum)
    {21, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 833},	//851 QGlobalSpace::SP_CustomToolBarSearchDisabled (enum)
    {21, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 834},	//852 QGlobalSpace::SP_CustomToolBarSelectContent (enum)
    {21, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 835},	//853 QGlobalSpace::SP_CustomToolBarSelfTimer (enum)
    {21, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 836},	//854 QGlobalSpace::SP_CustomToolBarSend (enum)
    {21, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 837},	//855 QGlobalSpace::SP_CustomToolBarSendDimmed (enum)
    {21, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 838},	//856 QGlobalSpace::SP_CustomToolBarShare (enum)
    {21, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 839},	//857 QGlobalSpace::SP_CustomToolBarShift (enum)
    {21, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 840},	//858 QGlobalSpace::SP_CustomToolBarShuffle (enum)
    {21, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 841},	//859 QGlobalSpace::SP_CustomToolBarShuffleOff (enum)
    {21, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 842},	//860 QGlobalSpace::SP_CustomToolBarSignalOff (enum)
    {21, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 843},	//861 QGlobalSpace::SP_CustomToolBarSignalOn (enum)
    {21, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 844},	//862 QGlobalSpace::SP_CustomToolBarSync (enum)
    {21, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 845},	//863 QGlobalSpace::SP_CustomToolBarTools (enum)
    {21, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 846},	//864 QGlobalSpace::SP_CustomToolBarTrim (enum)
    {21, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 847},	//865 QGlobalSpace::SP_CustomToolBarUnlock (enum)
    {21, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 848},	//866 QGlobalSpace::SP_CustomToolBarUnmark (enum)
    {21, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 849},	//867 QGlobalSpace::SP_CustomToolBarView (enum)
    {21, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 850},	//868 QGlobalSpace::SP_CustomToolBarWlanOff (enum)
    {21, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 851},	//869 QGlobalSpace::SP_CustomToolBarWlanOn (enum)
    {21, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 852},	//870 QGlobalSpace::SP_CustomCameraCaptureButton (enum)
    {21, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 853},	//871 QGlobalSpace::SP_CustomCameraCaptureButtonPressed (enum)
    {21, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 854},	//872 QGlobalSpace::SP_CustomCameraPauseButton (enum)
    {21, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 855},	//873 QGlobalSpace::SP_CustomCameraPauseButtonPressed (enum)
    {21, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 856},	//874 QGlobalSpace::SP_CustomCameraPlayButton (enum)
    {21, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 857},	//875 QGlobalSpace::SP_CustomCameraPlayButtonPressed (enum)
    {21, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 858},	//876 QGlobalSpace::SP_CustomCameraRecButton (enum)
    {21, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 859},	//877 QGlobalSpace::SP_CustomCameraRecButtonPressed (enum)
    {21, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 860},	//878 QGlobalSpace::SP_CustomCameraStopButton (enum)
    {21, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 861},	//879 QGlobalSpace::SP_CustomCameraStopButtonPressed (enum)
    {21, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 862},	//880 QGlobalSpace::SP_CustomTabAll (enum)
    {21, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 863},	//881 QGlobalSpace::SP_CustomTabArtist (enum)
    {21, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 864},	//882 QGlobalSpace::SP_CustomTabFavourite (enum)
    {21, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 865},	//883 QGlobalSpace::SP_CustomTabGenre (enum)
    {21, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 866},	//884 QGlobalSpace::SP_CustomTabLanguage (enum)
    {21, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 867},	//885 QGlobalSpace::SP_CustomTabMusicAlbum (enum)
    {21, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 868},	//886 QGlobalSpace::SP_CustomTabPhotosAlbum (enum)
    {21, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 869},	//887 QGlobalSpace::SP_CustomTabPhotosAll (enum)
    {21, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 870},	//888 QGlobalSpace::SP_CustomTabPlaylist (enum)
    {21, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 871},	//889 QGlobalSpace::SP_CustomTabServices (enum)
    {21, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 872},	//890 QGlobalSpace::SP_CustomTabSongs (enum)
    {21, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 873},	//891 QGlobalSpace::SP_CustomTabVideos (enum)
    {21, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 379, 874},	//892 QGlobalSpace::LicensedOpenGL (enum)
    {21, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 386, 875},	//893 QGlobalSpace::LicensedSvg (enum)
    {21, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 380, 876},	//894 QGlobalSpace::LicensedOpenVG (enum)
    {21, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 383, 877},	//895 QGlobalSpace::LicensedScript (enum)
    {21, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 878},	//896 QGlobalSpace::LicensedQt3SupportLight (enum)
    {21, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 879},	//897 QGlobalSpace::QtDebugMsg (enum)
    {21, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 880},	//898 QGlobalSpace::QtWarningMsg (enum)
    {21, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 881},	//899 QGlobalSpace::QtCriticalMsg (enum)
    {21, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 882},	//900 QGlobalSpace::QtFatalMsg (enum)
    {21, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 883},	//901 QGlobalSpace::QtSystemMsg (enum)
    {21, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 884},	//902 QGlobalSpace::LicensedGui (enum)
    {21, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 389, 885},	//903 QGlobalSpace::LicensedXmlPatterns (enum)
    {21, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 385, 886},	//904 QGlobalSpace::LicensedSql (enum)
    {21, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 887},	//905 QGlobalSpace::LicensedActiveQt (enum)
    {21, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 382, 888},	//906 QGlobalSpace::LicensedQt3Support (enum)
    {21, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 889},	//907 QGlobalSpace::LicensedDBus (enum)
    {21, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 890},	//908 QGlobalSpace::LicensedCore (enum)
    {21, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 891},	//909 QGlobalSpace::LicensedNetwork (enum)
    {21, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 892},	//910 QGlobalSpace::LicensedMultimedia (enum)
    {21, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 893},	//911 QGlobalSpace::LicensedTest (enum)
    {21, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 894},	//912 QGlobalSpace::LicensedScriptTools (enum)
    {21, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 895},	//913 QGlobalSpace::LicensedHelp (enum)
    {21, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 388, 896},	//914 QGlobalSpace::LicensedXml (enum)
    {21, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 374, 897},	//915 QGlobalSpace::LicensedDeclarative (enum)
    {28, 386, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 423, 0},	//916 QItemDelegate::metaObject() const
    {28, 714, 993, 1, Smoke::mf_virtual, 510, 0},	//917 QItemDelegate::qt_metacast(const char*)
    {28, 712, 1869, 3, Smoke::mf_virtual, 495, 0},	//918 QItemDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {28, 469, 1873, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//919 QItemDelegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {28, 866, 1877, 2, Smoke::mf_const|Smoke::mf_virtual, 192, 0},	//920 QItemDelegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {28, 906, 1880, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//921 QItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {28, 289, 1884, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//922 QItemDelegate::drawDisplay(QPainter*, const QStyleOptionViewItem&, const QRect&, const QString&) const
    {28, 288, 1889, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//923 QItemDelegate::drawDecoration(QPainter*, const QStyleOptionViewItem&, const QRect&, const QPixmap&) const
    {28, 290, 1894, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//924 QItemDelegate::drawFocus(QPainter*, const QStyleOptionViewItem&, const QRect&) const
    {28, 287, 1898, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//925 QItemDelegate::drawCheck(QPainter*, const QStyleOptionViewItem&, const QRect&, Qt::CheckState) const
    {28, 301, 1903, 2, Smoke::mf_protected|Smoke::mf_virtual, 390, 0},	//926 QItemDelegate::eventFilter(QObject*, QEvent*)
    {28, 297, 1906, 4, Smoke::mf_protected|Smoke::mf_virtual, 390, 0},	//927 QItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {43, 300, 1911, 1, Smoke::mf_virtual, 390, 0},	//928 QObject::event(QEvent*)
    {43, 301, 1903, 2, Smoke::mf_virtual, 390, 0},	//929 QObject::eventFilter(QObject*, QEvent*)
    {43, 890, 1913, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//930 QObject::timerEvent(QTimerEvent*)
    {43, 246, 1915, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//931 QObject::childEvent(QChildEvent*)
    {43, 270, 1911, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//932 QObject::customEvent(QEvent*)
    {43, 256, 993, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//933 QObject::connectNotify(const char*)
    {43, 285, 993, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//934 QObject::disconnectNotify(const char*)
    {64, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 1},	//935 QSql::Tables (enum)
    {64, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 2},	//936 QSql::SystemTables (enum)
    {64, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 3},	//937 QSql::Views (enum)
    {64, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 4},	//938 QSql::AllTables (enum)
    {64, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 5},	//939 QSql::In (enum)
    {64, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 6},	//940 QSql::Out (enum)
    {64, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 7},	//941 QSql::InOut (enum)
    {64, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 8},	//942 QSql::Binary (enum)
    {64, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 9},	//943 QSql::LowPrecisionInt32 (enum)
    {64, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 10},	//944 QSql::LowPrecisionInt64 (enum)
    {64, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 11},	//945 QSql::LowPrecisionDouble (enum)
    {64, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 12},	//946 QSql::HighPrecision (enum)
    {64, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 13},	//947 QSql::BeforeFirstRow (enum)
    {64, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 14},	//948 QSql::AfterLastRow (enum)
    {65, 57, 0, 0, Smoke::mf_ctor, 204, 1},	//949 QSqlDatabase::QSqlDatabase()
    {65, 57, 1917, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 204, 2},	//950 QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    {65, 441, 1917, 1, 0, 203, 3},	//951 QSqlDatabase::operator=(const QSqlDatabase&)
    {65, 397, 0, 0, 0, 390, 4},	//952 QSqlDatabase::open()
    {65, 397, 1104, 2, 0, 390, 5},	//953 QSqlDatabase::open(const QString&, const QString&)
    {65, 251, 0, 0, 0, 0, 6},	//954 QSqlDatabase::close()
    {65, 373, 0, 0, Smoke::mf_const, 390, 7},	//955 QSqlDatabase::isOpen() const
    {65, 374, 0, 0, Smoke::mf_const, 390, 8},	//956 QSqlDatabase::isOpenError() const
    {65, 887, 1919, 1, Smoke::mf_const, 246, 9},	//957 QSqlDatabase::tables(QSql::TableType) const
    {65, 476, 314, 1, Smoke::mf_const, 220, 10},	//958 QSqlDatabase::primaryIndex(const QString&) const
    {65, 727, 314, 1, Smoke::mf_const, 228, 11},	//959 QSqlDatabase::record(const QString&) const
    {65, 302, 314, 1, Smoke::mf_const, 223, 12},	//960 QSqlDatabase::exec(const QString&) const
    {65, 381, 0, 0, Smoke::mf_const, 212, 13},	//961 QSqlDatabase::lastError() const
    {65, 377, 0, 0, Smoke::mf_const, 390, 14},	//962 QSqlDatabase::isValid() const
    {65, 899, 0, 0, 0, 390, 15},	//963 QSqlDatabase::transaction()
    {65, 254, 0, 0, 0, 390, 16},	//964 QSqlDatabase::commit()
    {65, 755, 0, 0, 0, 390, 17},	//965 QSqlDatabase::rollback()
    {65, 779, 314, 1, 0, 0, 18},	//966 QSqlDatabase::setDatabaseName(const QString&)
    {65, 860, 314, 1, 0, 0, 19},	//967 QSqlDatabase::setUserName(const QString&)
    {65, 828, 314, 1, 0, 0, 20},	//968 QSqlDatabase::setPassword(const QString&)
    {65, 805, 314, 1, 0, 0, 21},	//969 QSqlDatabase::setHostName(const QString&)
    {65, 830, 1084, 1, 0, 0, 22},	//970 QSqlDatabase::setPort(int)
    {65, 772, 314, 1, 0, 0, 23},	//971 QSqlDatabase::setConnectOptions(const QString&)
    {65, 278, 0, 0, Smoke::mf_const, 242, 24},	//972 QSqlDatabase::databaseName() const
    {65, 909, 0, 0, Smoke::mf_const, 242, 25},	//973 QSqlDatabase::userName() const
    {65, 470, 0, 0, Smoke::mf_const, 242, 26},	//974 QSqlDatabase::password() const
    {65, 336, 0, 0, Smoke::mf_const, 242, 27},	//975 QSqlDatabase::hostName() const
    {65, 292, 0, 0, Smoke::mf_const, 242, 28},	//976 QSqlDatabase::driverName() const
    {65, 471, 0, 0, Smoke::mf_const, 495, 29},	//977 QSqlDatabase::port() const
    {65, 257, 0, 0, Smoke::mf_const, 242, 30},	//978 QSqlDatabase::connectOptions() const
    {65, 258, 0, 0, Smoke::mf_const, 242, 31},	//979 QSqlDatabase::connectionName() const
    {65, 822, 1921, 1, 0, 0, 32},	//980 QSqlDatabase::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {65, 396, 0, 0, Smoke::mf_const, 199, 33},	//981 QSqlDatabase::numericalPrecisionPolicy() const
    {65, 291, 0, 0, Smoke::mf_const, 205, 34},	//982 QSqlDatabase::driver() const
    {65, 215, 1104, 2, Smoke::mf_static, 202, 35},	//983 QSqlDatabase::addDatabase(const QString&, const QString&)
    {65, 215, 1923, 2, Smoke::mf_static, 202, 36},	//984 QSqlDatabase::addDatabase(QSqlDriver*, const QString&)
    {65, 249, 1926, 2, Smoke::mf_static, 202, 37},	//985 QSqlDatabase::cloneDatabase(const QSqlDatabase&, const QString&)
    {65, 275, 1929, 2, Smoke::mf_static, 202, 38},	//986 QSqlDatabase::database(const QString&, bool)
    {65, 740, 314, 1, Smoke::mf_static, 0, 39},	//987 QSqlDatabase::removeDatabase(const QString&)
    {65, 260, 314, 1, Smoke::mf_static, 390, 40},	//988 QSqlDatabase::contains(const QString&)
    {65, 294, 0, 0, Smoke::mf_static, 246, 41},	//989 QSqlDatabase::drivers()
    {65, 259, 0, 0, Smoke::mf_static, 246, 42},	//990 QSqlDatabase::connectionNames()
    {65, 729, 1932, 2, Smoke::mf_static, 0, 43},	//991 QSqlDatabase::registerSqlDriver(const QString&, QSqlDriverCreatorBase*)
    {65, 361, 314, 1, Smoke::mf_static, 390, 44},	//992 QSqlDatabase::isDriverAvailable(const QString&)
    {65, 57, 314, 1, Smoke::mf_ctor|Smoke::mf_protected, 204, 45},	//993 QSqlDatabase::QSqlDatabase(const QString&)
    {65, 57, 1935, 1, Smoke::mf_ctor|Smoke::mf_protected, 204, 46},	//994 QSqlDatabase::QSqlDatabase(QSqlDriver*)
    {65, 887, 0, 0, Smoke::mf_const, 246, 47},	//995 QSqlDatabase::tables() const
    {65, 302, 0, 0, Smoke::mf_const, 223, 48},	//996 QSqlDatabase::exec() const
    {65, 772, 0, 0, 0, 0, 49},	//997 QSqlDatabase::setConnectOptions()
    {65, 215, 314, 1, Smoke::mf_static, 202, 50},	//998 QSqlDatabase::addDatabase(const QString&)
    {65, 215, 1935, 1, Smoke::mf_static, 202, 51},	//999 QSqlDatabase::addDatabase(QSqlDriver*)
    {65, 275, 0, 0, Smoke::mf_static, 202, 52},	//1000 QSqlDatabase::database()
    {65, 275, 314, 1, Smoke::mf_static, 202, 53},	//1001 QSqlDatabase::database(const QString&)
    {65, 260, 0, 0, Smoke::mf_static, 390, 54},	//1002 QSqlDatabase::contains()
    {65, 280, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 490, 55},	//1003 QSqlDatabase::defaultConnection() const
    {65, 783, 993, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 56},	//1004 QSqlDatabase::setDefaultConnection(const char*)
    {65, 914, 0, 0, Smoke::mf_dtor, 0, 57 },	//1005 QSqlDatabase::~QSqlDatabase()
    {66, 386, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 423, 1},	//1006 QSqlDriver::metaObject() const
    {66, 714, 993, 1, Smoke::mf_virtual, 510, 2},	//1007 QSqlDriver::qt_metacast(const char*)
    {66, 891, 1224, 2, Smoke::mf_static, 242, 3},	//1008 QSqlDriver::tr(const char*, const char*)
    {66, 895, 1224, 2, Smoke::mf_static, 242, 4},	//1009 QSqlDriver::trUtf8(const char*, const char*)
    {66, 891, 39, 3, Smoke::mf_static, 242, 5},	//1010 QSqlDriver::tr(const char*, const char*, int)
    {66, 895, 39, 3, Smoke::mf_static, 242, 6},	//1011 QSqlDriver::trUtf8(const char*, const char*, int)
    {66, 712, 1869, 3, Smoke::mf_virtual, 495, 7},	//1012 QSqlDriver::qt_metacall(QMetaObject::Call, int, void**)
    {66, 60, 1937, 1, Smoke::mf_ctor, 205, 8},	//1013 QSqlDriver::QSqlDriver(QObject*)
    {66, 373, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 390, 9},	//1014 QSqlDriver::isOpen() const
    {66, 374, 0, 0, Smoke::mf_const, 390, 10},	//1015 QSqlDriver::isOpenError() const
    {66, 230, 0, 0, Smoke::mf_virtual, 390, 11},	//1016 QSqlDriver::beginTransaction()
    {66, 255, 0, 0, Smoke::mf_virtual, 390, 12},	//1017 QSqlDriver::commitTransaction()
    {66, 756, 0, 0, Smoke::mf_virtual, 390, 13},	//1018 QSqlDriver::rollbackTransaction()
    {66, 887, 1919, 1, Smoke::mf_const|Smoke::mf_virtual, 246, 14},	//1019 QSqlDriver::tables(QSql::TableType) const
    {66, 476, 314, 1, Smoke::mf_const|Smoke::mf_virtual, 220, 15},	//1020 QSqlDriver::primaryIndex(const QString&) const
    {66, 727, 314, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 16},	//1021 QSqlDriver::record(const QString&) const
    {66, 326, 1939, 2, Smoke::mf_const|Smoke::mf_virtual, 242, 17},	//1022 QSqlDriver::formatValue(const QSqlField&, bool) const
    {66, 298, 1942, 2, Smoke::mf_const|Smoke::mf_virtual, 242, 18},	//1023 QSqlDriver::escapeIdentifier(const QString&, QSqlDriver::IdentifierType) const
    {66, 870, 1945, 4, Smoke::mf_const|Smoke::mf_virtual, 242, 19},	//1024 QSqlDriver::sqlStatement(QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool) const
    {66, 381, 0, 0, Smoke::mf_const, 212, 20},	//1025 QSqlDriver::lastError() const
    {66, 329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 21},	//1026 QSqlDriver::handle() const
    {66, 330, 1950, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 390, 22},	//1027 QSqlDriver::hasFeature(QSqlDriver::DriverFeature) const [pure virtual]
    {66, 251, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//1028 QSqlDriver::close() [pure virtual]
    {66, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 24},	//1029 QSqlDriver::createResult() const [pure virtual]
    {66, 397, 1952, 6, Smoke::mf_virtual|Smoke::mf_purevirtual, 390, 25},	//1030 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int, const QString&) [pure virtual]
    {66, 879, 314, 1, 0, 390, 26},	//1031 QSqlDriver::subscribeToNotification(const QString&)
    {66, 902, 314, 1, 0, 390, 27},	//1032 QSqlDriver::unsubscribeFromNotification(const QString&)
    {66, 883, 0, 0, Smoke::mf_const, 246, 28},	//1033 QSqlDriver::subscribedToNotifications() const
    {66, 367, 1942, 2, Smoke::mf_const, 390, 29},	//1034 QSqlDriver::isIdentifierEscaped(const QString&, QSqlDriver::IdentifierType) const
    {66, 873, 1942, 2, Smoke::mf_const, 242, 30},	//1035 QSqlDriver::stripDelimiters(const QString&, QSqlDriver::IdentifierType) const
    {66, 822, 1921, 1, 0, 0, 31},	//1036 QSqlDriver::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {66, 396, 0, 0, Smoke::mf_const, 199, 32},	//1037 QSqlDriver::numericalPrecisionPolicy() const
    {66, 392, 314, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1038 QSqlDriver::notification(const QString&)
    {66, 824, 1959, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1039 QSqlDriver::setOpen(bool)
    {66, 826, 1959, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1040 QSqlDriver::setOpenError(bool)
    {66, 810, 1961, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//1041 QSqlDriver::setLastError(const QSqlError&)
    {66, 881, 314, 1, Smoke::mf_protected|Smoke::mf_slot, 390, 37},	//1042 QSqlDriver::subscribeToNotificationImplementation(const QString&)
    {66, 904, 314, 1, Smoke::mf_protected|Smoke::mf_slot, 390, 38},	//1043 QSqlDriver::unsubscribeFromNotificationImplementation(const QString&)
    {66, 884, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 246, 39},	//1044 QSqlDriver::subscribedToNotificationsImplementation() const
    {66, 369, 1942, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 390, 40},	//1045 QSqlDriver::isIdentifierEscapedImplementation(const QString&, QSqlDriver::IdentifierType) const
    {66, 875, 1942, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 242, 41},	//1046 QSqlDriver::stripDelimitersImplementation(const QString&, QSqlDriver::IdentifierType) const
    {66, 891, 993, 1, Smoke::mf_static, 242, 42},	//1047 QSqlDriver::tr(const char*)
    {66, 895, 993, 1, Smoke::mf_static, 242, 43},	//1048 QSqlDriver::trUtf8(const char*)
    {66, 60, 0, 0, Smoke::mf_ctor, 205, 44},	//1049 QSqlDriver::QSqlDriver()
    {66, 326, 1963, 1, Smoke::mf_const, 242, 45},	//1050 QSqlDriver::formatValue(const QSqlField&) const
    {66, 397, 314, 1, 0, 390, 46},	//1051 QSqlDriver::open(const QString&)
    {66, 397, 1104, 2, 0, 390, 47},	//1052 QSqlDriver::open(const QString&, const QString&)
    {66, 397, 1965, 3, 0, 390, 48},	//1053 QSqlDriver::open(const QString&, const QString&, const QString&)
    {66, 397, 1969, 4, 0, 390, 49},	//1054 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&)
    {66, 397, 1974, 5, 0, 390, 50},	//1055 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int)
    {66, 872, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 422, 51},	//1056 QSqlDriver::staticMetaObject() const
    {66, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 52},	//1057 QSqlDriver::Transactions (enum)
    {66, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 53},	//1058 QSqlDriver::QuerySize (enum)
    {66, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 54},	//1059 QSqlDriver::BLOB (enum)
    {66, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 55},	//1060 QSqlDriver::Unicode (enum)
    {66, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 56},	//1061 QSqlDriver::PreparedQueries (enum)
    {66, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 57},	//1062 QSqlDriver::NamedPlaceholders (enum)
    {66, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 58},	//1063 QSqlDriver::PositionalPlaceholders (enum)
    {66, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 59},	//1064 QSqlDriver::LastInsertId (enum)
    {66, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 60},	//1065 QSqlDriver::BatchOperations (enum)
    {66, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 61},	//1066 QSqlDriver::SimpleLocking (enum)
    {66, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 62},	//1067 QSqlDriver::LowPrecisionNumbers (enum)
    {66, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 63},	//1068 QSqlDriver::EventNotifications (enum)
    {66, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 64},	//1069 QSqlDriver::FinishQuery (enum)
    {66, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 65},	//1070 QSqlDriver::MultipleResultSets (enum)
    {66, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 66},	//1071 QSqlDriver::WhereStatement (enum)
    {66, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 67},	//1072 QSqlDriver::SelectStatement (enum)
    {66, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 68},	//1073 QSqlDriver::UpdateStatement (enum)
    {66, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 69},	//1074 QSqlDriver::InsertStatement (enum)
    {66, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 70},	//1075 QSqlDriver::DeleteStatement (enum)
    {66, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 71},	//1076 QSqlDriver::FieldName (enum)
    {66, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 72},	//1077 QSqlDriver::TableName (enum)
    {66, 915, 0, 0, Smoke::mf_dtor, 0, 73 },	//1078 QSqlDriver::~QSqlDriver()
    {67, 267, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 205, 1},	//1079 QSqlDriverCreatorBase::createObject() const [pure virtual]
    {67, 62, 0, 0, Smoke::mf_ctor, 209, 2},	//1080 QSqlDriverCreatorBase::QSqlDriverCreatorBase()
    {67, 62, 1980, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 209, 3},	//1081 QSqlDriverCreatorBase::QSqlDriverCreatorBase(const QSqlDriverCreatorBase&)
    {67, 916, 0, 0, Smoke::mf_dtor, 0, 4 },	//1082 QSqlDriverCreatorBase::~QSqlDriverCreatorBase()
    {68, 263, 314, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 205, 1},	//1083 QSqlDriverFactoryInterface::create(const QString&) [pure virtual]
    {68, 64, 0, 0, Smoke::mf_ctor, 210, 2},	//1084 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface()
    {68, 64, 1982, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 210, 3},	//1085 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface(const QSqlDriverFactoryInterface&)
    {68, 917, 0, 0, Smoke::mf_dtor, 0, 4 },	//1086 QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface()
    {69, 386, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 423, 1},	//1087 QSqlDriverPlugin::metaObject() const
    {69, 714, 993, 1, Smoke::mf_virtual, 510, 2},	//1088 QSqlDriverPlugin::qt_metacast(const char*)
    {69, 891, 1224, 2, Smoke::mf_static, 242, 3},	//1089 QSqlDriverPlugin::tr(const char*, const char*)
    {69, 895, 1224, 2, Smoke::mf_static, 242, 4},	//1090 QSqlDriverPlugin::trUtf8(const char*, const char*)
    {69, 891, 39, 3, Smoke::mf_static, 242, 5},	//1091 QSqlDriverPlugin::tr(const char*, const char*, int)
    {69, 895, 39, 3, Smoke::mf_static, 242, 6},	//1092 QSqlDriverPlugin::trUtf8(const char*, const char*, int)
    {69, 712, 1869, 3, Smoke::mf_virtual, 495, 7},	//1093 QSqlDriverPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {69, 66, 1937, 1, Smoke::mf_ctor, 211, 8},	//1094 QSqlDriverPlugin::QSqlDriverPlugin(QObject*)
    {69, 379, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 246, 9},	//1095 QSqlDriverPlugin::keys() const [pure virtual]
    {69, 263, 314, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 205, 10},	//1096 QSqlDriverPlugin::create(const QString&) [pure virtual]
    {69, 891, 993, 1, Smoke::mf_static, 242, 11},	//1097 QSqlDriverPlugin::tr(const char*)
    {69, 895, 993, 1, Smoke::mf_static, 242, 12},	//1098 QSqlDriverPlugin::trUtf8(const char*)
    {69, 66, 0, 0, Smoke::mf_ctor, 211, 13},	//1099 QSqlDriverPlugin::QSqlDriverPlugin()
    {69, 872, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 422, 14},	//1100 QSqlDriverPlugin::staticMetaObject() const
    {69, 918, 0, 0, Smoke::mf_dtor, 0, 15 },	//1101 QSqlDriverPlugin::~QSqlDriverPlugin()
    {70, 68, 1984, 4, Smoke::mf_ctor, 214, 1},	//1102 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType, int)
    {70, 68, 1961, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 214, 2},	//1103 QSqlError::QSqlError(const QSqlError&)
    {70, 441, 1961, 1, 0, 213, 3},	//1104 QSqlError::operator=(const QSqlError&)
    {70, 293, 0, 0, Smoke::mf_const, 242, 4},	//1105 QSqlError::driverText() const
    {70, 789, 314, 1, 0, 0, 5},	//1106 QSqlError::setDriverText(const QString&)
    {70, 279, 0, 0, Smoke::mf_const, 242, 6},	//1107 QSqlError::databaseText() const
    {70, 781, 314, 1, 0, 0, 7},	//1108 QSqlError::setDatabaseText(const QString&)
    {70, 900, 0, 0, Smoke::mf_const, 215, 8},	//1109 QSqlError::type() const
    {70, 858, 1989, 1, 0, 0, 9},	//1110 QSqlError::setType(QSqlError::ErrorType)
    {70, 395, 0, 0, Smoke::mf_const, 495, 10},	//1111 QSqlError::number() const
    {70, 820, 1084, 1, 0, 0, 11},	//1112 QSqlError::setNumber(int)
    {70, 889, 0, 0, Smoke::mf_const, 242, 12},	//1113 QSqlError::text() const
    {70, 377, 0, 0, Smoke::mf_const, 390, 13},	//1114 QSqlError::isValid() const
    {70, 68, 0, 0, Smoke::mf_ctor, 214, 14},	//1115 QSqlError::QSqlError()
    {70, 68, 314, 1, Smoke::mf_ctor, 214, 15},	//1116 QSqlError::QSqlError(const QString&)
    {70, 68, 1104, 2, Smoke::mf_ctor, 214, 16},	//1117 QSqlError::QSqlError(const QString&, const QString&)
    {70, 68, 1991, 3, Smoke::mf_ctor, 214, 17},	//1118 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType)
    {70, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 18},	//1119 QSqlError::NoError (enum)
    {70, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 19},	//1120 QSqlError::ConnectionError (enum)
    {70, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 20},	//1121 QSqlError::StatementError (enum)
    {70, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 21},	//1122 QSqlError::TransactionError (enum)
    {70, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 22},	//1123 QSqlError::UnknownError (enum)
    {70, 919, 0, 0, Smoke::mf_dtor, 0, 23 },	//1124 QSqlError::~QSqlError()
    {71, 74, 1995, 2, Smoke::mf_ctor, 218, 1},	//1125 QSqlField::QSqlField(const QString&, QVariant::Type)
    {71, 74, 1963, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 218, 2},	//1126 QSqlField::QSqlField(const QSqlField&)
    {71, 441, 1963, 1, 0, 217, 3},	//1127 QSqlField::operator=(const QSqlField&)
    {71, 443, 1963, 1, Smoke::mf_const, 390, 4},	//1128 QSqlField::operator==(const QSqlField&) const
    {71, 404, 1963, 1, Smoke::mf_const, 390, 5},	//1129 QSqlField::operator!=(const QSqlField&) const
    {71, 862, 1998, 1, 0, 0, 6},	//1130 QSqlField::setValue(const QVariant&)
    {71, 910, 0, 0, Smoke::mf_const, 281, 7},	//1131 QSqlField::value() const
    {71, 816, 314, 1, 0, 0, 8},	//1132 QSqlField::setName(const QString&)
    {71, 389, 0, 0, Smoke::mf_const, 242, 9},	//1133 QSqlField::name() const
    {71, 371, 0, 0, Smoke::mf_const, 390, 10},	//1134 QSqlField::isNull() const
    {71, 840, 1959, 1, 0, 0, 11},	//1135 QSqlField::setReadOnly(bool)
    {71, 375, 0, 0, Smoke::mf_const, 390, 12},	//1136 QSqlField::isReadOnly() const
    {71, 247, 0, 0, 0, 0, 13},	//1137 QSqlField::clear()
    {71, 900, 0, 0, Smoke::mf_const, 283, 14},	//1138 QSqlField::type() const
    {71, 356, 0, 0, Smoke::mf_const, 390, 15},	//1139 QSqlField::isAutoValue() const
    {71, 858, 2000, 1, 0, 0, 16},	//1140 QSqlField::setType(QVariant::Type)
    {71, 848, 2002, 1, 0, 0, 17},	//1141 QSqlField::setRequiredStatus(QSqlField::RequiredStatus)
    {71, 846, 1959, 1, 0, 0, 18},	//1142 QSqlField::setRequired(bool)
    {71, 812, 1084, 1, 0, 0, 19},	//1143 QSqlField::setLength(int)
    {71, 832, 1084, 1, 0, 0, 20},	//1144 QSqlField::setPrecision(int)
    {71, 785, 1998, 1, 0, 0, 21},	//1145 QSqlField::setDefaultValue(const QVariant&)
    {71, 854, 1084, 1, 0, 0, 22},	//1146 QSqlField::setSqlType(int)
    {71, 799, 1959, 1, 0, 0, 23},	//1147 QSqlField::setGenerated(bool)
    {71, 770, 1959, 1, 0, 0, 24},	//1148 QSqlField::setAutoValue(bool)
    {71, 747, 0, 0, Smoke::mf_const, 219, 25},	//1149 QSqlField::requiredStatus() const
    {71, 384, 0, 0, Smoke::mf_const, 495, 26},	//1150 QSqlField::length() const
    {71, 472, 0, 0, Smoke::mf_const, 495, 27},	//1151 QSqlField::precision() const
    {71, 281, 0, 0, Smoke::mf_const, 281, 28},	//1152 QSqlField::defaultValue() const
    {71, 901, 0, 0, Smoke::mf_const, 495, 29},	//1153 QSqlField::typeID() const
    {71, 365, 0, 0, Smoke::mf_const, 390, 30},	//1154 QSqlField::isGenerated() const
    {71, 377, 0, 0, Smoke::mf_const, 390, 31},	//1155 QSqlField::isValid() const
    {71, 74, 0, 0, Smoke::mf_ctor, 218, 32},	//1156 QSqlField::QSqlField()
    {71, 74, 314, 1, Smoke::mf_ctor, 218, 33},	//1157 QSqlField::QSqlField(const QString&)
    {71, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 34},	//1158 QSqlField::Unknown (enum)
    {71, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 35},	//1159 QSqlField::Optional (enum)
    {71, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 36},	//1160 QSqlField::Required (enum)
    {71, 920, 0, 0, Smoke::mf_dtor, 0, 37 },	//1161 QSqlField::~QSqlField()
    {72, 78, 1104, 2, Smoke::mf_ctor, 222, 1},	//1162 QSqlIndex::QSqlIndex(const QString&, const QString&)
    {72, 78, 2004, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 222, 2},	//1163 QSqlIndex::QSqlIndex(const QSqlIndex&)
    {72, 441, 2004, 1, 0, 221, 3},	//1164 QSqlIndex::operator=(const QSqlIndex&)
    {72, 774, 314, 1, 0, 0, 4},	//1165 QSqlIndex::setCursorName(const QString&)
    {72, 269, 0, 0, Smoke::mf_const, 242, 5},	//1166 QSqlIndex::cursorName() const
    {72, 816, 314, 1, 0, 0, 6},	//1167 QSqlIndex::setName(const QString&)
    {72, 389, 0, 0, Smoke::mf_const, 242, 7},	//1168 QSqlIndex::name() const
    {72, 220, 1963, 1, 0, 0, 8},	//1169 QSqlIndex::append(const QSqlField&)
    {72, 220, 1939, 2, 0, 0, 9},	//1170 QSqlIndex::append(const QSqlField&, bool)
    {72, 357, 1084, 1, Smoke::mf_const, 390, 10},	//1171 QSqlIndex::isDescending(int) const
    {72, 787, 2006, 2, 0, 0, 11},	//1172 QSqlIndex::setDescending(int, bool)
    {72, 78, 0, 0, Smoke::mf_ctor, 222, 12},	//1173 QSqlIndex::QSqlIndex()
    {72, 78, 314, 1, Smoke::mf_ctor, 222, 13},	//1174 QSqlIndex::QSqlIndex(const QString&)
    {72, 921, 0, 0, Smoke::mf_dtor, 0, 14 },	//1175 QSqlIndex::~QSqlIndex()
    {73, 82, 2009, 1, Smoke::mf_ctor, 225, 1},	//1176 QSqlQuery::QSqlQuery(QSqlResult*)
    {73, 82, 2011, 2, Smoke::mf_ctor, 225, 2},	//1177 QSqlQuery::QSqlQuery(const QString&, QSqlDatabase)
    {73, 82, 2014, 1, Smoke::mf_ctor, 225, 3},	//1178 QSqlQuery::QSqlQuery(QSqlDatabase)
    {73, 82, 2016, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 225, 4},	//1179 QSqlQuery::QSqlQuery(const QSqlQuery&)
    {73, 441, 2016, 1, 0, 224, 5},	//1180 QSqlQuery::operator=(const QSqlQuery&)
    {73, 377, 0, 0, Smoke::mf_const, 390, 6},	//1181 QSqlQuery::isValid() const
    {73, 355, 0, 0, Smoke::mf_const, 390, 7},	//1182 QSqlQuery::isActive() const
    {73, 371, 1084, 1, Smoke::mf_const, 390, 8},	//1183 QSqlQuery::isNull(int) const
    {73, 223, 0, 0, Smoke::mf_const, 495, 9},	//1184 QSqlQuery::at() const
    {73, 383, 0, 0, Smoke::mf_const, 242, 10},	//1185 QSqlQuery::lastQuery() const
    {73, 394, 0, 0, Smoke::mf_const, 495, 11},	//1186 QSqlQuery::numRowsAffected() const
    {73, 381, 0, 0, Smoke::mf_const, 212, 12},	//1187 QSqlQuery::lastError() const
    {73, 376, 0, 0, Smoke::mf_const, 390, 13},	//1188 QSqlQuery::isSelect() const
    {73, 865, 0, 0, Smoke::mf_const, 495, 14},	//1189 QSqlQuery::size() const
    {73, 291, 0, 0, Smoke::mf_const, 453, 15},	//1190 QSqlQuery::driver() const
    {73, 750, 0, 0, Smoke::mf_const, 462, 16},	//1191 QSqlQuery::result() const
    {73, 364, 0, 0, Smoke::mf_const, 390, 17},	//1192 QSqlQuery::isForwardOnly() const
    {73, 727, 0, 0, Smoke::mf_const, 228, 18},	//1193 QSqlQuery::record() const
    {73, 797, 1959, 1, 0, 0, 19},	//1194 QSqlQuery::setForwardOnly(bool)
    {73, 302, 314, 1, 0, 390, 20},	//1195 QSqlQuery::exec(const QString&)
    {73, 910, 1084, 1, Smoke::mf_const, 281, 21},	//1196 QSqlQuery::value(int) const
    {73, 822, 1921, 1, 0, 0, 22},	//1197 QSqlQuery::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {73, 396, 0, 0, Smoke::mf_const, 199, 23},	//1198 QSqlQuery::numericalPrecisionPolicy() const
    {73, 761, 2006, 2, 0, 390, 24},	//1199 QSqlQuery::seek(int, bool)
    {73, 390, 0, 0, 0, 390, 25},	//1200 QSqlQuery::next()
    {73, 475, 0, 0, 0, 390, 26},	//1201 QSqlQuery::previous()
    {73, 323, 0, 0, 0, 390, 27},	//1202 QSqlQuery::first()
    {73, 380, 0, 0, 0, 390, 28},	//1203 QSqlQuery::last()
    {73, 247, 0, 0, 0, 0, 29},	//1204 QSqlQuery::clear()
    {73, 302, 0, 0, 0, 390, 30},	//1205 QSqlQuery::exec()
    {73, 304, 2018, 1, 0, 390, 31},	//1206 QSqlQuery::execBatch(QSqlQuery::BatchExecutionMode)
    {73, 473, 314, 1, 0, 390, 32},	//1207 QSqlQuery::prepare(const QString&)
    {73, 231, 2020, 3, 0, 0, 33},	//1208 QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {73, 231, 2024, 3, 0, 0, 34},	//1209 QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {73, 212, 2028, 2, 0, 0, 35},	//1210 QSqlQuery::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {73, 237, 314, 1, Smoke::mf_const, 281, 36},	//1211 QSqlQuery::boundValue(const QString&) const
    {73, 237, 1084, 1, Smoke::mf_const, 281, 37},	//1212 QSqlQuery::boundValue(int) const
    {73, 242, 0, 0, Smoke::mf_const, 154, 38},	//1213 QSqlQuery::boundValues() const
    {73, 306, 0, 0, Smoke::mf_const, 242, 39},	//1214 QSqlQuery::executedQuery() const
    {73, 382, 0, 0, Smoke::mf_const, 281, 40},	//1215 QSqlQuery::lastInsertId() const
    {73, 322, 0, 0, 0, 0, 41},	//1216 QSqlQuery::finish()
    {73, 391, 0, 0, 0, 390, 42},	//1217 QSqlQuery::nextResult()
    {73, 82, 0, 0, Smoke::mf_ctor, 225, 43},	//1218 QSqlQuery::QSqlQuery()
    {73, 82, 314, 1, Smoke::mf_ctor, 225, 44},	//1219 QSqlQuery::QSqlQuery(const QString&)
    {73, 761, 1084, 1, 0, 390, 45},	//1220 QSqlQuery::seek(int)
    {73, 304, 0, 0, 0, 390, 46},	//1221 QSqlQuery::execBatch()
    {73, 231, 2031, 2, 0, 0, 47},	//1222 QSqlQuery::bindValue(const QString&, const QVariant&)
    {73, 231, 2034, 2, 0, 0, 48},	//1223 QSqlQuery::bindValue(int, const QVariant&)
    {73, 212, 1998, 1, 0, 0, 49},	//1224 QSqlQuery::addBindValue(const QVariant&)
    {73, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 50},	//1225 QSqlQuery::ValuesAsRows (enum)
    {73, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 51},	//1226 QSqlQuery::ValuesAsColumns (enum)
    {73, 922, 0, 0, Smoke::mf_dtor, 0, 52 },	//1227 QSqlQuery::~QSqlQuery()
    {74, 386, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 423, 1},	//1228 QSqlQueryModel::metaObject() const
    {74, 714, 993, 1, Smoke::mf_virtual, 510, 2},	//1229 QSqlQueryModel::qt_metacast(const char*)
    {74, 891, 1224, 2, Smoke::mf_static, 242, 3},	//1230 QSqlQueryModel::tr(const char*, const char*)
    {74, 895, 1224, 2, Smoke::mf_static, 242, 4},	//1231 QSqlQueryModel::trUtf8(const char*, const char*)
    {74, 891, 39, 3, Smoke::mf_static, 242, 5},	//1232 QSqlQueryModel::tr(const char*, const char*, int)
    {74, 895, 39, 3, Smoke::mf_static, 242, 6},	//1233 QSqlQueryModel::trUtf8(const char*, const char*, int)
    {74, 712, 1869, 3, Smoke::mf_virtual, 495, 7},	//1234 QSqlQueryModel::qt_metacall(QMetaObject::Call, int, void**)
    {74, 86, 1937, 1, Smoke::mf_ctor, 227, 8},	//1235 QSqlQueryModel::QSqlQueryModel(QObject*)
    {74, 757, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 495, 9},	//1236 QSqlQueryModel::rowCount(const QModelIndex&) const
    {74, 252, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 495, 10},	//1237 QSqlQueryModel::columnCount(const QModelIndex&) const
    {74, 727, 1084, 1, Smoke::mf_const, 228, 11},	//1238 QSqlQueryModel::record(int) const
    {74, 727, 0, 0, Smoke::mf_const, 228, 12},	//1239 QSqlQueryModel::record() const
    {74, 271, 2037, 2, Smoke::mf_const|Smoke::mf_virtual, 281, 13},	//1240 QSqlQueryModel::data(const QModelIndex&, int) const
    {74, 333, 2040, 3, Smoke::mf_const|Smoke::mf_virtual, 281, 14},	//1241 QSqlQueryModel::headerData(int, Qt::Orientation, int) const
    {74, 802, 2044, 4, Smoke::mf_virtual, 390, 15},	//1242 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {74, 345, 12, 3, Smoke::mf_virtual, 390, 16},	//1243 QSqlQueryModel::insertColumns(int, int, const QModelIndex&)
    {74, 737, 12, 3, Smoke::mf_virtual, 390, 17},	//1244 QSqlQueryModel::removeColumns(int, int, const QModelIndex&)
    {74, 836, 2016, 1, 0, 0, 18},	//1245 QSqlQueryModel::setQuery(const QSqlQuery&)
    {74, 836, 2049, 2, 0, 0, 19},	//1246 QSqlQueryModel::setQuery(const QString&, const QSqlDatabase&)
    {74, 721, 0, 0, Smoke::mf_const, 223, 20},	//1247 QSqlQueryModel::query() const
    {74, 247, 0, 0, Smoke::mf_virtual, 0, 21},	//1248 QSqlQueryModel::clear()
    {74, 381, 0, 0, Smoke::mf_const, 212, 22},	//1249 QSqlQueryModel::lastError() const
    {74, 311, 5, 1, Smoke::mf_virtual, 0, 23},	//1250 QSqlQueryModel::fetchMore(const QModelIndex&)
    {74, 244, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 390, 24},	//1251 QSqlQueryModel::canFetchMore(const QModelIndex&) const
    {74, 722, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1252 QSqlQueryModel::queryChange()
    {74, 339, 5, 1, Smoke::mf_const|Smoke::mf_protected, 164, 26},	//1253 QSqlQueryModel::indexInQuery(const QModelIndex&) const
    {74, 810, 1961, 1, Smoke::mf_protected, 0, 27},	//1254 QSqlQueryModel::setLastError(const QSqlError&)
    {74, 891, 993, 1, Smoke::mf_static, 242, 28},	//1255 QSqlQueryModel::tr(const char*)
    {74, 895, 993, 1, Smoke::mf_static, 242, 29},	//1256 QSqlQueryModel::trUtf8(const char*)
    {74, 86, 0, 0, Smoke::mf_ctor, 227, 30},	//1257 QSqlQueryModel::QSqlQueryModel()
    {74, 757, 0, 0, Smoke::mf_const, 495, 31},	//1258 QSqlQueryModel::rowCount() const
    {74, 252, 0, 0, Smoke::mf_const, 495, 32},	//1259 QSqlQueryModel::columnCount() const
    {74, 271, 5, 1, Smoke::mf_const, 281, 33},	//1260 QSqlQueryModel::data(const QModelIndex&) const
    {74, 333, 2052, 2, Smoke::mf_const, 281, 34},	//1261 QSqlQueryModel::headerData(int, Qt::Orientation) const
    {74, 802, 2055, 3, 0, 390, 35},	//1262 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {74, 345, 2059, 2, 0, 390, 36},	//1263 QSqlQueryModel::insertColumns(int, int)
    {74, 737, 2059, 2, 0, 390, 37},	//1264 QSqlQueryModel::removeColumns(int, int)
    {74, 836, 314, 1, 0, 0, 38},	//1265 QSqlQueryModel::setQuery(const QString&)
    {74, 311, 0, 0, 0, 0, 39},	//1266 QSqlQueryModel::fetchMore()
    {74, 244, 0, 0, Smoke::mf_const, 390, 40},	//1267 QSqlQueryModel::canFetchMore() const
    {74, 872, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 422, 41},	//1268 QSqlQueryModel::staticMetaObject() const
    {74, 923, 0, 0, Smoke::mf_dtor, 0, 42 },	//1269 QSqlQueryModel::~QSqlQueryModel()
    {75, 88, 0, 0, Smoke::mf_ctor, 230, 1},	//1270 QSqlRecord::QSqlRecord()
    {75, 88, 2062, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 230, 2},	//1271 QSqlRecord::QSqlRecord(const QSqlRecord&)
    {75, 441, 2062, 1, 0, 229, 3},	//1272 QSqlRecord::operator=(const QSqlRecord&)
    {75, 443, 2062, 1, Smoke::mf_const, 390, 4},	//1273 QSqlRecord::operator==(const QSqlRecord&) const
    {75, 404, 2062, 1, Smoke::mf_const, 390, 5},	//1274 QSqlRecord::operator!=(const QSqlRecord&) const
    {75, 910, 1084, 1, Smoke::mf_const, 281, 6},	//1275 QSqlRecord::value(int) const
    {75, 910, 314, 1, Smoke::mf_const, 281, 7},	//1276 QSqlRecord::value(const QString&) const
    {75, 862, 2034, 2, 0, 0, 8},	//1277 QSqlRecord::setValue(int, const QVariant&)
    {75, 862, 2031, 2, 0, 0, 9},	//1278 QSqlRecord::setValue(const QString&, const QVariant&)
    {75, 818, 1084, 1, 0, 0, 10},	//1279 QSqlRecord::setNull(int)
    {75, 818, 314, 1, 0, 0, 11},	//1280 QSqlRecord::setNull(const QString&)
    {75, 371, 1084, 1, Smoke::mf_const, 390, 12},	//1281 QSqlRecord::isNull(int) const
    {75, 371, 314, 1, Smoke::mf_const, 390, 13},	//1282 QSqlRecord::isNull(const QString&) const
    {75, 341, 314, 1, Smoke::mf_const, 495, 14},	//1283 QSqlRecord::indexOf(const QString&) const
    {75, 319, 1084, 1, Smoke::mf_const, 242, 15},	//1284 QSqlRecord::fieldName(int) const
    {75, 315, 1084, 1, Smoke::mf_const, 216, 16},	//1285 QSqlRecord::field(int) const
    {75, 315, 314, 1, Smoke::mf_const, 216, 17},	//1286 QSqlRecord::field(const QString&) const
    {75, 365, 1084, 1, Smoke::mf_const, 390, 18},	//1287 QSqlRecord::isGenerated(int) const
    {75, 365, 314, 1, Smoke::mf_const, 390, 19},	//1288 QSqlRecord::isGenerated(const QString&) const
    {75, 799, 1929, 2, 0, 0, 20},	//1289 QSqlRecord::setGenerated(const QString&, bool)
    {75, 799, 2006, 2, 0, 0, 21},	//1290 QSqlRecord::setGenerated(int, bool)
    {75, 220, 1963, 1, 0, 0, 22},	//1291 QSqlRecord::append(const QSqlField&)
    {75, 745, 2064, 2, 0, 0, 23},	//1292 QSqlRecord::replace(int, const QSqlField&)
    {75, 343, 2064, 2, 0, 0, 24},	//1293 QSqlRecord::insert(int, const QSqlField&)
    {75, 735, 1084, 1, 0, 0, 25},	//1294 QSqlRecord::remove(int)
    {75, 363, 0, 0, Smoke::mf_const, 390, 26},	//1295 QSqlRecord::isEmpty() const
    {75, 260, 314, 1, Smoke::mf_const, 390, 27},	//1296 QSqlRecord::contains(const QString&) const
    {75, 247, 0, 0, 0, 0, 28},	//1297 QSqlRecord::clear()
    {75, 248, 0, 0, 0, 0, 29},	//1298 QSqlRecord::clearValues()
    {75, 262, 0, 0, Smoke::mf_const, 495, 30},	//1299 QSqlRecord::count() const
    {75, 924, 0, 0, Smoke::mf_dtor, 0, 31 },	//1300 QSqlRecord::~QSqlRecord()
    {76, 90, 0, 0, Smoke::mf_ctor, 232, 1},	//1301 QSqlRelation::QSqlRelation()
    {76, 90, 1965, 3, Smoke::mf_ctor, 232, 2},	//1302 QSqlRelation::QSqlRelation(const QString&, const QString&, const QString&)
    {76, 886, 0, 0, Smoke::mf_const, 242, 3},	//1303 QSqlRelation::tableName() const
    {76, 338, 0, 0, Smoke::mf_const, 242, 4},	//1304 QSqlRelation::indexColumn() const
    {76, 286, 0, 0, Smoke::mf_const, 242, 5},	//1305 QSqlRelation::displayColumn() const
    {76, 377, 0, 0, Smoke::mf_const, 390, 6},	//1306 QSqlRelation::isValid() const
    {76, 90, 2067, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 232, 7},	//1307 QSqlRelation::QSqlRelation(const QSqlRelation&)
    {76, 925, 0, 0, Smoke::mf_dtor, 0, 8 },	//1308 QSqlRelation::~QSqlRelation()
    {77, 93, 1937, 1, Smoke::mf_ctor|Smoke::mf_explicit, 233, 1},	//1309 QSqlRelationalDelegate::QSqlRelationalDelegate(QObject*)
    {77, 265, 1880, 3, Smoke::mf_const|Smoke::mf_virtual, 291, 2},	//1310 QSqlRelationalDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {77, 793, 2069, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 3},	//1311 QSqlRelationalDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {77, 814, 2072, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 4},	//1312 QSqlRelationalDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {77, 93, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 233, 5},	//1313 QSqlRelationalDelegate::QSqlRelationalDelegate()
    {77, 926, 0, 0, Smoke::mf_dtor, 0, 6 },	//1314 QSqlRelationalDelegate::~QSqlRelationalDelegate()
    {78, 386, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 423, 1},	//1315 QSqlRelationalTableModel::metaObject() const
    {78, 714, 993, 1, Smoke::mf_virtual, 510, 2},	//1316 QSqlRelationalTableModel::qt_metacast(const char*)
    {78, 891, 1224, 2, Smoke::mf_static, 242, 3},	//1317 QSqlRelationalTableModel::tr(const char*, const char*)
    {78, 895, 1224, 2, Smoke::mf_static, 242, 4},	//1318 QSqlRelationalTableModel::trUtf8(const char*, const char*)
    {78, 891, 39, 3, Smoke::mf_static, 242, 5},	//1319 QSqlRelationalTableModel::tr(const char*, const char*, int)
    {78, 895, 39, 3, Smoke::mf_static, 242, 6},	//1320 QSqlRelationalTableModel::trUtf8(const char*, const char*, int)
    {78, 712, 1869, 3, Smoke::mf_virtual, 495, 7},	//1321 QSqlRelationalTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {78, 95, 2076, 2, Smoke::mf_ctor, 234, 8},	//1322 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*, QSqlDatabase)
    {78, 271, 2037, 2, Smoke::mf_const|Smoke::mf_virtual, 281, 9},	//1323 QSqlRelationalTableModel::data(const QModelIndex&, int) const
    {78, 776, 1, 3, Smoke::mf_virtual, 390, 10},	//1324 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&, int)
    {78, 737, 12, 3, Smoke::mf_virtual, 390, 11},	//1325 QSqlRelationalTableModel::removeColumns(int, int, const QModelIndex&)
    {78, 247, 0, 0, Smoke::mf_virtual, 0, 12},	//1326 QSqlRelationalTableModel::clear()
    {78, 764, 0, 0, Smoke::mf_virtual, 390, 13},	//1327 QSqlRelationalTableModel::select()
    {78, 856, 314, 1, Smoke::mf_virtual, 0, 14},	//1328 QSqlRelationalTableModel::setTable(const QString&)
    {78, 844, 2079, 2, Smoke::mf_virtual, 0, 15},	//1329 QSqlRelationalTableModel::setRelation(int, const QSqlRelation&)
    {78, 731, 1084, 1, Smoke::mf_const, 231, 16},	//1330 QSqlRelationalTableModel::relation(int) const
    {78, 733, 1084, 1, Smoke::mf_const|Smoke::mf_virtual, 239, 17},	//1331 QSqlRelationalTableModel::relationModel(int) const
    {78, 808, 2082, 1, 0, 0, 18},	//1332 QSqlRelationalTableModel::setJoinMode(QSqlRelationalTableModel::JoinMode)
    {78, 753, 1084, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1333 QSqlRelationalTableModel::revertRow(int)
    {78, 765, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 20},	//1334 QSqlRelationalTableModel::selectStatement() const
    {78, 907, 2084, 2, Smoke::mf_protected|Smoke::mf_virtual, 390, 21},	//1335 QSqlRelationalTableModel::updateRowInTable(int, const QSqlRecord&)
    {78, 350, 2062, 1, Smoke::mf_protected|Smoke::mf_virtual, 390, 22},	//1336 QSqlRelationalTableModel::insertRowIntoTable(const QSqlRecord&)
    {78, 468, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 23},	//1337 QSqlRelationalTableModel::orderByClause() const
    {78, 891, 993, 1, Smoke::mf_static, 242, 24},	//1338 QSqlRelationalTableModel::tr(const char*)
    {78, 895, 993, 1, Smoke::mf_static, 242, 25},	//1339 QSqlRelationalTableModel::trUtf8(const char*)
    {78, 95, 0, 0, Smoke::mf_ctor, 234, 26},	//1340 QSqlRelationalTableModel::QSqlRelationalTableModel()
    {78, 95, 1937, 1, Smoke::mf_ctor, 234, 27},	//1341 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*)
    {78, 271, 5, 1, Smoke::mf_const, 281, 28},	//1342 QSqlRelationalTableModel::data(const QModelIndex&) const
    {78, 776, 2087, 2, 0, 390, 29},	//1343 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&)
    {78, 737, 2059, 2, 0, 390, 30},	//1344 QSqlRelationalTableModel::removeColumns(int, int)
    {78, 872, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 422, 31},	//1345 QSqlRelationalTableModel::staticMetaObject() const
    {78, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 32},	//1346 QSqlRelationalTableModel::InnerJoin (enum)
    {78, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 33},	//1347 QSqlRelationalTableModel::LeftJoin (enum)
    {78, 927, 0, 0, Smoke::mf_dtor, 0, 34 },	//1348 QSqlRelationalTableModel::~QSqlRelationalTableModel()
    {79, 329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 1},	//1349 QSqlResult::handle() const
    {79, 98, 2090, 1, Smoke::mf_ctor|Smoke::mf_protected, 236, 2},	//1350 QSqlResult::QSqlResult(const QSqlDriver*)
    {79, 223, 0, 0, Smoke::mf_const|Smoke::mf_protected, 495, 3},	//1351 QSqlResult::at() const
    {79, 383, 0, 0, Smoke::mf_const|Smoke::mf_protected, 242, 4},	//1352 QSqlResult::lastQuery() const
    {79, 381, 0, 0, Smoke::mf_const|Smoke::mf_protected, 212, 5},	//1353 QSqlResult::lastError() const
    {79, 377, 0, 0, Smoke::mf_const|Smoke::mf_protected, 390, 6},	//1354 QSqlResult::isValid() const
    {79, 355, 0, 0, Smoke::mf_const|Smoke::mf_protected, 390, 7},	//1355 QSqlResult::isActive() const
    {79, 376, 0, 0, Smoke::mf_const|Smoke::mf_protected, 390, 8},	//1356 QSqlResult::isSelect() const
    {79, 364, 0, 0, Smoke::mf_const|Smoke::mf_protected, 390, 9},	//1357 QSqlResult::isForwardOnly() const
    {79, 291, 0, 0, Smoke::mf_const|Smoke::mf_protected, 453, 10},	//1358 QSqlResult::driver() const
    {79, 768, 1084, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1359 QSqlResult::setAt(int)
    {79, 766, 1959, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1360 QSqlResult::setActive(bool)
    {79, 810, 1961, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//1361 QSqlResult::setLastError(const QSqlError&)
    {79, 836, 314, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1362 QSqlResult::setQuery(const QString&)
    {79, 850, 1959, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1363 QSqlResult::setSelect(bool)
    {79, 797, 1959, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1364 QSqlResult::setForwardOnly(bool)
    {79, 302, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 390, 17},	//1365 QSqlResult::exec()
    {79, 473, 314, 1, Smoke::mf_protected|Smoke::mf_virtual, 390, 18},	//1366 QSqlResult::prepare(const QString&)
    {79, 759, 314, 1, Smoke::mf_protected|Smoke::mf_virtual, 390, 19},	//1367 QSqlResult::savePrepare(const QString&)
    {79, 231, 2024, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1368 QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {79, 231, 2020, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1369 QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {79, 212, 2028, 2, Smoke::mf_protected, 0, 22},	//1370 QSqlResult::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {79, 237, 314, 1, Smoke::mf_const|Smoke::mf_protected, 281, 23},	//1371 QSqlResult::boundValue(const QString&) const
    {79, 237, 1084, 1, Smoke::mf_const|Smoke::mf_protected, 281, 24},	//1372 QSqlResult::boundValue(int) const
    {79, 234, 314, 1, Smoke::mf_const|Smoke::mf_protected, 82, 25},	//1373 QSqlResult::bindValueType(const QString&) const
    {79, 234, 1084, 1, Smoke::mf_const|Smoke::mf_protected, 82, 26},	//1374 QSqlResult::bindValueType(int) const
    {79, 239, 0, 0, Smoke::mf_const|Smoke::mf_protected, 495, 27},	//1375 QSqlResult::boundValueCount() const
    {79, 242, 0, 0, Smoke::mf_const|Smoke::mf_protected, 290, 28},	//1376 QSqlResult::boundValues() const
    {79, 306, 0, 0, Smoke::mf_const|Smoke::mf_protected, 242, 29},	//1377 QSqlResult::executedQuery() const
    {79, 240, 1084, 1, Smoke::mf_const|Smoke::mf_protected, 242, 30},	//1378 QSqlResult::boundValueName(int) const
    {79, 247, 0, 0, Smoke::mf_protected, 0, 31},	//1379 QSqlResult::clear()
    {79, 332, 0, 0, Smoke::mf_const|Smoke::mf_protected, 390, 32},	//1380 QSqlResult::hasOutValues() const
    {79, 236, 0, 0, Smoke::mf_const|Smoke::mf_protected, 237, 33},	//1381 QSqlResult::bindingSyntax() const
    {79, 271, 1084, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 281, 34},	//1382 QSqlResult::data(int) [pure virtual]
    {79, 371, 1084, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 390, 35},	//1383 QSqlResult::isNull(int) [pure virtual]
    {79, 748, 314, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 390, 36},	//1384 QSqlResult::reset(const QString&) [pure virtual]
    {79, 307, 1084, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 390, 37},	//1385 QSqlResult::fetch(int) [pure virtual]
    {79, 313, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 390, 38},	//1386 QSqlResult::fetchNext()
    {79, 314, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 390, 39},	//1387 QSqlResult::fetchPrevious()
    {79, 309, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 390, 40},	//1388 QSqlResult::fetchFirst() [pure virtual]
    {79, 310, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 390, 41},	//1389 QSqlResult::fetchLast() [pure virtual]
    {79, 865, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 42},	//1390 QSqlResult::size() [pure virtual]
    {79, 394, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 43},	//1391 QSqlResult::numRowsAffected() [pure virtual]
    {79, 727, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 228, 44},	//1392 QSqlResult::record() const
    {79, 382, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 281, 45},	//1393 QSqlResult::lastInsertId() const
    {79, 912, 2092, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//1394 QSqlResult::virtual_hook(int, void*)
    {79, 304, 1959, 1, Smoke::mf_protected, 390, 47},	//1395 QSqlResult::execBatch(bool)
    {79, 284, 0, 0, Smoke::mf_protected, 0, 48},	//1396 QSqlResult::detachFromResultSet()
    {79, 822, 1921, 1, Smoke::mf_protected, 0, 49},	//1397 QSqlResult::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {79, 396, 0, 0, Smoke::mf_const|Smoke::mf_protected, 199, 50},	//1398 QSqlResult::numericalPrecisionPolicy() const
    {79, 391, 0, 0, Smoke::mf_protected, 390, 51},	//1399 QSqlResult::nextResult()
    {79, 304, 0, 0, Smoke::mf_protected, 390, 52},	//1400 QSqlResult::execBatch()
    {79, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 53},	//1401 QSqlResult::PositionalBinding (enum)
    {79, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 54},	//1402 QSqlResult::NamedBinding (enum)
    {79, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 55},	//1403 QSqlResult::BatchOperation (enum)
    {79, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 56},	//1404 QSqlResult::DetachFromResultSet (enum)
    {79, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 57},	//1405 QSqlResult::SetNumericalPrecision (enum)
    {79, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 58},	//1406 QSqlResult::NextResult (enum)
    {79, 928, 0, 0, Smoke::mf_dtor, 0, 59 },	//1407 QSqlResult::~QSqlResult()
    {80, 386, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 423, 1},	//1408 QSqlTableModel::metaObject() const
    {80, 714, 993, 1, Smoke::mf_virtual, 510, 2},	//1409 QSqlTableModel::qt_metacast(const char*)
    {80, 891, 1224, 2, Smoke::mf_static, 242, 3},	//1410 QSqlTableModel::tr(const char*, const char*)
    {80, 895, 1224, 2, Smoke::mf_static, 242, 4},	//1411 QSqlTableModel::trUtf8(const char*, const char*)
    {80, 891, 39, 3, Smoke::mf_static, 242, 5},	//1412 QSqlTableModel::tr(const char*, const char*, int)
    {80, 895, 39, 3, Smoke::mf_static, 242, 6},	//1413 QSqlTableModel::trUtf8(const char*, const char*, int)
    {80, 712, 1869, 3, Smoke::mf_virtual, 495, 7},	//1414 QSqlTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {80, 100, 2076, 2, Smoke::mf_ctor, 239, 8},	//1415 QSqlTableModel::QSqlTableModel(QObject*, QSqlDatabase)
    {80, 764, 0, 0, Smoke::mf_virtual, 390, 9},	//1416 QSqlTableModel::select()
    {80, 856, 314, 1, Smoke::mf_virtual, 0, 10},	//1417 QSqlTableModel::setTable(const QString&)
    {80, 886, 0, 0, Smoke::mf_const, 242, 11},	//1418 QSqlTableModel::tableName() const
    {80, 324, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 110, 12},	//1419 QSqlTableModel::flags(const QModelIndex&) const
    {80, 271, 2037, 2, Smoke::mf_const|Smoke::mf_virtual, 281, 13},	//1420 QSqlTableModel::data(const QModelIndex&, int) const
    {80, 776, 1, 3, Smoke::mf_virtual, 390, 14},	//1421 QSqlTableModel::setData(const QModelIndex&, const QVariant&, int)
    {80, 333, 2040, 3, Smoke::mf_const|Smoke::mf_virtual, 281, 15},	//1422 QSqlTableModel::headerData(int, Qt::Orientation, int) const
    {80, 359, 5, 1, Smoke::mf_const, 390, 16},	//1423 QSqlTableModel::isDirty(const QModelIndex&) const
    {80, 247, 0, 0, Smoke::mf_virtual, 0, 17},	//1424 QSqlTableModel::clear()
    {80, 791, 2095, 1, Smoke::mf_virtual, 0, 18},	//1425 QSqlTableModel::setEditStrategy(QSqlTableModel::EditStrategy)
    {80, 296, 0, 0, Smoke::mf_const, 240, 19},	//1426 QSqlTableModel::editStrategy() const
    {80, 478, 0, 0, Smoke::mf_const, 220, 20},	//1427 QSqlTableModel::primaryKey() const
    {80, 275, 0, 0, Smoke::mf_const, 202, 21},	//1428 QSqlTableModel::database() const
    {80, 317, 314, 1, Smoke::mf_const, 495, 22},	//1429 QSqlTableModel::fieldIndex(const QString&) const
    {80, 867, 16, 2, Smoke::mf_virtual, 0, 23},	//1430 QSqlTableModel::sort(int, Qt::SortOrder)
    {80, 852, 16, 2, Smoke::mf_virtual, 0, 24},	//1431 QSqlTableModel::setSort(int, Qt::SortOrder)
    {80, 321, 0, 0, Smoke::mf_const, 242, 25},	//1432 QSqlTableModel::filter() const
    {80, 795, 314, 1, Smoke::mf_virtual, 0, 26},	//1433 QSqlTableModel::setFilter(const QString&)
    {80, 757, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 495, 27},	//1434 QSqlTableModel::rowCount(const QModelIndex&) const
    {80, 737, 12, 3, Smoke::mf_virtual, 390, 28},	//1435 QSqlTableModel::removeColumns(int, int, const QModelIndex&)
    {80, 742, 12, 3, Smoke::mf_virtual, 390, 29},	//1436 QSqlTableModel::removeRows(int, int, const QModelIndex&)
    {80, 352, 12, 3, Smoke::mf_virtual, 390, 30},	//1437 QSqlTableModel::insertRows(int, int, const QModelIndex&)
    {80, 348, 2084, 2, 0, 390, 31},	//1438 QSqlTableModel::insertRecord(int, const QSqlRecord&)
    {80, 842, 2084, 2, 0, 390, 32},	//1439 QSqlTableModel::setRecord(int, const QSqlRecord&)
    {80, 753, 1084, 1, Smoke::mf_virtual, 0, 33},	//1440 QSqlTableModel::revertRow(int)
    {80, 877, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 390, 34},	//1441 QSqlTableModel::submit()
    {80, 751, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//1442 QSqlTableModel::revert()
    {80, 878, 0, 0, Smoke::mf_slot, 390, 36},	//1443 QSqlTableModel::submitAll()
    {80, 752, 0, 0, Smoke::mf_slot, 0, 37},	//1444 QSqlTableModel::revertAll()
    {80, 479, 2097, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1445 QSqlTableModel::primeInsert(int, QSqlRecord&)
    {80, 226, 2100, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1446 QSqlTableModel::beforeInsert(QSqlRecord&)
    {80, 228, 2097, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1447 QSqlTableModel::beforeUpdate(int, QSqlRecord&)
    {80, 224, 1084, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1448 QSqlTableModel::beforeDelete(int)
    {80, 907, 2084, 2, Smoke::mf_protected|Smoke::mf_virtual, 390, 42},	//1449 QSqlTableModel::updateRowInTable(int, const QSqlRecord&)
    {80, 350, 2062, 1, Smoke::mf_protected|Smoke::mf_virtual, 390, 43},	//1450 QSqlTableModel::insertRowIntoTable(const QSqlRecord&)
    {80, 282, 1084, 1, Smoke::mf_protected|Smoke::mf_virtual, 390, 44},	//1451 QSqlTableModel::deleteRowFromTable(int)
    {80, 468, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 45},	//1452 QSqlTableModel::orderByClause() const
    {80, 765, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 46},	//1453 QSqlTableModel::selectStatement() const
    {80, 834, 2004, 1, Smoke::mf_protected, 0, 47},	//1454 QSqlTableModel::setPrimaryKey(const QSqlIndex&)
    {80, 836, 2016, 1, Smoke::mf_protected, 0, 48},	//1455 QSqlTableModel::setQuery(const QSqlQuery&)
    {80, 339, 5, 1, Smoke::mf_const|Smoke::mf_protected, 164, 49},	//1456 QSqlTableModel::indexInQuery(const QModelIndex&) const
    {80, 891, 993, 1, Smoke::mf_static, 242, 50},	//1457 QSqlTableModel::tr(const char*)
    {80, 895, 993, 1, Smoke::mf_static, 242, 51},	//1458 QSqlTableModel::trUtf8(const char*)
    {80, 100, 0, 0, Smoke::mf_ctor, 239, 52},	//1459 QSqlTableModel::QSqlTableModel()
    {80, 100, 1937, 1, Smoke::mf_ctor, 239, 53},	//1460 QSqlTableModel::QSqlTableModel(QObject*)
    {80, 271, 5, 1, Smoke::mf_const, 281, 54},	//1461 QSqlTableModel::data(const QModelIndex&) const
    {80, 776, 2087, 2, 0, 390, 55},	//1462 QSqlTableModel::setData(const QModelIndex&, const QVariant&)
    {80, 333, 2052, 2, Smoke::mf_const, 281, 56},	//1463 QSqlTableModel::headerData(int, Qt::Orientation) const
    {80, 757, 0, 0, Smoke::mf_const, 495, 57},	//1464 QSqlTableModel::rowCount() const
    {80, 737, 2059, 2, 0, 390, 58},	//1465 QSqlTableModel::removeColumns(int, int)
    {80, 742, 2059, 2, 0, 390, 59},	//1466 QSqlTableModel::removeRows(int, int)
    {80, 352, 2059, 2, 0, 390, 60},	//1467 QSqlTableModel::insertRows(int, int)
    {80, 872, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 422, 61},	//1468 QSqlTableModel::staticMetaObject() const
    {80, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 62},	//1469 QSqlTableModel::OnFieldChange (enum)
    {80, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 63},	//1470 QSqlTableModel::OnRowChange (enum)
    {80, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 64},	//1471 QSqlTableModel::OnManualSubmit (enum)
    {80, 929, 0, 0, Smoke::mf_dtor, 0, 65 },	//1472 QSqlTableModel::~QSqlTableModel()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    31,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    44,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    80,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    174,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    217,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    269,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    354,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    358,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    423,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    481,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    498,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    499,  // QGlobalSpace::operator!=(QChar, QChar)
    519,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    604,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    613,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    670,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    676,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    759,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    794,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    799,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    387,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    441,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    477,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    589,  // QGlobalSpace::operator!=(QBool, bool)
    649,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    391,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    442,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    583,  // QGlobalSpace::operator!=(bool, QBool)
    660,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    710,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    777,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    55,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    58,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    114,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    116,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    125,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    164,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    169,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    171,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    225,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    237,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    267,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    282,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    314,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    330,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    341,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    351,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    395,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    467,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    479,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    531,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    588,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    619,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    648,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    651,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    669,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    693,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    716,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    744,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    782,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    25,  // QGlobalSpace::operator*(const QPoint&, double)
    33,  // QGlobalSpace::operator*(const QSize&, float)
    63,  // QGlobalSpace::operator*(const QVector2D&, float)
    102,  // QGlobalSpace::operator*(const QVector4D&, float)
    233,  // QGlobalSpace::operator*(const QVector3D&, float)
    373,  // QGlobalSpace::operator*(const QTransform&, float)
    427,  // QGlobalSpace::operator*(const QPoint&, float)
    444,  // QGlobalSpace::operator*(const QMatrix4x4&, float)
    486,  // QGlobalSpace::operator*(const QQuaternion&, float)
    683,  // QGlobalSpace::operator*(const QPointF&, float)
    762,  // QGlobalSpace::operator*(const QPoint&, int)
    804,  // QGlobalSpace::operator*(const QSizeF&, float)
    0,
    29,  // QGlobalSpace::operator*(float, const QQuaternion&)
    43,  // QGlobalSpace::operator*(float, const QMatrix4x4&)
    46,  // QGlobalSpace::operator*(float, const QVector3D&)
    75,  // QGlobalSpace::operator*(float, const QVector2D&)
    112,  // QGlobalSpace::operator*(float, const QVector4D&)
    445,  // QGlobalSpace::operator*(float, const QPointF&)
    447,  // QGlobalSpace::operator*(float, const QSize&)
    538,  // QGlobalSpace::operator*(double, const QPoint&)
    639,  // QGlobalSpace::operator*(float, const QSizeF&)
    664,  // QGlobalSpace::operator*(int, const QPoint&)
    786,  // QGlobalSpace::operator*(float, const QPoint&)
    0,
    45,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    132,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    167,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    195,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    235,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    260,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    637,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    641,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    712,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    781,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    101,  // QGlobalSpace::operator+(QChar, const QString&)
    311,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    400,  // QGlobalSpace::operator+(const QTransform&, float)
    549,  // QGlobalSpace::operator+(const QByteArray&, char)
    602,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    0,
    191,  // QGlobalSpace::operator+(char, const QByteArray&)
    457,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    713,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    792,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    178,  // QGlobalSpace::operator+(const QString&, const char*)
    194,  // QGlobalSpace::operator+(const char*, const QString&)
    320,  // QGlobalSpace::operator+(const QString&, char)
    433,  // QGlobalSpace::operator+(const QString&, const QString&)
    496,  // QGlobalSpace::operator+(char, const QString&)
    0,
    74,  // QGlobalSpace::operator-(const QQuaternion&)
    109,  // QGlobalSpace::operator-(const QVector2D&)
    306,  // QGlobalSpace::operator-(const QPointF&)
    417,  // QGlobalSpace::operator-(const QVector4D&)
    468,  // QGlobalSpace::operator-(const QMatrix4x4&)
    673,  // QGlobalSpace::operator-(const QPoint&)
    724,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    51,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    54,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    71,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    278,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    593,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    699,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    747,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    749,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    764,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    193,  // QGlobalSpace::operator/(const QSize&, float)
    238,  // QGlobalSpace::operator/(const QVector2D&, float)
    401,  // QGlobalSpace::operator/(const QVector3D&, float)
    478,  // QGlobalSpace::operator/(const QSizeF&, float)
    564,  // QGlobalSpace::operator/(const QPoint&, float)
    565,  // QGlobalSpace::operator/(const QTransform&, float)
    592,  // QGlobalSpace::operator/(const QMatrix4x4&, float)
    606,  // QGlobalSpace::operator/(const QPointF&, float)
    646,  // QGlobalSpace::operator/(const QVector4D&, float)
    677,  // QGlobalSpace::operator/(const QQuaternion&, float)
    0,
    221,  // QGlobalSpace::operator<(QChar, QChar)
    290,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    378,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    700,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    343,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    635,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    28,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    32,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    36,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    38,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    41,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    47,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    49,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    64,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    91,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    93,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    94,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    111,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    113,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    117,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    118,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    131,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    138,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    155,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    161,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    176,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    179,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    181,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    183,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    187,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    207,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    212,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    220,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    226,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    263,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    288,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    293,  // QGlobalSpace::operator<<(QDebug, const QSqlField&)
    309,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    313,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    316,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    331,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    334,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    339,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    357,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    376,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    379,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    388,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    398,  // QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    406,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    410,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    415,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    418,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    454,  // QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    476,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    483,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    484,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    488,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    494,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    495,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    509,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    515,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    525,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    532,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    541,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    542,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    545,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    547,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    548,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    551,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    559,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    563,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    573,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    581,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    586,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    603,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    607,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    609,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    615,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    621,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    625,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    631,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    638,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    643,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    645,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    653,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    655,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    668,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    701,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    703,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    705,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    722,  // QGlobalSpace::operator<<(QDebug, const QSqlError&)
    728,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    729,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    755,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    765,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    769,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    779,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    780,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    785,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    800,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    802,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    806,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    78,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    180,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    197,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    236,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    384,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    443,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    580,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    665,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    697,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    730,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    461,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    557,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    569,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    642,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    452,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    605,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    61,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    73,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    82,  // QGlobalSpace::operator==(QBool, QBool)
    89,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    173,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    211,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    222,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    254,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    328,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    368,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    424,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    453,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    473,  // QGlobalSpace::operator==(QChar, QChar)
    493,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    503,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    512,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    518,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    582,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    686,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    784,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    803,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    362,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    520,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    620,  // QGlobalSpace::operator==(QString::Null, const QString&)
    626,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    709,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    783,  // QGlobalSpace::operator==(QBool, bool)
    0,
    198,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    265,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    287,  // QGlobalSpace::operator==(const QString&, QString::Null)
    448,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    456,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    611,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    737,  // QGlobalSpace::operator==(bool, QBool)
    0,
    283,  // QGlobalSpace::operator>(QChar, QChar)
    394,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    451,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    652,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    67,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    576,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    72,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    321,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    367,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    555,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    227,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    284,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    37,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    96,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    148,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    153,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    175,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    186,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    192,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    200,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    205,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    206,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    208,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    240,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    245,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    277,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    281,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    295,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    335,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    375,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    389,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    397,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    405,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    413,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    416,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    421,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    429,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    450,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    458,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    462,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    491,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    513,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    516,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    529,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    567,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    577,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    594,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    624,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    628,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    632,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    633,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    674,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    702,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    704,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    711,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    717,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    731,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    733,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    734,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    736,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    751,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    758,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    789,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    472,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    684,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    22,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    24,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    30,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    34,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    35,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    39,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    40,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    48,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    53,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    56,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    60,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    62,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    65,  // QGlobalSpace::operator|(QDir::Filter, int)
    70,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    76,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    77,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    83,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    84,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    85,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    86,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    88,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    92,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    95,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    99,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    100,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    104,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    110,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    115,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    120,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    122,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    129,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    136,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    137,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    139,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    140,  // QGlobalSpace::operator|(Qt::DropAction, int)
    147,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    151,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    152,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    154,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    156,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    157,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    159,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    160,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    162,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    163,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    166,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    170,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    172,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    177,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    182,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    184,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    185,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    188,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    189,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    190,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    196,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    199,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    209,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    213,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    215,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    216,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    218,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    219,  // QGlobalSpace::operator|(QFile::Permission, int)
    228,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    231,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    232,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    234,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    241,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    242,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    243,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    244,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    246,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    249,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    250,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    261,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    266,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    268,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    273,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    274,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    275,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    276,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    279,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    280,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    286,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    291,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    294,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    303,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    304,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    305,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    308,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    312,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    315,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    317,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    322,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    324,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    333,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    338,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    340,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    342,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    347,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    348,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    350,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    352,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    353,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    355,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    359,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    360,  // QGlobalSpace::operator|(Qt::WindowType, int)
    361,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    372,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    374,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    377,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    380,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    381,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    383,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    385,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    386,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    390,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    392,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    393,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    396,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    399,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    404,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    407,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    409,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    412,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    420,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    428,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    431,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    432,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    434,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    437,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    446,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    449,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    459,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    460,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    463,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    464,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    466,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    469,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    470,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    471,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    474,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    485,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    489,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    492,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    497,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    500,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    502,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    507,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    508,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    510,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    511,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    514,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    517,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    521,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    523,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    524,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    527,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    530,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    534,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    540,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    546,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    550,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    552,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    553,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    556,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    562,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    568,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    571,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    572,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    575,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    579,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    587,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    590,  // QGlobalSpace::operator|(Qt::WindowState, int)
    591,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    608,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    610,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    612,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    614,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    616,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    617,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    622,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    623,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    629,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    636,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    644,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    654,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    656,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    658,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    659,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    663,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    667,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    671,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    678,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    679,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    681,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    682,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    685,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    687,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    692,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    706,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    708,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    715,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    718,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    719,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    720,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    723,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    725,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    727,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    732,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    735,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    741,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    742,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    743,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    745,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    746,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    748,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    750,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    757,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    760,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    763,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    768,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    771,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    772,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    774,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    775,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    776,  // QGlobalSpace::operator|(Qt::Orientation, int)
    778,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    790,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    791,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    796,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    797,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    798,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    805,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
    59,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    66,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    224,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    505,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    533,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    560,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    596,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    0,
    202,  // QGlobalSpace::qFuzzyCompare(double, double)
    566,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    329,  // QGlobalSpace::qFuzzyIsNull(double)
    770,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    21,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    87,  // QGlobalSpace::qHash(const QStringRef&)
    119,  // QGlobalSpace::qHash(const QBitArray&)
    230,  // QGlobalSpace::qHash(const QByteArray&)
    323,  // QGlobalSpace::qHash(QChar)
    419,  // QGlobalSpace::qHash(const QUrl&)
    522,  // QGlobalSpace::qHash(const QModelIndex&)
    707,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    0,
    52,  // QGlobalSpace::qHash(unsigned char)
    124,  // QGlobalSpace::qHash(const QString&)
    126,  // QGlobalSpace::qHash(unsigned short)
    128,  // QGlobalSpace::qHash(long)
    130,  // QGlobalSpace::qHash(long long)
    310,  // QGlobalSpace::qHash(unsigned long long)
    482,  // QGlobalSpace::qHash(signed char)
    543,  // QGlobalSpace::qHash(short)
    584,  // QGlobalSpace::qHash(unsigned long)
    647,  // QGlobalSpace::qHash(unsigned int)
    698,  // QGlobalSpace::qHash(int)
    754,  // QGlobalSpace::qHash(char)
    0,
    289,  // QGlobalSpace::qIntCast(float)
    369,  // QGlobalSpace::qIntCast(double)
    0,
    422,  // QGlobalSpace::qIsFinite(float)
    761,  // QGlobalSpace::qIsFinite(double)
    0,
    27,  // QGlobalSpace::qIsInf(double)
    150,  // QGlobalSpace::qIsInf(float)
    0,
    201,  // QGlobalSpace::qIsNaN(float)
    539,  // QGlobalSpace::qIsNaN(double)
    0,
    204,  // QGlobalSpace::qIsNull(float)
    363,  // QGlobalSpace::qIsNull(double)
    0,
    950,  // QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    994,  // QSqlDatabase::QSqlDatabase(QSqlDriver*)
    0,
    1176,  // QSqlQuery::QSqlQuery(QSqlResult*)
    1178,  // QSqlQuery::QSqlQuery(QSqlDatabase)
    1179,  // QSqlQuery::QSqlQuery(const QSqlQuery&)
    0,
    1222,  // QSqlQuery::bindValue(const QString&, const QVariant&)
    1223,  // QSqlQuery::bindValue(int, const QVariant&)
    0,
    1208,  // QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    1209,  // QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    1211,  // QSqlQuery::boundValue(const QString&) const
    1212,  // QSqlQuery::boundValue(int) const
    0,
    1285,  // QSqlRecord::field(int) const
    1286,  // QSqlRecord::field(const QString&) const
    0,
    1287,  // QSqlRecord::isGenerated(int) const
    1288,  // QSqlRecord::isGenerated(const QString&) const
    0,
    1281,  // QSqlRecord::isNull(int) const
    1282,  // QSqlRecord::isNull(const QString&) const
    0,
    1289,  // QSqlRecord::setGenerated(const QString&, bool)
    1290,  // QSqlRecord::setGenerated(int, bool)
    0,
    1279,  // QSqlRecord::setNull(int)
    1280,  // QSqlRecord::setNull(const QString&)
    0,
    1277,  // QSqlRecord::setValue(int, const QVariant&)
    1278,  // QSqlRecord::setValue(const QString&, const QVariant&)
    0,
    1275,  // QSqlRecord::value(int) const
    1276,  // QSqlRecord::value(const QString&) const
    0,
    1368,  // QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    1369,  // QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    1373,  // QSqlResult::bindValueType(const QString&) const
    1374,  // QSqlResult::bindValueType(int) const
    0,
    1371,  // QSqlResult::boundValue(const QString&) const
    1372,  // QSqlResult::boundValue(int) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {21, 21, 905},	// QGlobalSpace::LicensedActiveQt
    {21, 22, 908},	// QGlobalSpace::LicensedCore
    {21, 23, 907},	// QGlobalSpace::LicensedDBus
    {21, 24, 915},	// QGlobalSpace::LicensedDeclarative
    {21, 25, 902},	// QGlobalSpace::LicensedGui
    {21, 26, 913},	// QGlobalSpace::LicensedHelp
    {21, 27, 910},	// QGlobalSpace::LicensedMultimedia
    {21, 28, 909},	// QGlobalSpace::LicensedNetwork
    {21, 29, 892},	// QGlobalSpace::LicensedOpenGL
    {21, 30, 894},	// QGlobalSpace::LicensedOpenVG
    {21, 31, 906},	// QGlobalSpace::LicensedQt3Support
    {21, 32, 896},	// QGlobalSpace::LicensedQt3SupportLight
    {21, 33, 895},	// QGlobalSpace::LicensedScript
    {21, 34, 912},	// QGlobalSpace::LicensedScriptTools
    {21, 35, 904},	// QGlobalSpace::LicensedSql
    {21, 36, 893},	// QGlobalSpace::LicensedSvg
    {21, 37, 911},	// QGlobalSpace::LicensedTest
    {21, 38, 914},	// QGlobalSpace::LicensedXml
    {21, 39, 903},	// QGlobalSpace::LicensedXmlPatterns
    {21, 103, 899},	// QGlobalSpace::QtCriticalMsg
    {21, 104, 897},	// QGlobalSpace::QtDebugMsg
    {21, 105, 900},	// QGlobalSpace::QtFatalMsg
    {21, 106, 901},	// QGlobalSpace::QtSystemMsg
    {21, 107, 898},	// QGlobalSpace::QtWarningMsg
    {21, 110, 870},	// QGlobalSpace::SP_CustomCameraCaptureButton
    {21, 111, 871},	// QGlobalSpace::SP_CustomCameraCaptureButtonPressed
    {21, 112, 872},	// QGlobalSpace::SP_CustomCameraPauseButton
    {21, 113, 873},	// QGlobalSpace::SP_CustomCameraPauseButtonPressed
    {21, 114, 874},	// QGlobalSpace::SP_CustomCameraPlayButton
    {21, 115, 875},	// QGlobalSpace::SP_CustomCameraPlayButtonPressed
    {21, 116, 876},	// QGlobalSpace::SP_CustomCameraRecButton
    {21, 117, 877},	// QGlobalSpace::SP_CustomCameraRecButtonPressed
    {21, 118, 878},	// QGlobalSpace::SP_CustomCameraStopButton
    {21, 119, 879},	// QGlobalSpace::SP_CustomCameraStopButtonPressed
    {21, 120, 880},	// QGlobalSpace::SP_CustomTabAll
    {21, 121, 881},	// QGlobalSpace::SP_CustomTabArtist
    {21, 122, 882},	// QGlobalSpace::SP_CustomTabFavourite
    {21, 123, 883},	// QGlobalSpace::SP_CustomTabGenre
    {21, 124, 884},	// QGlobalSpace::SP_CustomTabLanguage
    {21, 125, 885},	// QGlobalSpace::SP_CustomTabMusicAlbum
    {21, 126, 886},	// QGlobalSpace::SP_CustomTabPhotosAlbum
    {21, 127, 887},	// QGlobalSpace::SP_CustomTabPhotosAll
    {21, 128, 888},	// QGlobalSpace::SP_CustomTabPlaylist
    {21, 129, 889},	// QGlobalSpace::SP_CustomTabServices
    {21, 130, 890},	// QGlobalSpace::SP_CustomTabSongs
    {21, 131, 891},	// QGlobalSpace::SP_CustomTabVideos
    {21, 132, 807},	// QGlobalSpace::SP_CustomToolBarAdd
    {21, 133, 808},	// QGlobalSpace::SP_CustomToolBarAddDetail
    {21, 134, 809},	// QGlobalSpace::SP_CustomToolBarAgain
    {21, 135, 810},	// QGlobalSpace::SP_CustomToolBarAgenda
    {21, 136, 811},	// QGlobalSpace::SP_CustomToolBarAudioOff
    {21, 137, 812},	// QGlobalSpace::SP_CustomToolBarAudioOn
    {21, 138, 813},	// QGlobalSpace::SP_CustomToolBarBack
    {21, 139, 814},	// QGlobalSpace::SP_CustomToolBarBluetoothOff
    {21, 140, 815},	// QGlobalSpace::SP_CustomToolBarBluetoothOn
    {21, 141, 816},	// QGlobalSpace::SP_CustomToolBarCancel
    {21, 142, 817},	// QGlobalSpace::SP_CustomToolBarDelete
    {21, 143, 818},	// QGlobalSpace::SP_CustomToolBarDone
    {21, 144, 819},	// QGlobalSpace::SP_CustomToolBarEdit
    {21, 145, 820},	// QGlobalSpace::SP_CustomToolBarEditDisabled
    {21, 146, 821},	// QGlobalSpace::SP_CustomToolBarEmailSend
    {21, 147, 822},	// QGlobalSpace::SP_CustomToolBarEmergencyCall
    {21, 148, 823},	// QGlobalSpace::SP_CustomToolBarFavouriteAdd
    {21, 149, 824},	// QGlobalSpace::SP_CustomToolBarFavouriteRemove
    {21, 150, 825},	// QGlobalSpace::SP_CustomToolBarFavourites
    {21, 151, 826},	// QGlobalSpace::SP_CustomToolBarGo
    {21, 152, 827},	// QGlobalSpace::SP_CustomToolBarHome
    {21, 153, 828},	// QGlobalSpace::SP_CustomToolBarImageTools
    {21, 154, 829},	// QGlobalSpace::SP_CustomToolBarList
    {21, 155, 830},	// QGlobalSpace::SP_CustomToolBarLock
    {21, 156, 831},	// QGlobalSpace::SP_CustomToolBarLogs
    {21, 157, 832},	// QGlobalSpace::SP_CustomToolBarMenu
    {21, 158, 833},	// QGlobalSpace::SP_CustomToolBarNewContact
    {21, 159, 834},	// QGlobalSpace::SP_CustomToolBarNewGroup
    {21, 160, 835},	// QGlobalSpace::SP_CustomToolBarNextFrame
    {21, 161, 836},	// QGlobalSpace::SP_CustomToolBarNowPlay
    {21, 162, 837},	// QGlobalSpace::SP_CustomToolBarOptions
    {21, 163, 838},	// QGlobalSpace::SP_CustomToolBarOther
    {21, 164, 839},	// QGlobalSpace::SP_CustomToolBarOvi
    {21, 165, 840},	// QGlobalSpace::SP_CustomToolBarPreviousFrame
    {21, 166, 841},	// QGlobalSpace::SP_CustomToolBarRead
    {21, 167, 843},	// QGlobalSpace::SP_CustomToolBarRedo
    {21, 168, 842},	// QGlobalSpace::SP_CustomToolBarRedoDisabled
    {21, 169, 844},	// QGlobalSpace::SP_CustomToolBarRefresh
    {21, 170, 845},	// QGlobalSpace::SP_CustomToolBarRemoveDetail
    {21, 171, 846},	// QGlobalSpace::SP_CustomToolBarRemoveDisabled
    {21, 172, 847},	// QGlobalSpace::SP_CustomToolBarRepeat
    {21, 173, 848},	// QGlobalSpace::SP_CustomToolBarRepeatOff
    {21, 174, 849},	// QGlobalSpace::SP_CustomToolBarRepeatOne
    {21, 175, 850},	// QGlobalSpace::SP_CustomToolBarSearch
    {21, 176, 851},	// QGlobalSpace::SP_CustomToolBarSearchDisabled
    {21, 177, 852},	// QGlobalSpace::SP_CustomToolBarSelectContent
    {21, 178, 853},	// QGlobalSpace::SP_CustomToolBarSelfTimer
    {21, 179, 854},	// QGlobalSpace::SP_CustomToolBarSend
    {21, 180, 855},	// QGlobalSpace::SP_CustomToolBarSendDimmed
    {21, 181, 856},	// QGlobalSpace::SP_CustomToolBarShare
    {21, 182, 857},	// QGlobalSpace::SP_CustomToolBarShift
    {21, 183, 858},	// QGlobalSpace::SP_CustomToolBarShuffle
    {21, 184, 859},	// QGlobalSpace::SP_CustomToolBarShuffleOff
    {21, 185, 860},	// QGlobalSpace::SP_CustomToolBarSignalOff
    {21, 186, 861},	// QGlobalSpace::SP_CustomToolBarSignalOn
    {21, 187, 862},	// QGlobalSpace::SP_CustomToolBarSync
    {21, 188, 863},	// QGlobalSpace::SP_CustomToolBarTools
    {21, 189, 864},	// QGlobalSpace::SP_CustomToolBarTrim
    {21, 190, 865},	// QGlobalSpace::SP_CustomToolBarUnlock
    {21, 191, 866},	// QGlobalSpace::SP_CustomToolBarUnmark
    {21, 192, 867},	// QGlobalSpace::SP_CustomToolBarView
    {21, 193, 868},	// QGlobalSpace::SP_CustomToolBarWlanOff
    {21, 194, 869},	// QGlobalSpace::SP_CustomToolBarWlanOn
    {21, 406, -1},	// QGlobalSpace::operator!=##
    {21, 407, -22},	// QGlobalSpace::operator!=#$
    {21, 408, -28},	// QGlobalSpace::operator!=$#
    {21, 409, 440},	// QGlobalSpace::operator!=$$
    {21, 411, 19},	// QGlobalSpace::operator&##
    {21, 413, -35},	// QGlobalSpace::operator*##
    {21, 414, -65},	// QGlobalSpace::operator*#$
    {21, 415, -78},	// QGlobalSpace::operator*$#
    {21, 417, -90},	// QGlobalSpace::operator+##
    {21, 418, -101},	// QGlobalSpace::operator+#$
    {21, 419, -107},	// QGlobalSpace::operator+$#
    {21, 420, -112},	// QGlobalSpace::operator+$$
    {21, 422, -118},	// QGlobalSpace::operator-#
    {21, 423, -126},	// QGlobalSpace::operator-##
    {21, 424, 436},	// QGlobalSpace::operator-#$
    {21, 426, -136},	// QGlobalSpace::operator/#$
    {21, 428, -147},	// QGlobalSpace::operator<##
    {21, 429, 158},	// QGlobalSpace::operator<#$
    {21, 430, -152},	// QGlobalSpace::operator<$#
    {21, 431, 439},	// QGlobalSpace::operator<$$
    {21, 433, -155},	// QGlobalSpace::operator<<##
    {21, 434, -252},	// QGlobalSpace::operator<<#$
    {21, 435, 146},	// QGlobalSpace::operator<<#?
    {21, 437, -263},	// QGlobalSpace::operator<=##
    {21, 438, 356},	// QGlobalSpace::operator<=#$
    {21, 439, -268},	// QGlobalSpace::operator<=$#
    {21, 440, 214},	// QGlobalSpace::operator<=$$
    {21, 445, -271},	// QGlobalSpace::operator==##
    {21, 446, -293},	// QGlobalSpace::operator==#$
    {21, 447, -300},	// QGlobalSpace::operator==$#
    {21, 448, 726},	// QGlobalSpace::operator==$$
    {21, 450, -308},	// QGlobalSpace::operator>##
    {21, 451, 634},	// QGlobalSpace::operator>#$
    {21, 452, -313},	// QGlobalSpace::operator>$#
    {21, 453, 630},	// QGlobalSpace::operator>$$
    {21, 455, -316},	// QGlobalSpace::operator>=##
    {21, 456, 537},	// QGlobalSpace::operator>=#$
    {21, 457, -321},	// QGlobalSpace::operator>=$#
    {21, 458, 752},	// QGlobalSpace::operator>=$$
    {21, 460, -324},	// QGlobalSpace::operator>>##
    {21, 461, -376},	// QGlobalSpace::operator>>#$
    {21, 462, 595},	// QGlobalSpace::operator>>#?
    {21, 464, 370},	// QGlobalSpace::operator^##
    {21, 466, 455},	// QGlobalSpace::operator|##
    {21, 467, -379},	// QGlobalSpace::operator|$$
    {21, 481, 753},	// QGlobalSpace::qAccessibleActionCastHelper
    {21, 482, 618},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {21, 483, 408},	// QGlobalSpace::qAccessibleImageCastHelper
    {21, 484, 585},	// QGlobalSpace::qAccessibleTable2CastHelper
    {21, 485, 435},	// QGlobalSpace::qAccessibleTableCastHelper
    {21, 486, 223},	// QGlobalSpace::qAccessibleTextCastHelper
    {21, 487, 526},	// QGlobalSpace::qAccessibleValueCastHelper
    {21, 489, 26},	// QGlobalSpace::qAcos$
    {21, 491, 349},	// QGlobalSpace::qAddPostRoutine$
    {21, 493, 98},	// QGlobalSpace::qAlpha$
    {21, 494, 318},	// QGlobalSpace::qAppName
    {21, 496, 253},	// QGlobalSpace::qAsin$
    {21, 498, 203},	// QGlobalSpace::qAtan$
    {21, 500, 210},	// QGlobalSpace::qAtan2$$
    {21, 501, 793},	// QGlobalSpace::qBadAlloc
    {21, 503, 756},	// QGlobalSpace::qBlue$
    {21, 505, 480},	// QGlobalSpace::qCeil$
    {21, 507, 371},	// QGlobalSpace::qChecksum$$
    {21, 509, 337},	// QGlobalSpace::qCompress#
    {21, 510, 336},	// QGlobalSpace::qCompress#$
    {21, 511, 662},	// QGlobalSpace::qCompress$$
    {21, 512, 661},	// QGlobalSpace::qCompress$$$
    {21, 514, 90},	// QGlobalSpace::qCos$
    {21, 515, 20},	// QGlobalSpace::qCritical
    {21, 516, 672},	// QGlobalSpace::qDebug
    {21, 518, 675},	// QGlobalSpace::qDrawBorderPixmap####
    {21, 519, 365},	// QGlobalSpace::qDrawBorderPixmap######
    {21, 520, 366},	// QGlobalSpace::qDrawBorderPixmap#######
    {21, 521, 364},	// QGlobalSpace::qDrawBorderPixmap#######$
    {21, 523, 345},	// QGlobalSpace::qDrawPlainRect###
    {21, 524, 346},	// QGlobalSpace::qDrawPlainRect###$
    {21, 525, 344},	// QGlobalSpace::qDrawPlainRect###$#
    {21, 526, 326},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {21, 527, 327},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {21, 528, 325},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {21, 530, 689},	// QGlobalSpace::qDrawShadeLine####
    {21, 531, 690},	// QGlobalSpace::qDrawShadeLine####$
    {21, 532, 691},	// QGlobalSpace::qDrawShadeLine####$$
    {21, 533, 688},	// QGlobalSpace::qDrawShadeLine####$$$
    {21, 534, 598},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {21, 535, 599},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {21, 536, 600},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {21, 537, 597},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {21, 539, 106},	// QGlobalSpace::qDrawShadePanel###
    {21, 540, 107},	// QGlobalSpace::qDrawShadePanel###$
    {21, 541, 108},	// QGlobalSpace::qDrawShadePanel###$$
    {21, 542, 105},	// QGlobalSpace::qDrawShadePanel###$$#
    {21, 543, 256},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {21, 544, 257},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {21, 545, 258},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {21, 546, 255},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {21, 548, 299},	// QGlobalSpace::qDrawShadeRect###
    {21, 549, 300},	// QGlobalSpace::qDrawShadeRect###$
    {21, 550, 301},	// QGlobalSpace::qDrawShadeRect###$$
    {21, 551, 302},	// QGlobalSpace::qDrawShadeRect###$$$
    {21, 552, 298},	// QGlobalSpace::qDrawShadeRect###$$$#
    {21, 553, 142},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {21, 554, 143},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {21, 555, 144},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {21, 556, 145},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {21, 557, 141},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {21, 559, 271},	// QGlobalSpace::qDrawWinButton###
    {21, 560, 272},	// QGlobalSpace::qDrawWinButton###$
    {21, 561, 270},	// QGlobalSpace::qDrawWinButton###$#
    {21, 562, 134},	// QGlobalSpace::qDrawWinButton#$$$$#
    {21, 563, 135},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {21, 564, 133},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {21, 566, 695},	// QGlobalSpace::qDrawWinPanel###
    {21, 567, 696},	// QGlobalSpace::qDrawWinPanel###$
    {21, 568, 694},	// QGlobalSpace::qDrawWinPanel###$#
    {21, 569, 739},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {21, 570, 740},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {21, 571, 738},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {21, 573, 402},	// QGlobalSpace::qExp$
    {21, 575, 319},	// QGlobalSpace::qFabs$
    {21, 577, 81},	// QGlobalSpace::qFastCos$
    {21, 579, 247},	// QGlobalSpace::qFastSin$
    {21, 581, 535},	// QGlobalSpace::qFlagLocation$
    {21, 583, 766},	// QGlobalSpace::qFloor$
    {21, 585, 640},	// QGlobalSpace::qFree$
    {21, 587, 285},	// QGlobalSpace::qFreeAligned$
    {21, 589, -614},	// QGlobalSpace::qFuzzyCompare##
    {21, 590, -622},	// QGlobalSpace::qFuzzyCompare$$
    {21, 592, -625},	// QGlobalSpace::qFuzzyIsNull$
    {21, 594, 69},	// QGlobalSpace::qGray$
    {21, 595, 168},	// QGlobalSpace::qGray$$$
    {21, 597, 103},	// QGlobalSpace::qGreen$
    {21, 599, -628},	// QGlobalSpace::qHash#
    {21, 600, -637},	// QGlobalSpace::qHash$
    {21, 601, 544},	// QGlobalSpace::qInf
    {21, 603, 262},	// QGlobalSpace::qInstallMsgHandler$
    {21, 605, -650},	// QGlobalSpace::qIntCast$
    {21, 607, -653},	// QGlobalSpace::qIsFinite$
    {21, 609, 465},	// QGlobalSpace::qIsGray$
    {21, 611, -656},	// QGlobalSpace::qIsInf$
    {21, 613, -659},	// QGlobalSpace::qIsNaN$
    {21, 615, -662},	// QGlobalSpace::qIsNull$
    {21, 617, 97},	// QGlobalSpace::qLn$
    {21, 619, 801},	// QGlobalSpace::qMalloc$
    {21, 621, 657},	// QGlobalSpace::qMallocAligned$$
    {21, 623, 536},	// QGlobalSpace::qMemCopy$$$
    {21, 625, 332},	// QGlobalSpace::qMemSet$$$
    {21, 627, 475},	// QGlobalSpace::qPow$$
    {21, 628, 50},	// QGlobalSpace::qQNaN
    {21, 630, 430},	// QGlobalSpace::qRealloc$$
    {21, 632, 307},	// QGlobalSpace::qReallocAligned$$$$
    {21, 634, 79},	// QGlobalSpace::qRed$
    {21, 636, 127},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {21, 638, 528},	// QGlobalSpace::qRemovePostRoutine$
    {21, 640, 504},	// QGlobalSpace::qRgb$$$
    {21, 642, 795},	// QGlobalSpace::qRgba$$$$
    {21, 644, 414},	// QGlobalSpace::qRound$
    {21, 646, 650},	// QGlobalSpace::qRound64$
    {21, 647, 767},	// QGlobalSpace::qSNaN
    {21, 649, 578},	// QGlobalSpace::qSetFieldWidth$
    {21, 651, 251},	// QGlobalSpace::qSetPadChar#
    {21, 653, 558},	// QGlobalSpace::qSetRealNumberPrecision$
    {21, 654, 259},	// QGlobalSpace::qSharedBuild
    {21, 656, 506},	// QGlobalSpace::qSin$
    {21, 658, 403},	// QGlobalSpace::qSqrt$
    {21, 660, 296},	// QGlobalSpace::qStringComparisonHelper#$
    {21, 661, 714},	// QGlobalSpace::qStringComparisonHelper$$
    {21, 663, 487},	// QGlobalSpace::qTan$
    {21, 665, 554},	// QGlobalSpace::qUncompress#
    {21, 666, 773},	// QGlobalSpace::qUncompress$$
    {21, 667, 57},	// QGlobalSpace::qVersion
    {21, 668, 165},	// QGlobalSpace::qWarning
    {21, 670, 121},	// QGlobalSpace::qbswap_helper$$$
    {21, 672, 382},	// QGlobalSpace::qgetenv$
    {21, 674, 292},	// QGlobalSpace::qputenv$#
    {21, 675, 68},	// QGlobalSpace::qrand
    {21, 677, 149},	// QGlobalSpace::qsrand$
    {21, 679, 248},	// QGlobalSpace::qstrcmp##
    {21, 680, 252},	// QGlobalSpace::qstrcmp#$
    {21, 681, 680},	// QGlobalSpace::qstrcmp$#
    {21, 682, 490},	// QGlobalSpace::qstrcmp$$
    {21, 684, 42},	// QGlobalSpace::qstrcpy$$
    {21, 686, 666},	// QGlobalSpace::qstrdup$
    {21, 688, 561},	// QGlobalSpace::qstricmp$$
    {21, 690, 601},	// QGlobalSpace::qstrlen$
    {21, 692, 297},	// QGlobalSpace::qstrncmp$$$
    {21, 694, 411},	// QGlobalSpace::qstrncpy$$$
    {21, 696, 229},	// QGlobalSpace::qstrnicmp$$$
    {21, 698, 501},	// QGlobalSpace::qstrnlen$$
    {21, 700, 788},	// QGlobalSpace::qtTrId$
    {21, 701, 787},	// QGlobalSpace::qtTrId$$
    {21, 703, 23},	// QGlobalSpace::qt_assert$$$
    {21, 705, 438},	// QGlobalSpace::qt_assert_x$$$$
    {21, 707, 239},	// QGlobalSpace::qt_check_pointer$$
    {21, 708, 426},	// QGlobalSpace::qt_error_string
    {21, 709, 425},	// QGlobalSpace::qt_error_string$
    {21, 711, 721},	// QGlobalSpace::qt_message_output$$
    {21, 716, 574},	// QGlobalSpace::qt_noop
    {21, 718, 264},	// QGlobalSpace::qt_qFindChild_helper#$#
    {21, 720, 627},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {21, 724, 123},	// QGlobalSpace::qvariant_cast_helper#$$
    {21, 726, 570},	// QGlobalSpace::qvsnprintf$$$?
    {64, 1, 948},	// QSql::AfterLastRow
    {64, 2, 938},	// QSql::AllTables
    {64, 6, 947},	// QSql::BeforeFirstRow
    {64, 7, 942},	// QSql::Binary
    {64, 14, 946},	// QSql::HighPrecision
    {64, 15, 939},	// QSql::In
    {64, 16, 941},	// QSql::InOut
    {64, 40, 945},	// QSql::LowPrecisionDouble
    {64, 41, 943},	// QSql::LowPrecisionInt32
    {64, 42, 944},	// QSql::LowPrecisionInt64
    {64, 53, 940},	// QSql::Out
    {64, 199, 936},	// QSql::SystemTables
    {64, 201, 935},	// QSql::Tables
    {64, 210, 937},	// QSql::Views
    {65, 57, 949},	// QSqlDatabase::QSqlDatabase
    {65, 58, -665},	// QSqlDatabase::QSqlDatabase#
    {65, 59, 993},	// QSqlDatabase::QSqlDatabase$
    {65, 216, 999},	// QSqlDatabase::addDatabase#
    {65, 217, 984},	// QSqlDatabase::addDatabase#$
    {65, 218, 998},	// QSqlDatabase::addDatabase$
    {65, 219, 983},	// QSqlDatabase::addDatabase$$
    {65, 250, 985},	// QSqlDatabase::cloneDatabase#$
    {65, 251, 954},	// QSqlDatabase::close
    {65, 254, 964},	// QSqlDatabase::commit
    {65, 257, 978},	// QSqlDatabase::connectOptions
    {65, 258, 979},	// QSqlDatabase::connectionName
    {65, 259, 990},	// QSqlDatabase::connectionNames
    {65, 260, 1002},	// QSqlDatabase::contains
    {65, 261, 988},	// QSqlDatabase::contains$
    {65, 275, 1000},	// QSqlDatabase::database
    {65, 276, 1001},	// QSqlDatabase::database$
    {65, 277, 986},	// QSqlDatabase::database$$
    {65, 278, 972},	// QSqlDatabase::databaseName
    {65, 280, 1003},	// QSqlDatabase::defaultConnection
    {65, 291, 982},	// QSqlDatabase::driver
    {65, 292, 976},	// QSqlDatabase::driverName
    {65, 294, 989},	// QSqlDatabase::drivers
    {65, 302, 996},	// QSqlDatabase::exec
    {65, 303, 960},	// QSqlDatabase::exec$
    {65, 336, 975},	// QSqlDatabase::hostName
    {65, 362, 992},	// QSqlDatabase::isDriverAvailable$
    {65, 373, 955},	// QSqlDatabase::isOpen
    {65, 374, 956},	// QSqlDatabase::isOpenError
    {65, 377, 962},	// QSqlDatabase::isValid
    {65, 381, 961},	// QSqlDatabase::lastError
    {65, 396, 981},	// QSqlDatabase::numericalPrecisionPolicy
    {65, 397, 952},	// QSqlDatabase::open
    {65, 399, 953},	// QSqlDatabase::open$$
    {65, 442, 951},	// QSqlDatabase::operator=#
    {65, 470, 974},	// QSqlDatabase::password
    {65, 471, 977},	// QSqlDatabase::port
    {65, 477, 958},	// QSqlDatabase::primaryIndex$
    {65, 728, 959},	// QSqlDatabase::record$
    {65, 730, 991},	// QSqlDatabase::registerSqlDriver$#
    {65, 741, 987},	// QSqlDatabase::removeDatabase$
    {65, 755, 965},	// QSqlDatabase::rollback
    {65, 772, 997},	// QSqlDatabase::setConnectOptions
    {65, 773, 971},	// QSqlDatabase::setConnectOptions$
    {65, 780, 966},	// QSqlDatabase::setDatabaseName$
    {65, 784, 1004},	// QSqlDatabase::setDefaultConnection$
    {65, 806, 969},	// QSqlDatabase::setHostName$
    {65, 823, 980},	// QSqlDatabase::setNumericalPrecisionPolicy$
    {65, 829, 968},	// QSqlDatabase::setPassword$
    {65, 831, 970},	// QSqlDatabase::setPort$
    {65, 861, 967},	// QSqlDatabase::setUserName$
    {65, 887, 995},	// QSqlDatabase::tables
    {65, 888, 957},	// QSqlDatabase::tables$
    {65, 899, 963},	// QSqlDatabase::transaction
    {65, 909, 973},	// QSqlDatabase::userName
    {65, 914, 1005},	// QSqlDatabase::~QSqlDatabase
    {66, 3, 1059},	// QSqlDriver::BLOB
    {66, 5, 1065},	// QSqlDriver::BatchOperations
    {66, 9, 1075},	// QSqlDriver::DeleteStatement
    {66, 11, 1068},	// QSqlDriver::EventNotifications
    {66, 12, 1076},	// QSqlDriver::FieldName
    {66, 13, 1069},	// QSqlDriver::FinishQuery
    {66, 18, 1074},	// QSqlDriver::InsertStatement
    {66, 19, 1064},	// QSqlDriver::LastInsertId
    {66, 43, 1067},	// QSqlDriver::LowPrecisionNumbers
    {66, 44, 1070},	// QSqlDriver::MultipleResultSets
    {66, 46, 1062},	// QSqlDriver::NamedPlaceholders
    {66, 55, 1063},	// QSqlDriver::PositionalPlaceholders
    {66, 56, 1061},	// QSqlDriver::PreparedQueries
    {66, 60, 1049},	// QSqlDriver::QSqlDriver
    {66, 61, 1013},	// QSqlDriver::QSqlDriver#
    {66, 108, 1058},	// QSqlDriver::QuerySize
    {66, 195, 1072},	// QSqlDriver::SelectStatement
    {66, 197, 1066},	// QSqlDriver::SimpleLocking
    {66, 200, 1077},	// QSqlDriver::TableName
    {66, 203, 1057},	// QSqlDriver::Transactions
    {66, 204, 1060},	// QSqlDriver::Unicode
    {66, 207, 1073},	// QSqlDriver::UpdateStatement
    {66, 211, 1071},	// QSqlDriver::WhereStatement
    {66, 230, 1016},	// QSqlDriver::beginTransaction
    {66, 251, 1028},	// QSqlDriver::close
    {66, 255, 1017},	// QSqlDriver::commitTransaction
    {66, 268, 1029},	// QSqlDriver::createResult
    {66, 299, 1023},	// QSqlDriver::escapeIdentifier$$
    {66, 327, 1050},	// QSqlDriver::formatValue#
    {66, 328, 1022},	// QSqlDriver::formatValue#$
    {66, 329, 1026},	// QSqlDriver::handle
    {66, 331, 1027},	// QSqlDriver::hasFeature$
    {66, 368, 1034},	// QSqlDriver::isIdentifierEscaped$$
    {66, 370, 1045},	// QSqlDriver::isIdentifierEscapedImplementation$$
    {66, 373, 1014},	// QSqlDriver::isOpen
    {66, 374, 1015},	// QSqlDriver::isOpenError
    {66, 381, 1025},	// QSqlDriver::lastError
    {66, 386, 1006},	// QSqlDriver::metaObject
    {66, 393, 1038},	// QSqlDriver::notification$
    {66, 396, 1037},	// QSqlDriver::numericalPrecisionPolicy
    {66, 398, 1051},	// QSqlDriver::open$
    {66, 399, 1052},	// QSqlDriver::open$$
    {66, 400, 1053},	// QSqlDriver::open$$$
    {66, 401, 1054},	// QSqlDriver::open$$$$
    {66, 402, 1055},	// QSqlDriver::open$$$$$
    {66, 403, 1030},	// QSqlDriver::open$$$$$$
    {66, 477, 1020},	// QSqlDriver::primaryIndex$
    {66, 713, 1012},	// QSqlDriver::qt_metacall$$?
    {66, 715, 1007},	// QSqlDriver::qt_metacast$
    {66, 728, 1021},	// QSqlDriver::record$
    {66, 756, 1018},	// QSqlDriver::rollbackTransaction
    {66, 811, 1041},	// QSqlDriver::setLastError#
    {66, 823, 1036},	// QSqlDriver::setNumericalPrecisionPolicy$
    {66, 825, 1039},	// QSqlDriver::setOpen$
    {66, 827, 1040},	// QSqlDriver::setOpenError$
    {66, 871, 1024},	// QSqlDriver::sqlStatement$$#$
    {66, 872, 1056},	// QSqlDriver::staticMetaObject
    {66, 874, 1035},	// QSqlDriver::stripDelimiters$$
    {66, 876, 1046},	// QSqlDriver::stripDelimitersImplementation$$
    {66, 880, 1031},	// QSqlDriver::subscribeToNotification$
    {66, 882, 1042},	// QSqlDriver::subscribeToNotificationImplementation$
    {66, 883, 1033},	// QSqlDriver::subscribedToNotifications
    {66, 884, 1044},	// QSqlDriver::subscribedToNotificationsImplementation
    {66, 888, 1019},	// QSqlDriver::tables$
    {66, 892, 1047},	// QSqlDriver::tr$
    {66, 893, 1008},	// QSqlDriver::tr$$
    {66, 894, 1010},	// QSqlDriver::tr$$$
    {66, 896, 1048},	// QSqlDriver::trUtf8$
    {66, 897, 1009},	// QSqlDriver::trUtf8$$
    {66, 898, 1011},	// QSqlDriver::trUtf8$$$
    {66, 903, 1032},	// QSqlDriver::unsubscribeFromNotification$
    {66, 905, 1043},	// QSqlDriver::unsubscribeFromNotificationImplementation$
    {66, 915, 1078},	// QSqlDriver::~QSqlDriver
    {67, 62, 1080},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase
    {67, 63, 1081},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase#
    {67, 267, 1079},	// QSqlDriverCreatorBase::createObject
    {67, 916, 1082},	// QSqlDriverCreatorBase::~QSqlDriverCreatorBase
    {68, 64, 1084},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface
    {68, 65, 1085},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface#
    {68, 264, 1083},	// QSqlDriverFactoryInterface::create$
    {68, 917, 1086},	// QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface
    {69, 66, 1099},	// QSqlDriverPlugin::QSqlDriverPlugin
    {69, 67, 1094},	// QSqlDriverPlugin::QSqlDriverPlugin#
    {69, 264, 1096},	// QSqlDriverPlugin::create$
    {69, 379, 1095},	// QSqlDriverPlugin::keys
    {69, 386, 1087},	// QSqlDriverPlugin::metaObject
    {69, 713, 1093},	// QSqlDriverPlugin::qt_metacall$$?
    {69, 715, 1088},	// QSqlDriverPlugin::qt_metacast$
    {69, 872, 1100},	// QSqlDriverPlugin::staticMetaObject
    {69, 892, 1097},	// QSqlDriverPlugin::tr$
    {69, 893, 1089},	// QSqlDriverPlugin::tr$$
    {69, 894, 1091},	// QSqlDriverPlugin::tr$$$
    {69, 896, 1098},	// QSqlDriverPlugin::trUtf8$
    {69, 897, 1090},	// QSqlDriverPlugin::trUtf8$$
    {69, 898, 1092},	// QSqlDriverPlugin::trUtf8$$$
    {69, 918, 1101},	// QSqlDriverPlugin::~QSqlDriverPlugin
    {70, 8, 1120},	// QSqlError::ConnectionError
    {70, 48, 1119},	// QSqlError::NoError
    {70, 68, 1115},	// QSqlError::QSqlError
    {70, 69, 1103},	// QSqlError::QSqlError#
    {70, 70, 1116},	// QSqlError::QSqlError$
    {70, 71, 1117},	// QSqlError::QSqlError$$
    {70, 72, 1118},	// QSqlError::QSqlError$$$
    {70, 73, 1102},	// QSqlError::QSqlError$$$$
    {70, 198, 1121},	// QSqlError::StatementError
    {70, 202, 1122},	// QSqlError::TransactionError
    {70, 206, 1123},	// QSqlError::UnknownError
    {70, 279, 1107},	// QSqlError::databaseText
    {70, 293, 1105},	// QSqlError::driverText
    {70, 377, 1114},	// QSqlError::isValid
    {70, 395, 1111},	// QSqlError::number
    {70, 442, 1104},	// QSqlError::operator=#
    {70, 782, 1108},	// QSqlError::setDatabaseText$
    {70, 790, 1106},	// QSqlError::setDriverText$
    {70, 821, 1112},	// QSqlError::setNumber$
    {70, 859, 1110},	// QSqlError::setType$
    {70, 889, 1113},	// QSqlError::text
    {70, 900, 1109},	// QSqlError::type
    {70, 919, 1124},	// QSqlError::~QSqlError
    {71, 52, 1159},	// QSqlField::Optional
    {71, 74, 1156},	// QSqlField::QSqlField
    {71, 75, 1126},	// QSqlField::QSqlField#
    {71, 76, 1157},	// QSqlField::QSqlField$
    {71, 77, 1125},	// QSqlField::QSqlField$$
    {71, 109, 1160},	// QSqlField::Required
    {71, 205, 1158},	// QSqlField::Unknown
    {71, 247, 1137},	// QSqlField::clear
    {71, 281, 1152},	// QSqlField::defaultValue
    {71, 356, 1139},	// QSqlField::isAutoValue
    {71, 365, 1154},	// QSqlField::isGenerated
    {71, 371, 1134},	// QSqlField::isNull
    {71, 375, 1136},	// QSqlField::isReadOnly
    {71, 377, 1155},	// QSqlField::isValid
    {71, 384, 1150},	// QSqlField::length
    {71, 389, 1133},	// QSqlField::name
    {71, 405, 1129},	// QSqlField::operator!=#
    {71, 442, 1127},	// QSqlField::operator=#
    {71, 444, 1128},	// QSqlField::operator==#
    {71, 472, 1151},	// QSqlField::precision
    {71, 747, 1149},	// QSqlField::requiredStatus
    {71, 771, 1148},	// QSqlField::setAutoValue$
    {71, 786, 1145},	// QSqlField::setDefaultValue#
    {71, 800, 1147},	// QSqlField::setGenerated$
    {71, 813, 1143},	// QSqlField::setLength$
    {71, 817, 1132},	// QSqlField::setName$
    {71, 833, 1144},	// QSqlField::setPrecision$
    {71, 841, 1135},	// QSqlField::setReadOnly$
    {71, 847, 1142},	// QSqlField::setRequired$
    {71, 849, 1141},	// QSqlField::setRequiredStatus$
    {71, 855, 1146},	// QSqlField::setSqlType$
    {71, 859, 1140},	// QSqlField::setType$
    {71, 863, 1130},	// QSqlField::setValue#
    {71, 900, 1138},	// QSqlField::type
    {71, 901, 1153},	// QSqlField::typeID
    {71, 910, 1131},	// QSqlField::value
    {71, 920, 1161},	// QSqlField::~QSqlField
    {72, 78, 1173},	// QSqlIndex::QSqlIndex
    {72, 79, 1163},	// QSqlIndex::QSqlIndex#
    {72, 80, 1174},	// QSqlIndex::QSqlIndex$
    {72, 81, 1162},	// QSqlIndex::QSqlIndex$$
    {72, 221, 1169},	// QSqlIndex::append#
    {72, 222, 1170},	// QSqlIndex::append#$
    {72, 269, 1166},	// QSqlIndex::cursorName
    {72, 358, 1171},	// QSqlIndex::isDescending$
    {72, 389, 1168},	// QSqlIndex::name
    {72, 442, 1164},	// QSqlIndex::operator=#
    {72, 775, 1165},	// QSqlIndex::setCursorName$
    {72, 788, 1172},	// QSqlIndex::setDescending$$
    {72, 817, 1167},	// QSqlIndex::setName$
    {72, 921, 1175},	// QSqlIndex::~QSqlIndex
    {73, 82, 1218},	// QSqlQuery::QSqlQuery
    {73, 83, -668},	// QSqlQuery::QSqlQuery#
    {73, 84, 1219},	// QSqlQuery::QSqlQuery$
    {73, 85, 1177},	// QSqlQuery::QSqlQuery$#
    {73, 208, 1226},	// QSqlQuery::ValuesAsColumns
    {73, 209, 1225},	// QSqlQuery::ValuesAsRows
    {73, 213, 1224},	// QSqlQuery::addBindValue#
    {73, 214, 1210},	// QSqlQuery::addBindValue#$
    {73, 223, 1184},	// QSqlQuery::at
    {73, 232, -672},	// QSqlQuery::bindValue$#
    {73, 233, -675},	// QSqlQuery::bindValue$#$
    {73, 238, -678},	// QSqlQuery::boundValue$
    {73, 242, 1213},	// QSqlQuery::boundValues
    {73, 247, 1204},	// QSqlQuery::clear
    {73, 291, 1190},	// QSqlQuery::driver
    {73, 302, 1205},	// QSqlQuery::exec
    {73, 303, 1195},	// QSqlQuery::exec$
    {73, 304, 1221},	// QSqlQuery::execBatch
    {73, 305, 1206},	// QSqlQuery::execBatch$
    {73, 306, 1214},	// QSqlQuery::executedQuery
    {73, 322, 1216},	// QSqlQuery::finish
    {73, 323, 1202},	// QSqlQuery::first
    {73, 355, 1182},	// QSqlQuery::isActive
    {73, 364, 1192},	// QSqlQuery::isForwardOnly
    {73, 372, 1183},	// QSqlQuery::isNull$
    {73, 376, 1188},	// QSqlQuery::isSelect
    {73, 377, 1181},	// QSqlQuery::isValid
    {73, 380, 1203},	// QSqlQuery::last
    {73, 381, 1187},	// QSqlQuery::lastError
    {73, 382, 1215},	// QSqlQuery::lastInsertId
    {73, 383, 1185},	// QSqlQuery::lastQuery
    {73, 390, 1200},	// QSqlQuery::next
    {73, 391, 1217},	// QSqlQuery::nextResult
    {73, 394, 1186},	// QSqlQuery::numRowsAffected
    {73, 396, 1198},	// QSqlQuery::numericalPrecisionPolicy
    {73, 442, 1180},	// QSqlQuery::operator=#
    {73, 474, 1207},	// QSqlQuery::prepare$
    {73, 475, 1201},	// QSqlQuery::previous
    {73, 727, 1193},	// QSqlQuery::record
    {73, 750, 1191},	// QSqlQuery::result
    {73, 762, 1220},	// QSqlQuery::seek$
    {73, 763, 1199},	// QSqlQuery::seek$$
    {73, 798, 1194},	// QSqlQuery::setForwardOnly$
    {73, 823, 1197},	// QSqlQuery::setNumericalPrecisionPolicy$
    {73, 865, 1189},	// QSqlQuery::size
    {73, 911, 1196},	// QSqlQuery::value$
    {73, 922, 1227},	// QSqlQuery::~QSqlQuery
    {74, 86, 1257},	// QSqlQueryModel::QSqlQueryModel
    {74, 87, 1235},	// QSqlQueryModel::QSqlQueryModel#
    {74, 244, 1267},	// QSqlQueryModel::canFetchMore
    {74, 245, 1251},	// QSqlQueryModel::canFetchMore#
    {74, 247, 1248},	// QSqlQueryModel::clear
    {74, 252, 1259},	// QSqlQueryModel::columnCount
    {74, 253, 1237},	// QSqlQueryModel::columnCount#
    {74, 272, 1260},	// QSqlQueryModel::data#
    {74, 273, 1240},	// QSqlQueryModel::data#$
    {74, 311, 1266},	// QSqlQueryModel::fetchMore
    {74, 312, 1250},	// QSqlQueryModel::fetchMore#
    {74, 334, 1261},	// QSqlQueryModel::headerData$$
    {74, 335, 1241},	// QSqlQueryModel::headerData$$$
    {74, 340, 1253},	// QSqlQueryModel::indexInQuery#
    {74, 346, 1263},	// QSqlQueryModel::insertColumns$$
    {74, 347, 1243},	// QSqlQueryModel::insertColumns$$#
    {74, 381, 1249},	// QSqlQueryModel::lastError
    {74, 386, 1228},	// QSqlQueryModel::metaObject
    {74, 713, 1234},	// QSqlQueryModel::qt_metacall$$?
    {74, 715, 1229},	// QSqlQueryModel::qt_metacast$
    {74, 721, 1247},	// QSqlQueryModel::query
    {74, 722, 1252},	// QSqlQueryModel::queryChange
    {74, 727, 1239},	// QSqlQueryModel::record
    {74, 728, 1238},	// QSqlQueryModel::record$
    {74, 738, 1264},	// QSqlQueryModel::removeColumns$$
    {74, 739, 1244},	// QSqlQueryModel::removeColumns$$#
    {74, 757, 1258},	// QSqlQueryModel::rowCount
    {74, 758, 1236},	// QSqlQueryModel::rowCount#
    {74, 803, 1262},	// QSqlQueryModel::setHeaderData$$#
    {74, 804, 1242},	// QSqlQueryModel::setHeaderData$$#$
    {74, 811, 1254},	// QSqlQueryModel::setLastError#
    {74, 837, 1245},	// QSqlQueryModel::setQuery#
    {74, 838, 1265},	// QSqlQueryModel::setQuery$
    {74, 839, 1246},	// QSqlQueryModel::setQuery$#
    {74, 872, 1268},	// QSqlQueryModel::staticMetaObject
    {74, 892, 1255},	// QSqlQueryModel::tr$
    {74, 893, 1230},	// QSqlQueryModel::tr$$
    {74, 894, 1232},	// QSqlQueryModel::tr$$$
    {74, 896, 1256},	// QSqlQueryModel::trUtf8$
    {74, 897, 1231},	// QSqlQueryModel::trUtf8$$
    {74, 898, 1233},	// QSqlQueryModel::trUtf8$$$
    {74, 923, 1269},	// QSqlQueryModel::~QSqlQueryModel
    {75, 88, 1270},	// QSqlRecord::QSqlRecord
    {75, 89, 1271},	// QSqlRecord::QSqlRecord#
    {75, 221, 1291},	// QSqlRecord::append#
    {75, 247, 1297},	// QSqlRecord::clear
    {75, 248, 1298},	// QSqlRecord::clearValues
    {75, 261, 1296},	// QSqlRecord::contains$
    {75, 262, 1299},	// QSqlRecord::count
    {75, 316, -681},	// QSqlRecord::field$
    {75, 320, 1284},	// QSqlRecord::fieldName$
    {75, 342, 1283},	// QSqlRecord::indexOf$
    {75, 344, 1293},	// QSqlRecord::insert$#
    {75, 363, 1295},	// QSqlRecord::isEmpty
    {75, 366, -684},	// QSqlRecord::isGenerated$
    {75, 372, -687},	// QSqlRecord::isNull$
    {75, 405, 1274},	// QSqlRecord::operator!=#
    {75, 442, 1272},	// QSqlRecord::operator=#
    {75, 444, 1273},	// QSqlRecord::operator==#
    {75, 736, 1294},	// QSqlRecord::remove$
    {75, 746, 1292},	// QSqlRecord::replace$#
    {75, 801, -690},	// QSqlRecord::setGenerated$$
    {75, 819, -693},	// QSqlRecord::setNull$
    {75, 864, -696},	// QSqlRecord::setValue$#
    {75, 911, -699},	// QSqlRecord::value$
    {75, 924, 1300},	// QSqlRecord::~QSqlRecord
    {76, 90, 1301},	// QSqlRelation::QSqlRelation
    {76, 91, 1307},	// QSqlRelation::QSqlRelation#
    {76, 92, 1302},	// QSqlRelation::QSqlRelation$$$
    {76, 286, 1305},	// QSqlRelation::displayColumn
    {76, 338, 1304},	// QSqlRelation::indexColumn
    {76, 377, 1306},	// QSqlRelation::isValid
    {76, 886, 1303},	// QSqlRelation::tableName
    {76, 925, 1308},	// QSqlRelation::~QSqlRelation
    {77, 93, 1313},	// QSqlRelationalDelegate::QSqlRelationalDelegate
    {77, 94, 1309},	// QSqlRelationalDelegate::QSqlRelationalDelegate#
    {77, 266, 1310},	// QSqlRelationalDelegate::createEditor###
    {77, 794, 1311},	// QSqlRelationalDelegate::setEditorData##
    {77, 815, 1312},	// QSqlRelationalDelegate::setModelData###
    {77, 926, 1314},	// QSqlRelationalDelegate::~QSqlRelationalDelegate
    {78, 17, 1346},	// QSqlRelationalTableModel::InnerJoin
    {78, 20, 1347},	// QSqlRelationalTableModel::LeftJoin
    {78, 95, 1340},	// QSqlRelationalTableModel::QSqlRelationalTableModel
    {78, 96, 1341},	// QSqlRelationalTableModel::QSqlRelationalTableModel#
    {78, 97, 1322},	// QSqlRelationalTableModel::QSqlRelationalTableModel##
    {78, 247, 1326},	// QSqlRelationalTableModel::clear
    {78, 272, 1342},	// QSqlRelationalTableModel::data#
    {78, 273, 1323},	// QSqlRelationalTableModel::data#$
    {78, 351, 1336},	// QSqlRelationalTableModel::insertRowIntoTable#
    {78, 386, 1315},	// QSqlRelationalTableModel::metaObject
    {78, 468, 1337},	// QSqlRelationalTableModel::orderByClause
    {78, 713, 1321},	// QSqlRelationalTableModel::qt_metacall$$?
    {78, 715, 1316},	// QSqlRelationalTableModel::qt_metacast$
    {78, 732, 1330},	// QSqlRelationalTableModel::relation$
    {78, 734, 1331},	// QSqlRelationalTableModel::relationModel$
    {78, 738, 1344},	// QSqlRelationalTableModel::removeColumns$$
    {78, 739, 1325},	// QSqlRelationalTableModel::removeColumns$$#
    {78, 754, 1333},	// QSqlRelationalTableModel::revertRow$
    {78, 764, 1327},	// QSqlRelationalTableModel::select
    {78, 765, 1334},	// QSqlRelationalTableModel::selectStatement
    {78, 777, 1343},	// QSqlRelationalTableModel::setData##
    {78, 778, 1324},	// QSqlRelationalTableModel::setData##$
    {78, 809, 1332},	// QSqlRelationalTableModel::setJoinMode$
    {78, 845, 1329},	// QSqlRelationalTableModel::setRelation$#
    {78, 857, 1328},	// QSqlRelationalTableModel::setTable$
    {78, 872, 1345},	// QSqlRelationalTableModel::staticMetaObject
    {78, 892, 1338},	// QSqlRelationalTableModel::tr$
    {78, 893, 1317},	// QSqlRelationalTableModel::tr$$
    {78, 894, 1319},	// QSqlRelationalTableModel::tr$$$
    {78, 896, 1339},	// QSqlRelationalTableModel::trUtf8$
    {78, 897, 1318},	// QSqlRelationalTableModel::trUtf8$$
    {78, 898, 1320},	// QSqlRelationalTableModel::trUtf8$$$
    {78, 908, 1335},	// QSqlRelationalTableModel::updateRowInTable$#
    {78, 927, 1348},	// QSqlRelationalTableModel::~QSqlRelationalTableModel
    {79, 4, 1403},	// QSqlResult::BatchOperation
    {79, 10, 1404},	// QSqlResult::DetachFromResultSet
    {79, 45, 1402},	// QSqlResult::NamedBinding
    {79, 47, 1406},	// QSqlResult::NextResult
    {79, 54, 1401},	// QSqlResult::PositionalBinding
    {79, 99, 1350},	// QSqlResult::QSqlResult#
    {79, 196, 1405},	// QSqlResult::SetNumericalPrecision
    {79, 214, 1370},	// QSqlResult::addBindValue#$
    {79, 223, 1351},	// QSqlResult::at
    {79, 233, -702},	// QSqlResult::bindValue$#$
    {79, 235, -705},	// QSqlResult::bindValueType$
    {79, 236, 1381},	// QSqlResult::bindingSyntax
    {79, 238, -708},	// QSqlResult::boundValue$
    {79, 239, 1375},	// QSqlResult::boundValueCount
    {79, 241, 1378},	// QSqlResult::boundValueName$
    {79, 242, 1376},	// QSqlResult::boundValues
    {79, 247, 1379},	// QSqlResult::clear
    {79, 274, 1382},	// QSqlResult::data$
    {79, 284, 1396},	// QSqlResult::detachFromResultSet
    {79, 291, 1358},	// QSqlResult::driver
    {79, 302, 1365},	// QSqlResult::exec
    {79, 304, 1400},	// QSqlResult::execBatch
    {79, 305, 1395},	// QSqlResult::execBatch$
    {79, 306, 1377},	// QSqlResult::executedQuery
    {79, 308, 1385},	// QSqlResult::fetch$
    {79, 309, 1388},	// QSqlResult::fetchFirst
    {79, 310, 1389},	// QSqlResult::fetchLast
    {79, 313, 1386},	// QSqlResult::fetchNext
    {79, 314, 1387},	// QSqlResult::fetchPrevious
    {79, 329, 1349},	// QSqlResult::handle
    {79, 332, 1380},	// QSqlResult::hasOutValues
    {79, 355, 1355},	// QSqlResult::isActive
    {79, 364, 1357},	// QSqlResult::isForwardOnly
    {79, 372, 1383},	// QSqlResult::isNull$
    {79, 376, 1356},	// QSqlResult::isSelect
    {79, 377, 1354},	// QSqlResult::isValid
    {79, 381, 1353},	// QSqlResult::lastError
    {79, 382, 1393},	// QSqlResult::lastInsertId
    {79, 383, 1352},	// QSqlResult::lastQuery
    {79, 391, 1399},	// QSqlResult::nextResult
    {79, 394, 1391},	// QSqlResult::numRowsAffected
    {79, 396, 1398},	// QSqlResult::numericalPrecisionPolicy
    {79, 474, 1366},	// QSqlResult::prepare$
    {79, 727, 1392},	// QSqlResult::record
    {79, 749, 1384},	// QSqlResult::reset$
    {79, 760, 1367},	// QSqlResult::savePrepare$
    {79, 767, 1360},	// QSqlResult::setActive$
    {79, 769, 1359},	// QSqlResult::setAt$
    {79, 798, 1364},	// QSqlResult::setForwardOnly$
    {79, 811, 1361},	// QSqlResult::setLastError#
    {79, 823, 1397},	// QSqlResult::setNumericalPrecisionPolicy$
    {79, 838, 1362},	// QSqlResult::setQuery$
    {79, 851, 1363},	// QSqlResult::setSelect$
    {79, 865, 1390},	// QSqlResult::size
    {79, 913, 1394},	// QSqlResult::virtual_hook$$
    {79, 928, 1407},	// QSqlResult::~QSqlResult
    {80, 49, 1469},	// QSqlTableModel::OnFieldChange
    {80, 50, 1471},	// QSqlTableModel::OnManualSubmit
    {80, 51, 1470},	// QSqlTableModel::OnRowChange
    {80, 100, 1459},	// QSqlTableModel::QSqlTableModel
    {80, 101, 1460},	// QSqlTableModel::QSqlTableModel#
    {80, 102, 1415},	// QSqlTableModel::QSqlTableModel##
    {80, 225, 1448},	// QSqlTableModel::beforeDelete$
    {80, 227, 1446},	// QSqlTableModel::beforeInsert#
    {80, 229, 1447},	// QSqlTableModel::beforeUpdate$#
    {80, 247, 1424},	// QSqlTableModel::clear
    {80, 272, 1461},	// QSqlTableModel::data#
    {80, 273, 1420},	// QSqlTableModel::data#$
    {80, 275, 1428},	// QSqlTableModel::database
    {80, 283, 1451},	// QSqlTableModel::deleteRowFromTable$
    {80, 296, 1426},	// QSqlTableModel::editStrategy
    {80, 318, 1429},	// QSqlTableModel::fieldIndex$
    {80, 321, 1432},	// QSqlTableModel::filter
    {80, 325, 1419},	// QSqlTableModel::flags#
    {80, 334, 1463},	// QSqlTableModel::headerData$$
    {80, 335, 1422},	// QSqlTableModel::headerData$$$
    {80, 340, 1456},	// QSqlTableModel::indexInQuery#
    {80, 349, 1438},	// QSqlTableModel::insertRecord$#
    {80, 351, 1450},	// QSqlTableModel::insertRowIntoTable#
    {80, 353, 1467},	// QSqlTableModel::insertRows$$
    {80, 354, 1437},	// QSqlTableModel::insertRows$$#
    {80, 360, 1423},	// QSqlTableModel::isDirty#
    {80, 386, 1408},	// QSqlTableModel::metaObject
    {80, 468, 1452},	// QSqlTableModel::orderByClause
    {80, 478, 1427},	// QSqlTableModel::primaryKey
    {80, 480, 1445},	// QSqlTableModel::primeInsert$#
    {80, 713, 1414},	// QSqlTableModel::qt_metacall$$?
    {80, 715, 1409},	// QSqlTableModel::qt_metacast$
    {80, 738, 1465},	// QSqlTableModel::removeColumns$$
    {80, 739, 1435},	// QSqlTableModel::removeColumns$$#
    {80, 743, 1466},	// QSqlTableModel::removeRows$$
    {80, 744, 1436},	// QSqlTableModel::removeRows$$#
    {80, 751, 1442},	// QSqlTableModel::revert
    {80, 752, 1444},	// QSqlTableModel::revertAll
    {80, 754, 1440},	// QSqlTableModel::revertRow$
    {80, 757, 1464},	// QSqlTableModel::rowCount
    {80, 758, 1434},	// QSqlTableModel::rowCount#
    {80, 764, 1416},	// QSqlTableModel::select
    {80, 765, 1453},	// QSqlTableModel::selectStatement
    {80, 777, 1462},	// QSqlTableModel::setData##
    {80, 778, 1421},	// QSqlTableModel::setData##$
    {80, 792, 1425},	// QSqlTableModel::setEditStrategy$
    {80, 796, 1433},	// QSqlTableModel::setFilter$
    {80, 835, 1454},	// QSqlTableModel::setPrimaryKey#
    {80, 837, 1455},	// QSqlTableModel::setQuery#
    {80, 843, 1439},	// QSqlTableModel::setRecord$#
    {80, 853, 1431},	// QSqlTableModel::setSort$$
    {80, 857, 1417},	// QSqlTableModel::setTable$
    {80, 868, 1430},	// QSqlTableModel::sort$$
    {80, 872, 1468},	// QSqlTableModel::staticMetaObject
    {80, 877, 1441},	// QSqlTableModel::submit
    {80, 878, 1443},	// QSqlTableModel::submitAll
    {80, 886, 1418},	// QSqlTableModel::tableName
    {80, 892, 1457},	// QSqlTableModel::tr$
    {80, 893, 1410},	// QSqlTableModel::tr$$
    {80, 894, 1412},	// QSqlTableModel::tr$$$
    {80, 896, 1458},	// QSqlTableModel::trUtf8$
    {80, 897, 1411},	// QSqlTableModel::trUtf8$$
    {80, 898, 1413},	// QSqlTableModel::trUtf8$$$
    {80, 908, 1449},	// QSqlTableModel::updateRowInTable$#
    {80, 929, 1472},	// QSqlTableModel::~QSqlTableModel
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsql_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsql_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsql_Smoke = new Smoke(
        "qtsql",
        __smokeqtsql::classes, 104,
        __smokeqtsql::methods, 1473,
        __smokeqtsql::methodMaps, 834,
        __smokeqtsql::methodNames, 929,
        __smokeqtsql::types, 512,
        __smokeqtsql::inheritanceList,
        __smokeqtsql::argumentList,
        __smokeqtsql::ambiguousMethodList,
        __smokeqtsql::cast );
    initialized = true;
}

void delete_qtsql_Smoke() { delete qtsql_Smoke; }

}
